=============
Version 50.0
=============

- Various translation updates
- Match old app ID for backwards compatibility in metainfo/appdata
- Close visible toplevels and dialogs when loading other panels

Accessibility
- Improve keyboard navigation in Reduced Motion setting
- Fix Reduced Motion setting not applying due to type mismatch
- Mark hotspot dialog error labels for a11y

Power
- Rework logic to show power button action
- Various inhibitor fixes

=============
Version 50.rc
=============

- Various translation updates
- Allow space-separated domains in G_MESSAGES_DEBUG
- Update gnome-control-center man page

About
- Make gmobile dependency (optional)
- Fallback to getting hardware model via device tree on phones

Display
- Gracefully handle missing UPower

Keyboard
- Add missing polkit dependency for keyboard panel

Power
- Hide EU warning when suspend is unsupported
- Cache results of CanSuspend/CanHibernate
- Show suspend settings when inhibited by systemd inhibitors
- Gracefully handle missing UPower

Remote Desktop
- Correctly handle missing secret collection (e.g. fresh auto-login)
- Rename "Verify Encryption" to "Verify Fingerprint"

Sound
- Update libgnome-volume-control revision (fix device switching)

Wacom
- Pass keybinding keys through to the action dialog

WWAN
- Add Primary Sim Slot setting

================
Version 50.beta
================

- Various translation updates

Build
- Update libgnome-volume-control revision (fixing sound/bluetooth crash)

Accessibility
- Add new text-size setting with slider
- Map crosshairs length nonlinearly and set new default

Date & Time
- Add first day of week settings

Keyboard
- Set system keyboard mapping on single user systems

Power
- Fix infinite loop when switching battery charge modes

Remote Desktop
- Handle when keyring is locked

Wacom
- Show link to mouse settings for pucks

Wellbeing
- Disable info button when using malcontent
- Synchronize settings with malcontent

================
Version 50.alpha
================

- Remove X11 backend
- Port remaining UI definition files to Blueprint
- Fix various compiler warnings and memory leaks
- Various translation updates

Dependency updates
- blueprint-compiler >= 0.19
- malcontent >= 0.14.alpha (new dependency)

About
- Add "winver" to keywords for About page

Accessibility
- Replace "enable animations" with "reduced motion"
- Add magnify, magnifier, and overamplification keywords to desktop file

Applications
- Fix monitoring app filter changes
- Add toast confirmation when removing file/link association
- Fix "Type" being character wrapped in certain locales
- Remove unused callbacks and includes

Background
- Scale checkmark properly

Color management
- Fix calibration and restarting functionality
- Fix issues when running calibration multiple times
- Fix small memory leak
- Remove use of goto in C code

Common
- Redesign split-row widget
- Port keyboard-shortcut-group to Blueprint

Date & Time
- Make sure timezone dialog always shows search entry
- Fix timezone search assuming unicode casing
- Sync subdialogs visibility with user permissions

Display
- Wrap "AM/PM" buttons into stack pages

Keyboard
- Update for new default activities overview shortcut
- Add layout default to alternate char page
- Allow default Alternate Character keys
- Add None option for alternate key (lv3)
- Improve xkb-modifier-page with better translation support
- Port keyboard-shortcut-group to Blueprint
- Use AdwButtonRow to add a custom shortcut
- Increase input chooser dialog height

Mobile Networks
- Port "Modem Details" dialog to AdwDialog
- Port modem details rows to CcListRow
- Use "property" style for the rows

Mouse & Touchpad
- Don't let primary buttons shrink

Multitasking
- Add save/restore toggle switch

Network
- Actually turn off wifi when only managing a single device
- Clarify no saved networks title
- Show a status page if there are no saved Wi-Fi networks
- Show "No Saved Networks" page after deleting last connection
- Don't show hyphen in long passwords in QR code dialog
- Announce to the screen reader when an IP address is wrong

Power
- Fix battery model string leak
- Port CcBatteryRow to Blueprint

Region
- Always set all variables when setting system locale
- Fix name of the US measurement system
- Increase language chooser dialog height

Sound
- Better distinguish input and outputs rows in panel
- Ignore loopbacks

Users
- Port CcPasswordDialog and CcAddUserDialog to Blueprint
- Use CcEntryFeedback for password states
- Announce password verify entry state changes to screen reader
- Update admin switch position in add user dialog
- Allow changing password with remote user

Wacom
- Reverse main & fallback mechanisms for getting vendor & product

Wellbeing
- Handle accounts managed by malcontent
- Add SPDX comment to bar chart documentation diagram

============
Version 49.0
============

- Various translation updates

Mobile Networks
- Fix crash with APNs without a name label

Sound
- Fix unreadable profile combo row label

=============
Version 49.rc
=============

- Fix yelp app name (requires yelp 49.beta)
- Fix a couple of compiler warnings in the time editor widget
- Various translation updates

About
- Use IMAGE_VERSION from /etc/os-release for "OS Build" row
- Fix NVIDIA GPU name display if get_renderer_from_switcheroo failed

Accessibility
- Add button to launch Orca preferences

Color
- Use explicit color calibration API (requires mutter 49.rc)

Keyboard
- Fix issue with focus on search entry in the Shortcuts settings

Power
- Replace SettingsDaemon.Power.Screen with Shell.Brightness (requires gnome-shell 49.beta)

System
- Fix handling of failure to disable systemd services
- Add missing include guard

User Accounts
- Handle UTF-8 characters in invalid username error message

===============
Version 49.beta
===============

- Rename appdata file to metainfo
- Use AdwShortcutsDialog to show keyboard shortcuts
- Various translation updates

Dependency updates
- libadwaita >= 1.8.alpha

About
- Add "Support GNOME" with Donate button

Display
- Remove minimum display size
- Remove unnecessary display config abstraction

Online Accounts
- Disable markup in notification toasts for properly showing URLs

Printers
- Rename dialog title to "Active Jobs"

Sound
- Fix sound device and profile selection

================
Version 49.alpha
================

- Build without X11 support by default (-Dx11 Meson build option)
- Various translation updates
- Port nearly all UI definition files to Blueprint
- Fix various compiler and Meson warnings
- Plug several memory leaks
- Ensure valid ID in ActivateResult of search-provider
- Many accessibility improvements, with clearer labeling and
  better keyboard navigation
- Add rounded borders to illustrations
- Wrap settings panel names in small window sizes
- Call g_type_ensure for a custom class
- Unify search entries across several dialogs
- Remove .desktop suffix from our app ID

Dependency updates
- blueprint-compiler >= 0.17 (new dependency)
- NetworkManager >= 1.52.0

Common components
- Refactor split-row code

Apps
- Set bold style to the app name
- Hide preference group if no permissions are shown
- Show global shortcuts count in the "Global shortcuts" row
- Avoid markup tags
- Use WrapBox for buttons "open" and "details"

Color management
- Make it clear that only display calibration is supported
- Use AdwDialog.force_close for dialog
- Remove extra line at the bottom of the device list

Displays
- Don't round all scales to 25% increments
- Drop the HDR Brigthness slider (now controlled by backlight setting)

Global shortcuts
- Reword how we refer to the app's settings page
- Don't crash on an invalid app ID

Keyboard
- Fix duplicated "Search" entries in the Custom Shortcuts

Mouse & Touchpad
- Add pointing stick configuration

Network
- Fix bad memory access in wsec_size_group_clear()
- Fix infinite loop in WireGuard page
- Add initial eps bearer settings (LTE) to APN dialog

Notifications
- Fix crash when modifying app settings multiple times

Online Accounts
- Remove the old Windows Live provider

Power
- Set suspend notice message visible by default
- Change power saver icon to leaf (matching GNOME Shell)

Printers
- Run printer details response callback when closing dialog

Sound
- Move output test button above the output device row
- Change default alert sound
- Port device and configuration dropdowns to AdwComboRow
- Fix cut off of speaker test button border on hover

System
- Improve password generation logic
- Use EFF's Wordlists for Random Passphrases for password generator

Wacom
- Get motion history from tablets in test drawing area
- Remove the X11-based noinst calibration helper

Wellbeing
- Don't make screen time row activatable
- Fix NAN handling for chart labels
- Fix chart height calculation for partially filled week
- Fix a typo in an enum name

Users
- Don't crash when failing to crop avatar images

============
Version 48.0
============

- Various translation updates
- Various CI fixes

Display
- Improve accessibility of HDR Brightness row
- Fix setting luminance scale adjustment on rebuild

Power
- Add power consumption notice when disabling suspend (EU regulation)

===============
Version 48.rc.1
===============

- Various translation updates

- Include subprojects/libgxdp in the release tarball
- Pin the revision of libgxdp wrap file

Keyboard
- Fix regression when setting an already existing shortcut

Wellbeing
- Fix type in a gtk_widget_dispose_template() call

=============
Version 48.rc
=============

- Various translation updates

Applications
- Add Global Shortcuts Provider frontend dialog

Displays
- Add HDR luminance settings UI

Power
- Add a translator comment about "Battery Charging" string
- Use new UPower power-profiles-daemon DBus API

Sound
- Fix styling of sound test button

Users
- Synchronize fingerprint enrollment feedback strings with fprintd

Wellbeing
- Fix translatability of ‘average $weekday’ strings
- Support locales where the week starts on a Saturday
- Add missing includes for _NL_TIME_FIRST_WEEKDAY code path
- Block settings change notifications while updating them
- Fix delayed-apply of movement break settings

Wifi
- Disable activation for rows in Saved Wi-Fi Networks dialog

===============
Version 48.beta
===============

- Various translation updates
- Make search bar always grab focus with shortcuts
- Fix a memory leak in CcMaskPaintable (used for illustrations)
- Fix missing icons in Mouse/Wacom/WWAN settings (ship our own icons)
- Add single-panel-mode for distros to launch Settings in a single panel (without sidebar)
- Use static hostname instead of pretty hostname (hostnamed) in URLs

Dependency updates
- gnome-settings-daemon >= 48.alpha.1

Device Security
- Don't hardcode height of "help" dialog

Display
- Add monitor HDR setting

Keyboard
- Rename old "logout" media key name to "Power Off"
- Add new media keys shortcuts for "Restart" and "Logout"
- Port shortcuts dialog to AdwDialog

Mouse
- Use AdwToggleGroup in the "Primary Button" settings

Region
- Port Format Chooser to AdwPreferencesPage
- Inform accountsservice of all configured languages

Sound
- Filter out NULL stream names in Volume Levels settings

Thunderbolt
- Fix unescaped string in device status dialog

Wellbeing
- Add screen time support
- Use gtk_widget_set_child_visible in allocate
- Various accessibility/navigation/esthetic improvements
- Split data collection and limits settings

================
Version 48.alpha
================

- Various translation updates
- Start using the new GNOME release service
- Prevent crash on CcSplitRow related to Gtk size group changes
- Use accessible-role=presentation for illustrative icons/images
- Use gtk_list_box_remove_all instead of iterating GTK widget children
- Import developer docs from gitlab wiki to the docs/ source folder
- Various improvements to our development Flatpak build
- Various style/consistency updates to gobject creations
- Stop calling "gtk_widget_get_root()" incorrectly
- Various improvements to CcPermissionInfobar
- Use luminance masking for webm assets
- Introduce follow-accent property to CcMaskPaintable
- Allow FQDN hostnames

Dependency updates
- upower >= 1.90.6
- gsettings-desktop-schema >= 47.0
- libadwaita >= 1.7.alpha

About
- Fixes wrong GPU names when g-c-c is launched using dGPU

Accessibility
- Turn CcCursorSizeDialog into a page
- Remove "screen" mark labels in zoom page
- Simplify cursor size subtitle

Apps
- Avoid crash when parsing invalid app permissions
- Handle Epiphany webapps
- Various memory leak fixes
- Remove .circular style class from some buttons

Appearance
- Load GnomeBG thumbnails async
- Internally handle scale-factor
- Allow for concurrent cache updates
- Generate one background thumbnail at a time
- Don't accidentally reset accent colors
- Add "undo" option when deleting a wallpaper
- Load async wallpapers in order

Color
- Fix "Show details" link on profile warning
- Fix row expansion and button visibility
- Port "Add Profile" to AdwDialog
- Rename "Color" panel to "Color Management"
- Various code style improvements
- Port add profile page from GtkTreeView to GtkListView
- Ensure profile is connected before setting system-wide
- Various fixes to the color calibration tool

Date and Time
- Fix incorrect disabling of auto timezone without location services
- Use AdwToggleGroup in the "Time Format" row

Display
- Snap monitors after updating prefer mode to current config when enable join mode
- Port "Scale" and "Multiple Displays" rows to AdwToggleGroup
- Use real color temp in night light scale widget

Keyboard
- Port Shortcut editor to AdwDialog
- Use "--parent-handle" option when launching Tecla (keyboard layout previewer)
- Fix compose key example string

Network
- Make metered connection and hotspot settings adaptive to small screens
- Fix memory leaks in wireguard page

Notifications
- Update UI when underlying gsetting changes

Mouse
- Convert VP9 webm with alpha to monochrome variants (so we don't need gstreamer-bad-pluggins)
- Update webm illustration assets to latest versions

Mobile Networks
- Fix status pages alignments
- Use header capitalization in the "Turn off Airplane Mode" button

Multitasking
- Make workspace settings insensitive for single workspace

Online Accounts
- Track goa changes in PresentationIdentity and update the UI accordingly

Power
- Add support for battery charge limiting
- Split panel into "General" and "Power Saving" pages
- Split "Black Screen" setting in switch and delay
- Remove separate dialog for "Automatic Suspend"
- Various improvements on code readability and refactors
- Fix conflicting mnemonics
- Handle when tuned-ppd has an unsupported power profile

Printers
- Remove "search as you type" feature as it conflicts with global search
- Add a confirmation dialog when attempting to clear all jobs
- Add "No Results" page when nothing to show on search
- Use a consistent printer icon in several status pages
- Set "Driver" row after selecting ppd file in Printer Details dialog
- Port "Install PPD" dialog to GtkFileDialog

Region
- Update language row after closing lang selector
- Port format chooser dialog to AdwDialog
- Show locale name in format chooser preview
- Reset format chooser preview when uncollapsing

Sound
- Turn sound alert dialog into a subpage
- Prevent crash in Volume Levels when stream has no name

Search
- Add a button to open custom search locations

Sharing
- Fix saving of new shared folders in "Media Sharing" settings
- Make "Media Sharing" dialog use GtkFileDialog for new folders

Tests
- Disable randomly failing network panel test
- Improve waiting on NM device/client changes
- Add FQDN hostname tests

Thunderbolt
- Use AdwToast to display transient notifications
- Use property-rows style in device dialog

Users
- Use a dialog to confirm fingerprint removal
- Stop shipping legacy avatar images
- Fix conflicting mnemonic in "Add User" dialog
- Port "Remove User" button to AdwButtonRow
- Make screen reader read avatar file names when there are no names
- Port fingerprint dialog to AdwDialog

Wacom
- Do not crash when handling an unknown stylus ID
- Support hidpi for tablet/stylus images
- Make assets recolorable
- Rename visible entry to "Graphics Tablet"
- Change from "left handed orientation" to "location of buttons"
- Various style tweaks to stylus page

Wellbeing
- Add initial Wellbeing panel (disabled by default)

Wifi
- Fix crash on wifi adapter removal
- Fix using wifi hotspot with multiple wifi adapters
- Don't disable wireless globally when toggling one Wifi connection OFF

===============
Version 47.beta
===============

- Various translation updates
- Various CI fixes
- Various ports to modern libadwaita widgets
- Various mnemonics additions
- Use GtkWindow.set_default_icon_name for legacy sessions

Accessibility
- Rename "Reduce Animation" setting to "Animation Effects"

Apps
- Rename "File and Link Associations" page to "Files and Links"
- Show status page when Parental Controls aren't available
- Don't show "App is not sandboxed" banner for system components

Display
- Adapt rotation labels to the screen ratio
- Don't set automatic Night Light when Location Services are unavailable

Keyboard
- Load input choice locales asynchronously
- Fix "Move" buttons in input rows

Location
- Remove reference to now retired Mozilla Location Services

Mouse
- Use monochrome assets to support different accent colors
- Separate "Touchpad" row into its own preferences row group

Network
- Don't set empty ignored hosts

Notifications
- Turn "App Notifications" dialog into a subpage

Online Accounts
- Add a toast overlay for panel notifications/error messages

Users
- Modernize the "Add User" dialog
- Respect password "enforcing" based on /etc/security/pwquality.conf
- Avoid user names with underscores being interpreted as mnemonics
- Show correctly the remaining list of fingerprints to enroll
- Reverse sorting of finger names list to prioritize most used ones

Printers
- Various tweaks for the PPD Selection dialog
- Add button instead of link to open printer cups web page

Privacy
- Don't leak Bolt and Location subpages
- Fix visibility of Bolt settings when Bolt isn't available

Remote Desktop
- Fix loop resetting credentials
- Use new gnome-remote-desktop server configuration DBUs interface

Sound
- Add an empty state page for when no sound device is available

Wacom
- Set up Wacom stylus keyboard shortcuts and switch monitor

WWAN
- Fix crash preventing the load of the SIM Unlock dialog

================
Version 47.alpha
================

- Various translation updates
- Various CI fixes
- Various dialogs have been ported to subpages
- Add CcNumberRow to ease the mapping of settings to combo rows
- Skip tests if we don't have Xvfb or setxkbmap
- Various ports of rows to AdwButtonRow
- Various ports of dialogs to AdwDialog
- Various ports to AdwAlertDialog
- Various row changes to use the "property" style
- Improve padding of some search entries
- Fix Flatpak Development build manifest
- Reorganize various icon assets

Accessibility
- Add "Activate Windows on Hover" setting
- Move "Screen Reader" settings to the top
- Use same size for cursors settings interface
- Port Cursor Size dialog to AdwDialog
- Various icon artwork updates

Apps
- Improve description of "Default Apps" settings
- Turn app settings dialogs into subpages
- Fix "No Search Results" page
- Don't show "Open" button for Settings itself
- Show the number of static permissions in the "Required Access" row
- Indicate when no apps are available for a mime type in "Default Apps"

Background
- Implement accent colors
- Improve window preview style
- Improve a11y of the accent color toggles

Color
- Modernize looks of the Color settings
- Capitalize "Built-In Webcam"
- Rename "Laptop Screen" to "Built-In Screen"

Displays
- Fix panel crash when closing laptop lid
- Add icon to the Night Light settings

Keyboard
- Allow previewing keyboard layouts in Input Sources dialog
- Turn CcXkbModifierDialog into a subpage

Mouse
- Remove primary indicator delay for Mouse Test dialog
- Make Mouse Test not respond to middle click

Network
- Make the QR Code dialog contents readable by screen readers
- Use property rows to show Wi-Fi hotspot information
- Add 6GHz to "Supported Frequencies"
- Sort VPNs list
- Fix row removal when Bluetooth wifi is removed
- Add stable-ssid support for cloned-mac

Online Accounts
- Rename Windows Live provider to "Microsoft"
- Rename MS365 provider
- Close new account dialog when account creation is complete

Printers
- Modernize Printer Jobs dialog
- Modernize Printer Details dialog
- Fix spelling inconsistency for the word "Cancelled"
- Close "Add Printer" dialog when pressing "Escape" key
- Port "Undo" feature to AdwToast

Power
- Add suspend time options for mobile devices

Privacy
- Port to CcNumberRow

Search
- Port "Search Locations" page to a subpage

Sharing
- Improve text description of the Sharing features
- Add DAV address in the File Sharing dialog
- Add notice about shared files not being encrypted
- Hide panel when none of the Sharing features are available in the system

Sound
- Use AppInfo to get app icons and fallback to icon-theme
- Try to use AppInfo icon for stream icons
- Turn volume levels dialog into a subpage
- Adjust sound of the "Click" effect closer to the freedesktop.org bell sound
- Make sound setting sliders more accessible with keyboard

System
- Load subpages on demand to speed up panel load
- Avoid re-setting Remote Desktop credentials when they haven't changed

Users
- Don't show unwanted system accounts
- Fix parental controls settings visibility
- Rename "Add Enterprise User" to "Add Enterprise Login"

Wacom
- Always allow calibration for display tablets
- Enforce a Z-shape sequence of calibration points
- Fix wrong alignment detection in the calibrator
- Reset the clock after any click on the calibrator
- Up the calibrator threshold to 50 pixels
- Simplify the calibrator code
- Fall back to the generic tablet provided by libwacom
- If we have two identical monitors, suffix the connector name

=============
Version 46.rc
=============

- Allow launching some subpages from the command line
- Various ports of custom widgets to libadwaita widgets

Appearance
- Track current active background better

Display
- Add support for Variable Refresh Rate (VRR) modes
- Show the full VRR range for a monitor when possible

System
- Introduce the "Remote Login" settings
- Rename the old "Remote Desktop" settings to "Desktop Sharing"
- Reintroduce some of "System" pages as search results

Users
- Fix issue with newly created user page showing other user's info
- Introduce a new "Add Enterprise User" dialog


=================
Version 46.beta.1
=================

Exceptional release to fix translations
https://gitlab.gnome.org/GNOME/gnome-control-center/-/issues/2893

=================
Version 46.beta.1
=================

Exceptional release to include gnome-online-accounts changes
(Freeze break exception https://gitlab.gnome.org/Teams/Releng/freeze-breaks/-/issues/164)

===============
Version 46.beta
===============

- Drop pkexec dependency
- Bump gcr dependency to gcr4
- Reorder sidebar/panel list
- Use g_clear_handle_id with g_source_remove to remove GSources
- Add CcHostname as a wrapper to interact with system-hostnamed
- Remove periods in subtitles/descriptions/labels according to the HIG
- Various string/sentence rewording (for clarity)
- Various style changes in symbolic icons
- Various ports of custom widgets to modern libadwaita alternatives
- Various new mnemonics added
- Various CI fixes

Accessibility
- Expose new "show-status-shapes" setting
- Rephrase overamplification string in the "Hearing" settings
- Stop tracking old GTK theme
- Stop forcing HighContrast icon theme (The theme is considered deprecated)

Apps
- Tweak headings & descriptions from Default Apps sections
- Tweak the autorun-never option design (inverting the autorun-never option logic)
- Use modern libadwaita widgets in the Removable Media settings

Keyboard
- Use AdwActionRow to show the key modifier options (improves accessibility)

Network
- Fix missing VPN entries

Mouse
- Add "Test Settings" button to the body of the panel
- Modernize mouse test dialog (adds secondary-click test)

Printers
- Add padding to the sidebar items from "Printer Options"
- Add .suggested-action style class to "Test Page" button

Privacy
- Hide non-functional microphone panel

Search
- Add commandline parameter for opening the Search Locations dialog directly
- Stop removing non-existent folders from tracker
- Expose single directory setting
- Add placeholder for custom locations
- Set title for non-existent bookmarks
- Always show switch for default/bookmarks
- Handle unset XDG dirs
- Tweak search locations labels

Sharing
- Fix alignment of networks section in the File/Media sharing dialogs
- Use edit-delete-symbolic in networks list rather than window-close-symbolic
- Move main switches from dialog headerbars into the dialog's content area

Sound
- Show radio buttons as prefix for the Alert Sound rows
- Add tooltips to all speaker test buttons

System
- Move "Remote Login" from sharing panel to System (now named "Secure Shell")
- Use polkit to request permissions to enable/disable sshd
- Create CcSystemDetailsWindow upon opening (speed up System panel startup time)
- Fix crash in About page after dark mode switch
- Don't show Remote Desktop settings when backend is not available
- Show gnome-control-center version on the "GNOME Version" row in the About page
- Fix language chooser dialog not closing in Users page

Wacom
- Port some widgets to modern libadwaita alternatives
- Switch to using a dialog for stylus button assignments
- Highlight the currently active stylus
- Give proper ids and classes to the stylus SVG components
- Provide connector name for disambiguation
- Drop list to handle pads
- Pair only builtin pads with tablets
- Prefer the stylus over the eraser
- Don't call the standard styli "Standard stylus"

Wi-Fi
- Show password when sharing QR Code
- Fix crash with toast notifications in the Saved Networks dialog

================
Version 46.alpha
================

- Introduce the new "System" panel, grouping the settings of Region & Language, Date & Time, Users, Remote Desktop, and About.
- Add an "About Settings" dialog
- Various appdata improvements
- Various mnemonics added
- Various tooltips added
- Various CI fixes
- Various accessibility fixes
- Make "gnome-control-center --version" work on non-supported environments
- Bump meson dependency to >= 0.58
- Disable "deprecated-declarations" by default for builds 
- Introduce -Ddeprecated-declarations=enabled meson build option
- Add CODEOWNERS file

Accessibility
- Rename "Overlay Scrollbars" to "Always Show Scrollbars" and invert this setting logic
- Reword the "Accessibility Menu" row
- Add description text to "Cursor Size" dialog
- Port Cursor Size dialog to AdwWindow
- Use AdwSpinRow in Zoom -> Magnification Factor row
 
Appearance
- Improve overall load and resize performance of background thumbnails
- Improve background chooser performance
- Make background preview thumbnails sharpier

Apps
- Drop sidebar by implementing a new mockup with a search bar inside the panel
- Move "Default Apps" and "Removable Media" panels into the "Apps" panel
- Add a banner indicating when an app isn't sandboxed
- Separate the "Required Permissions" row into its own section
- Add headings to rows from the app settings section
- Port "Removable Media Settings" row to AdwSwitchRow
- Ignore symlinks when measuring cache/data size to improve accuracy
- Use "computer-fail-symbolic" icon instead of GNOME Software's icon
- Fix "File & Link Associations" crash
- Fix "File & Link Associations" UI not updating
- Fix launching an app page from the command line (ex.: "gnome-control-center application $APP_ID)
- Replace snapd-glib with a native implementation

Cellular
- Various HIG compliance changes

Date & Time
- Add description to "Week Numbers" row

Displays
- Port custom switch rows to AdwSwitchRow

Keyboard
- Add "Left Ctrl" key to Compose Key options
- Add "Insert" key to Compose Key options
- Port Shortcut Editor from deprecated GtkDialog to AdwWindow/AdwToolbarView
- Fix showing window decoration buttons when showing the "Unsupported network daemon" status page
- Show title buttons at the initial state of "Set Shortcuts" dialog
- Add visual outline to shortcut graphic arrows

Mouse
- Add "Secondary Click" option for Touchpads (aka "Click Method")
- Add "Disable While Typing" setting to Touchpad page
- Update edge-scroll animation to represent better dimensions of physical devices
- Port custom switch rows to AdwSwitchRow
- Split "Scroll Method" and "Direction" into separate row groups
- Prevent test window arrows from interferingf with scrolling events
- Fix illustrations looking blurry on small window sizes
- Fix the linked-style of the primary mouse button setting to work on RTL languages

Network
- Use period as thousands separator on network speed label
- Avoid critical warning for floating reference in hotspot dialog
- Various UI spacing and alignment changes in the connection editor pages
- Share WPA3 (SAE) networks with QRCode
- Hide QRCode icon when connection not successful
- Handle bluetooth device connections ourselves (instead of depending on NM connection-editor)
- Don't show "Saved Wi-Fi Networks" row when there's nothing to show
- Use a "Undo" toast to allow users to undo forgetting a network in "Saved Wi-Fi Networks"
- Make the "forget network" button show only an icon (instead of a icon+label)
- Fix sensitivity of DNS and route configuration widgets
- Warn user if both automatic and manual DNS is configured
- Unset DNS entry errors when entry is empty
- Disable Wi-Fi Hotspot row when Wi-Fi is not active

Notifications
- Stop listing system services on the panel

Online Accounts
- Various memory leak fixes

Power
- Add mnemonics to help navigate the automatic suspend dialog
- Modernize the Suspend dialog

Privacy & Security
- Rename panel from "Privacy" to "Privacy & Security"
- Update panel description text
- Rename "Location Services" page to "Location"
- Make icons larger in Location/Camera/Microphone pages
- Make page visibility checks cancellable to avoid crashes
- Fix crashes on Camera and Firmware Security pages
- Rename location switch title to "Automatic Device Location"
- Reword and re-style the "Privacy" policy text 

Region
- Preview measurement format in current locale

Remote Desktop
- Use "rdp" instead of "ms-rd" for hostname URL
- Add documentation link to instruct how to use remote desktop

Sharing
- Make panel adaptative
- Use AdwPreferencesPage/AdwPreferencesGroup in all dialogs

Users
- Port to AdwNavigationView/Page widgets
- Move into the "System" panel
- Use AdwAvatar to generate default user icon and mark generated avatars as such

Wacom
- Update illustration style
- Generate a smooth pressure curve instead of just 7
- Introduce mark indicating the center-point of the stylus pressure curve
- Extend ther pressurecurve range by 25% in each direction
- Use the ExpressKey Remote name for the EKR

============
Version 45.0
============

- Fix panel list (sidebar) issues with panel centering
- Use g_printeer to message when running in non-supported environments

About
- Fix issue with system details label having the "selected" state
- Allow system details labels to span multiple lines

Accessibility
- Fix issue when icon theme changes to HighContrast can't be reverted

Keyboard
- Fallback to subproject when keyboard previewer (tecla) is not available

Network
- Fix criticals when updating connection
- Don't try to update device if it doesn't exist
- Don't show QR Code button for wifi connections using unsupported security methods

Online Accounts
- Add line-breaks to log messages

Search
- Fix crash when selecting folder in "Other Search" locations

Users
- Allow new password insert if the old one is right

=============
Version 45.rc
=============

This is an exceptionally early release with the goal of speeding
up the user testing of our new libadwaita navigation widgets that
were merged as a release freeze break exception.

These changes are mostly made of widget changes/reorganization,
with no fundamental behavior or logic change. No major regressions
are expected.

About
- Port to AdwToolbarView
- Make System Details window more compact
- Port System Details window to AdwBreakpoint
- Port System Details window to AdwToolbarView
 
Accessibility
- Port to AdwToolbarView

Applications
- Make panel fit on narrow widths
- Port deprecated GtkDialogs to AdwWindow

Background
- Port to AdwToolbarView

Bluetooth
- Port to AdwToolbarView

Color
- Port to AdwToolbarView

Date and Time
- Port to AdwToolbarView
- Port dialog to AdwWindow

Default Apps
- Port to AdwToolbarView

Default Apps
- Port to AdwToolbarView

Display
- Port to AdwNavigationView and AdwtoolbarView
- Reduce the size of the preview width

Keyboard
- Port to AdwToolbarView
- Port keyboard shortcuts dialog to AdwNavigationView
- Fix criticals when inpuit chooser is destroyed
- Write to mru-sources setting if it has never been set before

Mouse
- Make adaptative
- Port to AdwToolbarView
- Port the test dialog to AdwToolbarView
- Stop leaking the test window

Multitasking
- Port to AdwToolbarView

Network
- Port to AdwNavigationView and AdwToolbarView
- Port the Wi-Fi panel to AdwToolbarView
- Stop leaking the hotspot dialog

Notifications
- Port to AdwToolbarView
- Port dialog to AdwWindow and AdwToolbarView

Online Accounts
- Port to AdwToolbarView

Power
- Port to AdwToolbarView
- Port the suspend dialog to AdwWindow and AdwToolbarView

Printers
- Port to AdwToolbarView
- Make the panel adaptative
- Move search bar above the banner
- Port dialogs to AdwWindow and AdwToolbarView
- Fix size calculation for normalized printer name

Removable Media
- Port the dialog to AdwWindow
- Port to AdwToolbarView

Region
- Port to AdwToolbarView

Search
- Port to AdwToolbarView

Sharing
- Port to AdwToolbarView
- Port dialogs to AdwWindow and AdwToolbarView
- Port Remote Login row to AdwSwitchRow

Sound
- Port to AdwToolbarView
- Port dialogs to AdwWindow and AdwToolbarView

User Accounts
- Fix account type row sensitivity
- Port to AdwToolbarView
- Port Add User dialog from deprecated GtkDialog to AdwWindow
- Update status page text when no accountsservice is available
- Show label when another user is logged in
- Port error message dialogs to AdwToasts
- Port deprecated GtkMessageDialogs to AdwMessageDialog
- Add "loading" page at startup

Wacom
- Port to AdwToolbarView

WWAN
- Port to AdwToolbarView

===============
Version 45.beta
===============

- Prevent loading last-panel unconditionally on startup
- Multiple settings rows got ported to use the AdwSwitchRow widget
- Various accessibility label fixes
- Various memory leak fixes

About
- New About panel displaying system information in a more compact way

Applications
- Fix crash when opening the Apps panel as the last-opened panel

Datetime
- Add description explaining the "Clock & Calendar" settings

Displays
- Replace deprecated GtkComboBox with AdwComboRow

Keyboard
- Fix "Move up/down" movement options in the input list
- Spawn "tecla" app to display the keyboard map (replaces gkbd-keyboard-display)
- Fix alignment of the "Set Shorcut..." button

Network
- Use an AdwSwitchRow widget to enable/disable Wi-Fi

Online Accounts
- Improve "offiline" message text
- Use banner to indicate when the system is offline
- Add panel description text and section titles

Sound
- Make output test whell smaller
- Ellipsize long device name label

Printers
- Use the "card" style for printer entries

Privacy
- New Privacy panel containing all the panels under the Privacy category

Region
- Fix preview buttoins in the format chooser

Search
- Fix "Move up/down" movement options in the app search list

Users
- Show "Other Users" section only when there are users to show
- Make entire panel insensitive when the user has no permission to make changes
- Fix focus issues when selecting avatar image from a file
- Fix g_critical errors when loading file metadata for avatars

================
Version 45.alpha
================

- Add placeholder text to various search entries
- Set a minimum size for various dialogs
- Make dialogs close when pressing the Escape key
- Replace deprecated GTK4 methods with new replacements
- Depend on snapd-glib-2 (soup3 version)
- Accessibility improvements
- Updated translations

Common
- Fix time entry for RTL languages
- Use ToastOverlay
- Show start title buttons in header bar
- Allow more theming of rows
- Only return to last panel if it didn't crash
- Improvements to panel activation
- Improvements to panel searching

About
- Show only the GNOME major version
- Update hostname only after apply is clicked

Accessibility
- Present the checked state on the list row itself

Appearance
- Clear out dconf if user picks defaults

Applications
- Always use bold for app name in dialogs
- Use header capitalization in the "No apps" AdwStatusPage

Color
- Do not try to access to null pointer in destruction
- Dim information text & fix "Learn more" link alignment

Date and Time
- Fix NTP switch getting out of sync
- Add top bar clock and calendar switches
- Move "Time Format" row out of "Clock" section
- Merge "Clock" and "Calendar" sections

Default Apps
- Don't crash when there are no apps for a mimetype

Device Security
- Skip security attributes that have been obsoleted by others
- Ddon't translate technical report

Display
- Allow configuring all monitors and apply settings at once
- Try snapping all the displays after a config change
- Don't leak config manager proxy
- Use AdwPreferencesPage
- Fix display enabled toggle visibility
- Fix gaps when numbering unusable displays
- Fix stuck window subtitle
- Fix invalid panel state after canceling changes
- Check best_mode exist before adding flag

Info
- Show each GPU in it's own line

Mouse
- Prevent infinite loop on settings changes
- Do not bind sensitivity to touchpad settings
- Simplify binding of touchpad sensitive widgets
- Hide entire "Touchpad" row when touchpad cannot be disabled

Keyboard
- Fix cancel button issue
- Add "Compose" and "Character" keywords
- Add ellipsis to the "Add Shortcut" button label
- Fix "Add Custom Shortcut" in others sections
- Drop "Left Alt" as compose key option

Network
- Validate max length of hotspot SSID
- Keep current mode when enabling proxy
- Increase maximum MTU value from 10000 to 65536
- Fix incorrect styling in WiFi list
- Make the security status and signal strength read by screen readers
- Add a confirmation dialog when forgetting a connection
- Center panel title when subtitle isn't visible
- Rename "Other Devices" to "Bluetooth"
- Fix crash when importing wrong vpn file
- Drop legacy vpn_export function
- Close Connection Editor dialog when clicking Apply button
- Add delete icon in saved WiFi connections list
- Move WiFi controls out of headerbar

Notifications
- Replace "Applications" with "App Notifications"

Power
- Label the main "battery" as UPS if that's what it is
- Hide automatic suspend row in VM

Region
- Fix label of formats for the login screen

Sharing
- Disable AdwActionRow markup for networks
- Fix network row visible name bug
- Remove global master switch
- Fix visual bug for active indicators
- Add icons next to each row
- Add subtitle to each panel row

Sound
- Make bass audible on low quality hardware
- Prevent duplicate sound device entries

Thunderbolt
- Update page to be more similar to other pages
- Modernize Device Dialog UI

Usage
- Fix confirmation dialog when clearing history

Users
- Remove account activity window
- Set language-chooser to hide on close
- Add popover explaining about the "Administrator" option
- Add a popover describing the autologin functionality
- Move "Add User" button out of the user listbox
- Improve avatar crop mechanics
- Improve rounding of avatar crop edges
- Draw avatar crop corners to inside of crop

Wacom
- Rename "Test Your Settings" button to "Test Settings"

================
Version 44.rc
================

- Improve state of switchers throughout the app
- Updated translations

Keyboard
- Various fixes to the shortcut editor

Mouse & Touchpad
- Polish the panel redesign

Printers
- Update to more modern CUPS APIs

================
Version 44.beta
================

- Redesigned Sound panel
- Redesigned Mouse & Touchpad panel
- Share Wi-Fi networks using QR code
- Many consistency improvements
- WireGuard support
- Updated translations

Mouse & Touchpad
- Redesign the panel with videos of the preferences
- Move mouse test into a separate dialog

Network
- Add support for sharing Wi-Fi networks through QR code
- Add WireGuard support

Sound
- Move application volumes to a dialog
- Move sound themes to a dialog

================
Version 44.alpha
================

- Redesigned Accessibility panel
- Many consistency improvements
- Updated translations

About
- Add "Firmware Version" row

Accessibility
- Redesign the panel with new a navigation pattern

Cellular
- Various fixes

Date & Time
- Improve month selector

Device Security
- Improve date and time formatting
- Simplify technical descriptions

Display
- Improve error state of Night Light

Sound
- Start implementing the new designs

Thunderbolt
- Hide panel if no Thunderbolt device is found

================
Version 43.1
================

- Updated translations

Network
- Fix crashes editing networks

Power
- Don't assert if we can't find the widget for a profile

Printers
- Small visual improvements

================
Version 43.0
================

- Updated translations

================
Version 43.rc
================

- Fix initial AM/PM label value
- Remove no longer used icon
- Select panel only if non-folded when search is canceled
- Updated translations

Appearance
- Allow backgrounds to use any image format

Device Security
- Several UI improvements

Display
- Fix primary monitor selection

Info
- Improve dark theme support

Keyboard
- Fix activation of input source toggle button
- Improve handling of Shift shortcuts

Power
- Fix blank screen and power button behavior settings

Printers
- Show empty state after removing last printer

Search
- Fix Move Up and Move Down actions

Sound
- Fix sound alert selection

Wacom
- Better support Wacom Express Key Remote

================
Version 43.beta
================

- Updated translations

Cellular
- Add WWAN 5G connection support

Device Security
- Polish failure messages
- Various style updates

Display
- Support privacy screens

Info
- Show build id in a separate row

Network
- Fix VPN empty state

Sound
- Update default sounds

User Accounts
- Fix back button not appearing sometimes

================
Version 43.alpha
================

- Improved accessibility in various panels
- New Device Security panel
- Updated translations

Date & Time
- Update visual style of the timezone map

Display
- Various visual improvements

Sound
- Remove dog barking sounds

================
Version 42.1
================

- Updated translations

Display
- Various small behavior improvements
- Fix monitor labels

Network
- Improve handling of VPN connections

Online Accounts
- Fix behavior of helper application on X11
- Fix changes to online accounts services not applying correctly

User Accounts
- Various small polishments

Wacom
- Properly translate various strings

================
Version 42.0
================

- Updated AppData screenshots
- Re-enable tests
- Updated translations

================
Version 42.rc
================

- Updated translations

Keyboard
- Restore _GNOME_WM_KEYBINDINGS support

User Accounts
- Bring back Fingerprint dialog
- Fix avatar loading

Wacom
- Bring back empty state

================
Version 42.beta
================

- Port to GTK4
- Various UI polish changes
- New symbolic icons for panels
- Updated translations

Application
- Implement new design

Background
- Introduce dark & light mode selector
- Rename to Appearance

Display
- Implement new design

Region & Language
- Implement new design

User Accounts
- New design for the User Accounts panel

Wacom
- Implement new design

================
Version 41.0
================

- Cleanup the development Flatpak manifest
- Updated translations

User Accounts
- Add parental controls keywords

================
Version 41.rc1
================

- Updated translations

Cellular
- Various translation fixes

User Accounts
- Improve parental controls behavior

================
Version 41.beta
================

- Introduce the new Cellular panel
- Introduce the new Multitasking panel
- Updated translations

About
- Fix a crash due to uninitialized variables

Bluetooth
- Fix Bluetooth switch transitions

Location
- Fix permission store id (again)

Power
- Polish power profiles section

================
Version 41.alpha
================

- Improve and fix the development Flatpak manifest
- Drop dependency on grilo
- Updated translations

About
- Don't show GNOME micro version number
- Look for dark and text distro logo variants

Accessibility
- Add "Enable Animations" option

Location
- Fix permission store id

Mouse & Touchpad
- Update artwork

Online Accounts
- Present all online accounts providers at once

Power
- Integrate with new power profiles daemon API
- Show more information about power profiles
- Cleanup some preferences

================
Version 40
================

- Updated translations

================
Version 40.rc
================

- Various fixes to the language chooser
- Updated translations

Location
- Wrap label to fit smaller window sizes

Mouse & Touchpad
- Allow horizontal scrolling in test page

Network
- Fix creation of the netmask widget

================
Version 40.beta
================

- Various improvements to fingerprint management
- Show hardware model and vendor in the About panel
- New Keyboard panel design
- New power mode selector in the Power panel
- Updated translations

About
- Show hardware model and vendor
- Use os-release to search for the OS logo

Accessibility
- Major code cleanup

Display
- Try harder to select a good and working scale

Keyboard
- Handle input sources

Power
- Rearrange battery code to a new widget
- Add a new "Power Mode" section

Sharing
- Also disable Traker3

Sound
- Update mute button icon when volume changes

User Accounts
- Fix free of constant string
- Use properly translated fingerprint strings
- Improve transition to parental controls window
- Many improvements to fingerprint management

================
Version 3.38.0
================

- Updated translations

================
Version 3.37.92
================

- Updated translations

Display
- Show screen orientation setting even when accelerometer is present

Wacom
- Group pad/stylus devices together with the group name

================
Version 3.37.90
================

- Rename Universal to Accessibility
- Updated translations
- Clean CI jobs
- Adapt to libhandy-1

Network
- Add support for Enhanced Open Wi-Fi security
- Fix connection editor blanking when removing manual entry
- Small fixes

Thunderbolt
- Plug some memory leaks

User Accounts
- Show "Take a picture" button only when cam is available

================
Version 3.37.3
================

- Update various panels with more modern GTK practices
- Improve how time periods are displayed
- Rework CI images to use FreeDesktop-style templates
- Improve Settings icon
- Updated translations

Applications
- Integrate with parental controls

Date & Time
- Add new time editor UI

Keyboard
- Various cleanups

Lock Screen
- Add USB protection entry when available

Power
- Add option to show battery percentage
- Various smaller UI adjustments

Printers
- Do not authenticate SMB servers when search field is edited

Sharing
- Set label for checkbox properly
- Use gnome-remote-desktop instead of Vino on X11

Sound
- Fix translation of "System Sounds"
- Stop non-interactive profile changes from triggering changed events

User Accounts
- Always show permissions bar, even when no users are listed
- Use custom setting to override faces
- New Fingerprint dialog and various related improvements
- Integrate with parental controls

================
Version 3.36.1
================

- Update man page for info panel change
- Updated translations

Display
- Fix resolution options getting stuck in a low resolution

Sound
- Remove unused files

================
Version 3.36.0
================

- Updated translations

================
Version 3.35.92
================

- Updated translations

Applications
- Update icon

Background
- Remove split desktop and lock screen wallpapers
- Improve visuals of the background icons

Network
- Make VPN gear buttons consistent with oter buttons

================
Version 3.35.91
================

- Share GCancellable code
- Updated translations

Background
- Remove unused GCancellable

Power
- Fix mobile broadband switch logic

Sharing
- Remember password on remote desktop sharing

Thunderbolt
- Fix GCancellable leak

User Accounts
- Always generate user avatars

================
Version 3.35.90
================

- New sidebar panel order and grouping
- Introduce CcPermissionInfoBar
- More code style updates
- Updated translations

Applications
- Add "Run in Background" switch
- Add "Set Desktop Background" switch
- Show snap packages

Network
- Add SAE support
- Many code refactorings
- Switch to use GtkTemplate

Power
- Hide power button the chassis is handset

Printers
- Use CcPermissionInfoBar

Region & Language
- New design for the Formats dialog

User Accounts
- Use CcPermissionInfoBar
- Improved layout

================
Version 3.35.2
================

- Tighten up code style
- Improve timezone for various countries
- Replace deprecated logging functions with modern equivalents
- Updated translations

Background
- Update clock in both preview modes

Date & Time
- Allow changing the timezone when auto-update is prohibited

Display
- Replace CC_DISPLAY_*_GET_PRIVATE

Info
- Implement new design
- Add windowing system field

Network
- Add new hotspot creation dialog
- Major cleanups and code refactorings
- Plug various memory leaks

Privacy
- Drop the panel and replace it by various subpanels

Search
- Make rows and its elements reachable via keyboard

Sharing
- Set new shared folder visible as soon as it gets added

Sound
- Remove leftover canberra-gtk header inclusion

Universal Access
- Make rows and its elements reachable via keyboard

User Accounts
- Use 'pw usershow' to check username validity on FreeBSD


================
Version 3.34.0.1
================

Sound
- Fix sliders not behaving properly


================
Version 3.34.0
================

- Updated translations

================
Version 3.33.90
================

- Updated translations

Background:
- Clarify remove background button

Display:
- Various bugfixes

Search:
- Introduce Drag n' Drop
- Visual polishment


================
Version 3.33.3
================

- Various minor improvements from the Every Detail Matters session
- Add shadows to application icons
- Documented Communication Guidelines
- Development builds with Flatpak working again
- Updated translations

Background:
- Redesigned panel

Display:
- Move Night Light to a tab, instead of a dialog

Keyboard Shortcuts:
- Panel renamed from "Keyboard"
- Minor UI adjustments

Mouse & Touchpad:
- Reinstate keyboard navitation

Power:
- Don't treat all batteries as laptop batteries

Sharing:
- Use a HdyLeaflet

User Accounts:
- Present the default avatar in the avatar popover

Wacom:
- Ensure calibrator UI CSS only applies to its UI


================
Version 3.32.1
================

- Add shadows to application icons
- Updated translations

Applications:
- Fix wrong IDs being passed to portal permission store

Display:
- Various bugfixes to multimonitor setups

Mouse & Touchpad:
- Sync touchpad scrolling switch states correctly

Network:
- Only show Bluetooth devices in Bluetooth section

Online Accounts:
- Fix invisible widgets

Wi-Fi:
- Fix connection names with markup not showing up


================
Version 3.32.0.1
================

- Emergency release with a fix for broken translations and the Display
  panel


===============
Version 3.32.0
===============

- Translation updates


===============
Version 3.31.92
===============

- Translation updates
- CI improvements
- Revert making Settings responsive; it needs more polish to reach the
  quality we want.

User Accounts:
- Improve behavior when dealing with very long names
- Fix crashes
- Remove custom file size limit for avatars
- Allow bigger custom avatars


===============
Version 3.31.90
===============

- Make Settings and various panels responsive
- Various accessibility fixes
- Translation updates

Printers:
- Various cleanups

Region and Language:
- Make rows reordetable with drag and drop

Sound:
- Redesign the Sound panel

User Accounts:
- Allow ‘Remove User’ button to be focused
- Round user images


===============
Version 3.31.4
===============

- Introduce the new Applications panel
- Panels can now expose a custom sidebar widget
- Improve CI image building scripts
- Translation updates

Applications:
- Introduce the new Applications panel

Bluetooth:
- Cleanup and reorganize code

Display:
- Add Night Light slider to set temperature

Network:
- Allow Wi-Fi panel to reach narrower sizes
- Cleanups and smaller performance improvement preparations

Notifications:
- Use libhandy's HdyColumn

Online Accounts:
- Use libhandy's HdyColumn

Power:
- Label PENDING_CHARGE state as "Not Charging"

Printers:
- Cleanups and memory leaks plugs

Privacy:
- Use libhandy's HdyColumn

Thunderbolt:
- Fix double-free

User Accounts:
- Rename classes

Wacom:
- Map Wacom-driver-specific generic IDs to 0


===============
Version 3.31.2
===============

- Use X-GNOME-UsesNotifications on various desktop files
- Introduce new icon
- Add interative test panels
- Translation updates

Date & Time:
- Grey out automatic timezone

Display:
- Correctly add minor axis to snapping
- Correctly snap on various situations

Network:
- Cleanup many classes

Online Accounts:
- Track lifecycle of CcGoaPanel across async calls

Privacy:
- Use templates

Region and Language:
- Use a popover instead of a dialog for input options
- Redesign language chooser widget
- Plug various leaks
- Major cleanups

Sharing:
- Bind hostname entry

User Accounts:
- Use templates
- Do not crash when libpwquality fails

Wacom:
- Port calibrator UI to GTK
- Remove clutter-gtk dependency


===============
Version 3.30.0
===============

- Translation updates

===============
Version 3.29.92
===============

- Fix a couple of memory leaks in the tests
- Don't hardcode Python path in tests
- Stop aggressively caching D-Bus objects not related to hardware

CI:
- Improve Flatpak job

User Accounts:
- Silence some compiler warnings
- Remove stub string from translation

Wacom
- Remove unused widgets from the .ui file

Wi-Fi:
- Fix a potential crash


===============
Version 3.29.90
===============

- Use symbolic icons in Shell search

Network:
- Better device names

Power:
- Improve wording of some strings

Region & Language:
- Make Language Chooser dialog implement mockups

Wi-Fi:
- Improve Airplane Mode


==============
Version 3.29.4
==============

- Introduce Dynamic Panel
- Many code cleanups and modernizations

CI:
- Support for multiarch builds (ARMv8 and PPC64)
- Support generating Flatpaks on demand

Display:
- Improve display arrangement widget

Network:
- Add a testsuite

Sharing:
- Expose Remote Desktop work on Wayland

User Accounts:
- Use term "Confirm" instead of "Verify"
- Use the same phrase when passwords do not match

Wacom:
- Hide when no Wacom devices are connected
- Remove deprecated APIs

Wi-Fi:
- Hide when no Wi-Fi adapters are available

==============
Version 3.29.2
==============

- Improve logging engine
- Add an object caching mechanism
- Add a development Flatpak manifest
- Vastly improve CI
- Organize tests
- Add Network tests
- Translation updates

Display:
- Fix a few crashers

Power:
- Fix showing approximate percentages

Thunderbolt:
- Introduce new Thunderbolt panel

User Accounts:
- Port to GTask
- Fix hint for wrong enterprise user/password

===============
Version 3.27.92
===============

- Add CI to the GitLab repository
- Translation updates

Network:
- Use monospace font for Wi-Fi hotspot password
- Add a new empty page for Wi-Fi when no adapter is found
- Don't show "Auto-connect" option for VPNs

Power:
- Don't treat device batteries as power supplies

Printers:
- Add new command line actions: "authenticate-jobs" and "show-jobs"
- Add authentication dialog for print jobs
- Improve code robustness

User Accounts:
- Don't show legacy faces

===============
Version 3.27.90
===============

- Split the window decorations between the header bars
- Disable the menubar
- Only load panel corresponding to OnlyShowIn/NotShowIn
- Modernize object definition by using G_DEFINE_TYPE macro
- Use g_auto in various places to improve memory management
- Ship app icon
- Drop the old shell
- Allow search to be filtered by panel "keywords"
- Port to meson build system (and drop autotools)
- Make Bluetooth, Network, and Wacom panels mandatory on Linux
- Swap Display and Printers panels position in Devices section
- Remember the last used panel
- Translation updates

Background:
- Cache pixbufs for performance improvement

Display:
- Replace modal dialogs with popovers

Info:
- Ignore more virtual filesystems

Network:
- Make asynchronous calls cancellable
- Allow empty 802.1x certificate passwords
- Avoid crashing if NM reports no devices or no connections
- Consider empty IPv6 gateway to be valid

Notifications:
- Add link to help/documentation

Power:
- Add gaming input devices label
- Add 20 and 25 minutes suspend timeouts (complying with EU energy regulations)

Printers:
- Stay backwards compatible with old cups
- Don't show the supply level bar if there's no ink info

Privacy:
- Add link to Location Services privacy policy

Sound:
- Update art work (new icons)
- Respect setting (gsetting) for allowing output volume over 100%
- Update gvc to not require ALSA support

User Accounts:
- Fix password strength check
- Update user face pictures (new pictures)
- Introduce a new avatar chooser popover

Wacom
- Add support for three-button styli

==============
Version 3.26.0
==============

- Translation updates

=================
Version 3.25.92.1
=================

- Fix inability to run Settings shell caused by a broken translation
- Translation updates

===============
Version 3.25.92
===============

- A few more layout adjustments for the new shell
- Make Devices and Details rows selectable
- Crash and memory leak fixes
- Translation updates

Display:
- Fix the two output UI to start with the current configuration
- Ensure we generate the UI initially on two output mode
- Don't show inactive monitors in the arrangement widget
- Show refresh rates with two digits after the radix
- Round the displayed scale values logically
- Fix some valid scaled multi monitor layouts being rejected by mutter

Sharing:
- Add Wayland screen sharing support - only shown if mutter advertises
  the capability

===============
Version 3.25.91
===============

- Several small UI improvements and layout adjustments
- Various crash fixes
- Translation updates

===============
Version 3.25.90
===============

- Changed to a new shell design with a side bar to switch panels
- The info panel was split into default apps, overview and removable
  media
- Fixed Toronto being translated as Tortola in some locales
- Translation updates

Display:
- Redesigned

Network:
- Redesigned

Power:
- Restore Power Off option for Power Button

==============
Version 3.25.4
==============

- A new Wi-Fi panel is introduced replacing the corresponding
  functionality in the Network panel

Bluetooth:
- Center empty states in the panel

Display:
- Adapt to new Mutter interface with scaling per mode

Keyboard:
- Fix several memory leaks
- Follow the usual search pattern for filtering
- Consider additional bindings in uniqueness checks
- Consider multiple bindings when resetting

Network:
- Replace the notebook with a stack
- Stop managing wi-fi devices

Printers:
- Fix a crash when the user cancels the add new printer dialog

Region & Language:
- Embed "Restart session" button below the Language entry
- Make the "Restart" notification persist until the session restarts

Wacom:
- Make the calibrator only reactive to the tablet being calibrated
- Fix undesired cursor offsets after the calibration is applied
- Recognize and pair pad devices with others on the same tablet

==============
Version 3.25.3
==============

- Fix memory leaks

Background:
- handle EXIF orientation in chooser

Network:
- Reduce connection editor dialog width
- Rely on notebook tabs to switch connection editor pages
- Align details page labels at start
- Move checkboxes to Details page
- Drop Reset page
- Adapt forget button label according to connection type
- Move Security page to the end
- Use radio buttons instead of a combobox in IP pages
- Avoid crashing if the NMDevice doesn't have a hw-address
- Simplify the ignored Network interface types

Online Accounts:
- Move the margins and spacing lower down the hierarchy
- Increase the spacing above the "Remove Account" button

Printers:
- Don't block when removing printers
- Allow undoing deletion of a printer
- Add 10s timeout for printer removal
- Scroll view to show newly added Printer
- Move options dialog spinner out of the action area
- Add print "Test Page" button to Options Dialog
- Hide supply level bar when there is no inklevel data

Region & Language:
- Make the input source chooser back button activate on click
- Don't return the input chooser dialog if nothing is selected
- Avoid starting with a gap at the bottom of the input chooser


==============
Version 3.25.2
==============

- Memory leak and correctness fixes
- Add keywords to several panels to ease search
- Make more dialogs use headerbars
- Translation updates

Display:
- Fix blurry icons in night light dialogue
- Add support for mutter's new display config API

Info:
- Fix total disc size for btrfs subvolumes
- Split up "Base system" and "OS type" to separate lines

Keyboard:
- Discard the added shortcut on Escape
- Allow searching for shortcut accelerators

Network:
- Fix SSID not changing when enabling hotspot
- Fix initial state of Wi-Fi device when using Hotpost
- Update wireless-security from network-manager-applet
- Fix mobile broadband switch state
- Remove support for firewalld zones
- Update connection titles when they change
- Sort connections by title

Notifications:
- Forward notification settings to portal

Printers:
- Add search capabilities to the panel
- Improve panel layout
- Allow printer model label to ellipsize
- Don't block on the network in the jobs dialogue
- Add an extra button "Clean Print Heads" when available
- Fix possible crash when exiting Printers panel

Region:
- Use locale aware date time formats for previewing

Search:
- UI improvements

Universal Access:
- Add Cursor Size selection dialogue

User Accounts:
- Fix layout in add user dialog
- Add strength indicator level for weak passwords
- Improve password hints
- Fix photo popup position on wayland
- Handle EXIF orientation

===============
Version 3.23.91
===============

Display:
- Bump dependencies for Night Light schemas
- Really fix typo in "Tomorrow"
- Tweak night light dialog UI to match latest mockups

Online Accounts:
- New panel design

Printers:
- Make the printer address always sensitive
- Do not apply rename/location changes in focus-out-event
- Don't block when renaming printers
- Ellipsize the "Details Dialog" title and the "location"
  in the printer entry
- Tweak the printer supply level bar
- Subscribe to jobs notifications
- Count only current user's jobs

Privacy:
- Set destructive-action for confirmation buttons only

User Accounts:
- Fix crash when name is changed and dialogue closed

===============
Version 3.23.90
===============

- New Printers, User Accounts and Online Accounts designs
- Keyboard shortcuts bug fixes
- Add "Night Light" functionality to Display settings
- Add Wayland support to Wacom settings, and update design

==============
Version 3.22.1
==============

- Translation updates

Display:
- Ensure the preselected resolution matches the current mode

Keyboard:
- Fix capture of Alt+PrintScreen shortcuts

==============
Version 3.22.0
==============

Network:
- Only show a gateway entry for the first IPv4 address, NetworkManager
  ignored every subsequent ones, but we still had a UI for those
- Fix application of the default gateway
- Fix possible crashes when editing IPv4 gateways or routes

Power:
- Fix "automatic suspend" label not taking batteries into account
- Fix initial state of the Wi-Fi switch

===============
Version 3.21.92
===============
Privacy:
- Fix quoting of distro name and privacy URL

Network:
- Fix warning when enabling hotspot
- Fix saving of IPv6 gateway
- Fix warning if IPv6 gateway is empty
- Fix IPv6 settings not being applicable when method changes
- Return better error when 8021x security is invalid
- Avoid warning when ad-hoc mode is invalid
- Re-set the SSID when enabling the Hotspot
- Fix crash when changing IPv4 DNS

Keyboard:
- Many UI changes following up from the panel redesign
- Don't grab the mouse pointer when capturing shortcuts
- Don't regrab the keyboard after an event if already grabbed
- Fix grabs not working when initially showing the dialog
- Don't apply "Backspace" straight away
- Allow Tab and Super in accels
- Normalise Shift and Tab in shortcuts
- Fix shortcut label in RTL languages

Region:
- Avoid a crash on panel destruction

===============
Version 3.21.90
===============

- Fix truncated panel names for larger fonts
- Port to libnm 1.2
- Translation updates

Display:
- Add option to enable and disable overscan compensation when
  supported by the driver
- Ensure only one output is set as primary
- Separate interlaced from normal modes

Info:
- Fetch renderer information from gnome-session
- Show OS build-id

Keyboard:
- Update to a new design

Mouse:
- Show only relevant widgets for the hardware we're able to detect
- Detect and warn if we're running on the synaptics driver
- Make all listbox rows unactivatable
- Remove superfluous GtkListBoxRow
- Allow keyboard navigation/focus to the Touchpad section switches
- Offer a separate option for edge scrolling
- Don't allow two-finger and edge scrolling at the same time

Network:
- Use VPN plugin paths as specified in the .name files
- Ensure the Wifi list is updated as networks appear/disapper
- Hide firewall zone combo when firewalld is not running
- Remove bridge, bond, team, VLAN and virtual devices support - these
  are most useful on non-desktop systems for which a UI like Cockpit
  is better suited
- Remove the first page of the "Add Connection" wizard
- Update wireless-security UI from network-manager-applet
- Remember "Ignore CA certificate"
- Fix removed connections not disappearing
- Fix hotspot silently failing with long hostname
- Fix several crashes

Online Accounts:
- Don't use deprecated GoaProviderGroup API
- Add a Calendar group
- Let goa_provider_show_account create the full UI

Power:
- Translate the "When the Power Button is pressed" drop-down
- Show "Suspend & Power Off" section only when relevant

Printers:
- Add compatibility code for older cups
- Use a panel wide page for empty state
- Present spinner while populating the panel
- Rename printers asynchronously
- Added new async API to check availability of maintenance commands
- Check all supported CUPS commands, not just the first one

Privacy:
- React to changes in permissions store
- Various layout and cosmetic cleanups

Region:
- Reset the input chooser on escape
- Improve widget spacing

Search:
- Work around applications not shipping icons at all sizes
- Introduce the new Search Locations dialog

Sharing:
- Update to a new design

Universal Access:
- Specify a window when testing visual bell
- Correct label for "Sound Keys"
- Allow keyboard navigation/focus to the settings switches

User Accounts:
- Update to a new design
- Fix missing records in the history dialog

==============
Version 3.20.0
==============

- Translation updates

===============
Version 3.19.92
===============

All:
- Dialogues sizing fixes

Color:
- Fix dialogue title not being translated

Display:
- Add a frequency/refresh rate drop-down

Privacy:
- Fix margins around location dialogue widgets
- Better description for 'Location Services'
- Vertically center "Location Services" label
- Only disable apps switches, not the whole row

Printers:
- Drop border of the "Add" new printer button
- Fix manual PPD selection dialogue not having a parent

===============
Version 3.19.91
===============

Privacy:
- Add Location Services permissions for sandboxed applications

Printers:
- Fix a lot (but not all) of possible hangs

Universal Access:
- Fix empty panel when using newer GTK+

User accounts:
- Don't link directly to GStreamer

===============
Version 3.19.90
===============

- Updated translations

Network:
- Prevent secrets from getting lost on each connection edit
- Fix a crash when clicking to forget a VPN on the editor

Printers:
- Redesign the Printer Jobs Dialog

Region & Language:
- Prevent a potential crash when exiting the panel

Wacom:
- Workaround deadlocks in Clutter event handlers

==============
Version 3.19.5
==============

- Added plenty of missing widget mnemonics for better UI keyboard
  navigation
- Updated translations

Bluetooth:
- Avoid broken state when enabling Bluetooth
- Don't change the switch status when transitioning
- Bump required gnome-bluetooth version to 3.18.2

Network:
- Elipsize device metadata fields

Region & Language:
- Ensure that system and user formats are consistent

Sharing:
- Ensure Tracker rygel plugin is disabled

Wacom:
- Avoid crashing when opening the panel on wayland sessions

==============
Version 3.19.4
==============

- Port to newer Grilo 0.3.0 API

==============
Version 3.19.3
==============

- Fix syntax errors in gnome-sharing-panel.desktop
- Fix a number of memory leaks
- Require grilo 0.3
- Better empty state in the printers panel
- Redesign Mouse and Touchpad panel
- Move double-click delay, repeat keys delay and cursor blinking
  to the Universal access panel
- Remove "General" tab in the Keyboard panel
- Add configuration for the Power button
- Use header bars for dialogues in the region panel
- Add help overlay

==============
Version 3.18.1
==============

- Updated translations
- Fix a crash when disabling Sharing
- Make section headings accessible in Universal Access,
  and Region & Language
- Fix a warning about an unparented dialogue in the Printers panel

==============
Version 3.18.0
==============

- Updated translations

===============
Version 3.17.92
===============

- Build fixes
- Updated translations

Power:
- Fix "automatically brightness" setting not showing up

Printers:
- Fix crash when certain characters were used, adding a
  printer manually

Region & Language:
- Show the current locale instead of en_US as the language
  if not already set. This happened for newly created users.
- Fix keyboard navigation in the input chooser

User Accounts:
- Don't crash if GDM isn't installed

===============
Version 3.17.90
===============

Date & Time:
- Support for new "Pyongyang Time"

Network:
- Rename hotspot security key to "Password"
- Fix unintentionally centered checkbutton labels

Notifications:
- Don't crash because of zero-length string

Power:
- Improve labels for wifi and mobile broadband toggles
- Replace WiMax reference with LTE

Printers:
- Fix a problem where the wrong printer driver would get installed

Region and Language:
- Don't ever show all input sources in the chooser

Sharing:
- Accessibility improvements
- Remove "Bluetooth" (Obex) sharing, moved into the
  Bluetooth panel
- Better UI when Bluetooth is disabled

==============
Version 3.17.3
==============

Shell:
- Plenty of command-line options handling fixes

Date & Time:
- Show date buttons in the order that the locale uses them
- Further date button ordering fixes for Cechen and HK English
- Fix incorrect sensitivity when permission is missing
- Fix accessibility of the hour and minutes spinbuttons

Display:
- Don't show rotation for builtin display on tablets
- Add support for tiled monitors (usually 4K monitors)

Network:
- Fix all Wi-Fi networks having gear buttons
- Only share a new wifi connection if the user is allowed to
- Fix possible crash when changing airplane mode
- Fix possible crash when connections change after Network panel was closed

Power:
- Describe batteries properly when not called BAT0
- Fix possible crash if up_client_get_devices() fails
- Make the automatic suspend row accessible

Printers:
- Fix possible crash after closing the panel
- Set focus of the 'New printer dialog' correctly
- Fix focus chain of the 'New printer dialog'
- Install selected printer when the row is activated
- Fix setting of page size
- Don't expand search entry
- Show border around 'No printers detected' text
- Don't show the same device multiple times

Region & Language:
- Fixes to the region and language lists

Sharing:
- Make it possible to override SSHD_SERVICE for Debian-based systems

Sound:
- Support more channels in speaker test

User Accounts:
- Fix enterprise user login never working

Wacom:
- Fix window decorations being visible in calibrator window

==============
Version 3.17.2
==============

Keyboard:
- Honor immutable command/name in custom commands

Network:
- Make the gear buttons round
- Prevent a use after free crash when removing virtual devices

Power:
- Add support for display dimming using an ambient light sensor
- Hide Bluetooth power section when w/o BT
- Remove "When battery power is critical" label which isn't configurable
  by normal users since UPower 1.0

==============
Version 3.16.2
==============

==============
Version 3.16.2
==============

- Updated translations
- Fix a couple of minor memory leaks

Network:
- Prevent some dialogs from becoming too wide

Notifications:
- Make section headings accessible
- Do not show nameless apps
- Align icons

Printers:
- Update printer options correctly

Wacom:
- Stop using removed last-calibration-resolution gsetting

==============
Version 3.16.1
==============

- Updated translations
- Add AppData file so it cannot be removed in GNOME Software

Color:
- Set the default profile quality at startup
- Set the users profile title when generating a profile
- Allow to change profile color by activating the list box row

Display:
- Fix some memory leaks
- Close the dialog when the RR configuration changes

Mouse and Touchpad:
- Fix checking touchpad capabilities when multiple devices
  are present
- Fix sensitivity of two-finger scroll toggle with libinput X11 driver
- Fix tap-to-click toggle sensitivity with libinput X11 driver

Network:
- Fix a crash on IPv6 settings dialog

Online accounts:
- Disable the remove button for locked accounts
- Prevent the attention-needed icon from getting hidden and widen the list

Power:
- Make section headings accessible

Printers:
- Recognize more supply types

Sound:
- Fix duplicated Bluetooth devices

User Accounts:
- Show restart notification when account type changed

Wacom:
- Support tablets where the stylus doesn't have an eraser such as the
  Huion and UC-Logic tablets
- Require udev to be present to build Wayland support
- Fix possible crashes

==============
Version 3.16.0
==============

- Updated translations

Network:
- Fix many reference leaks and potential crashers

Online Accounts:
- Remove scrollbars with single entry lists

===============
Version 3.15.92
===============

- Updated translations
- Revert "Disable SSLv3 because of POODLE" - gnome-online-accounts now
  uses WebKit2
- Make HighContrast icons work

Network:
- Don't save hidden configuration options
- Make "only for this network" work for IPv6 VPNs

Power:
- Fix alignment of "Screen brightness" label

Region:
- Fix leak in input chooser
- Reuse the input chooser instance

Sharing:
- Update help URI

Sound:
- Prevent two alerts being played at the same time under certain
  circumstances
- Fix visibility of bar when orientation is the same as the default
- Fix a crash when switching inputs or outputs

User Accounts:
- Fix fingerprint delete dialog formatting

Wacom:
- Allow button mapping if the stylus has one button too
- test: add Huion H610 Pro panel

===============
Version 3.15.91
===============

Details:
- Fix a possible crash with Firefox' nightly builds

Display:
- Fix clone mode leading to broken setups in some cases

Region:
- Add a way to sort input sources, so that the default source
  can be chosen

User Accounts:
- Don't show fingerprint options if disabled
- Fix possible crash handling Enterprise logins

- Updated translations

===============
Version 3.15.90
===============

Common:
- Fix build on non-Linux systems
- Remove list box header when remove first item

Details:
- Fix spelling of VMware

Display:
- Replace display labeler with gnome-shell's one

Keyboard:
- Custom shortcut should require name and command

Network:
- Fix possible crash when handling zone names

Power:
- Fix initial state of Bluetooth switch
- Fix iDevice batteries appearing before they're ready
- Fix ambiguous wifi and mobile broadband labels

Privacy:
- Add automatic problem reporting setting

Sharing:
- Don't add the folder if the dialog isn't explicity accepted

User Accounts:
- Update padding on style-updated

Wacom:
- Fix final use-stock deprecated property

==============
Version 3.15.4
==============

Common:
- Lots of clean ups and porting to non-deprecated GTK+ APIs
- Reset language chooser to original state when used the 2nd time
- Use 'UTF-8' instead of 'utf8' as locale codeset suffix improving
  compatibility with non-GNU libc's
- Disable SSLv3 because of POODLE
- Unset sort terms when search entry is programatically cleared
- Adapted to peripheral settings schemas move to
  gsettings-desktop-schemas

UI:
- Marked several dialog suggested action buttons as such resulting in
  the intended blue shade
- Removed several superfluous frames
- Fixed several spacing issues

Background:
- Fix possible crash when date isn't available
- Fix crash when adding the second color
- Fix crash when choosing background due to missing icon

Network:
- Also work with NM 1.0
- Display an error instead of the panel on NM absence
- Use a GtkStack to switch between button/spinner fixing the big
  spinners

Mouse:
- Fixed to work on wayland sessions

Notifications:
- Force smaller icons
- Scroll the view not just the list
- Design improvements

Power:
- Disable hover on non-clickable rows

Printers:
- Improve scrolling in new printers list
- Make driver installation dialog modal

Privacy:
- Fix mnemonic widget for software switch

Region:
- Don't crash for locales with no country_code
- Fix a crash when iterating locales

Search:
- Use g_get_system_data_dirs() to discover providers

Sharing:
- Prevent an endless loop and resulting stack overflow
- Put a real description string in the media dialog

Sound:
- Fix the main volume bars to correctly display changes in volume

Universal Access:
- Disable hover on non-clickable rows

User Accounts:
- Fix a crash when taking a photo in the avatar chooser
- Fix enterprise accounts deleting
- Change default size for avatar cropping
- Don't crash when closing fingerprint dialog
- Don't show empty row for remote users
- Do not show notification if not needed
- HiDpi support for user's icons

==============
Version 3.14.1
==============

Keyboard:
- Allow shortcut explanation text to wrap

Network:
- Hide airplane switch when g-s-d says so

Power:
- Conditionally display the bluetooth button

Printers:
- Don't crash for URIs with leading "//"

Region:
- Obtain keyboard variant from IBus

User Accounts:
- Show correct language if it isn't set
- Make sure widgets are the same height
- Fix language chooser response if language is unknown
- Preset language chooser if language is known

==============
Version 3.14.0
==============

- Translation updates
- Fix restart notifications' text getting clipped under some translations

===============
Version 3.13.92
===============

- Translation updates
- Updated libgd to fix GdNotification theming

Background:
- Fix background chooser dialog resizing when switching views
- Use a stack with three views for the chooser dialog
- Fix memory leak in Flickr support

Date & Time:
- Don't hard-code font size

Keyboard:
- Fix a crash if the WM changes (or restarts)

Network:
- Fix possible crash when wireless-enabled changes
- Fix more potential crashers for WWAN
- Report hotspot is running only if device is active
- Really hide all of the virtualisation bridges
- Don't show underlying device for VPN connections

Sharing:
- Fix empty folder list by default

User Accounts:
- Fix various UI padding issues
- Fix focus in the account dialog

===============
Version 3.13.91
===============

- Translation updates

Date & Time:
- Fix crash when setting year to 0

Network:
- Center "Wi-Fi hotspot" properties
- Fix warning on startup with hotspot enabled
- Show an error when we fail to turn off hotspot

===============
Version 3.13.90
===============

Color:
- Do not set the 'Details' button for virtual profiles

Keyboard:
- Suggest to automatically set reverse bindings

Network:
- Make broken configuration entries red
- Create WPA protected AP hotspot if supported
- Fix network icon names for newer versions
- Remove "..." from dialogue titles
- Add DNS to the keywords
- Fix typo in NetworkManager version checking

Printers:
- Allow to add AppSocket/HP JetDirect and LPD printers

Privacy:
- Add location setting

Search:
- add support for default disabled search providers

Sharing:
- Fix crash in media preferences
- Avoid truncated folders list in media sharing
- Make it possible to share remote folders

User Accounts:
- fix response sensitivity of photo dialog
- allow password changing if old password isn't set or empty
- Add restart notification
- fix enterprise toggle
- prefill domain entry

==============
Version 3.13.4
==============

- Use correct window icon
- Translation updates

Background:
- Several small fixes
- Fix emblems on HiDPI
- Re-add drag'n'drop support
- Allow dropping colours as well
- Remember added colours
- Copy all the manually added backgrounds

Info:
- Fix logo on HiDPI

Keyboard:
- Allow "print screen" and "scroll lock" as compose key options

Mouse:
- Fix scroll test background on HiDPI

Notifications:
- Fix duplicates in application list

Power:
- Update automatic suspend label when CanHibernate is false

Region:
- Make it possible to add an input source by activating its row

Sharing:
- Add maximum height for the networks list box
- Use the selected URI from the file chooser, instead of the current
  directory

User Accounts:
- Do not generate previews for directories

Wacom:
- Fix x/y ranges' swapping when calibrating on rotated screens
- Fix stylus back/forward button assignments

==============
Version 3.13.3
==============

- Fix automake warnings
- Fix compilation warnings in a number of panels
- Update Sharing panel for gnome-settings-daemon API change

==============
Version 3.13.2
==============

- Use new RTL icons support in GTK+

Background:
- Use higher resolution thumbnails on HiDpi displays

Sharing:
- Add per-network Media, File and Screen sharing

Date & Time:
- Fix initial state when NTP isn't supported

Network:
- Fix warning on startup
- Hide the Virtualisation bridge

Display:
- Make monitor label look better
- Add "Monitor" to keywords
- Make the Apply button unsensitive for invalid configuration
- Fix layout when rotating the left-most of the displays

Privacy:
- Fix "Immediately" option not truthful

Details:
- Fix crash when using vboxvideo glx driver

Printers:
- Ellipsize long names and locations

Notifications:
- Drop the dep on libgnome-menu

Shell:
- Make search results sorting smarter

User Accounts:
- Fix DateTime instance leaks
- Fix wrong language being shown
- Add filter to the avatar file chooser

Online Accounts:
- Use a header bar for the "Add Account" dialog

Color:
- Update the UI if the ICC profile title changes

Keyboard:
- Add shortcut to launch gnome-control-center

==============
Version 3.13.1
==============

- Use header bars in dialogs

Color:
- Do not crash when toggling devices and reopening the panel

Details:
- Don't crash on Wayland

Keyboard:
- Drop hard X dependency

Network:
- Do not pretend we can overrule hardware rfkill

- Translations update

==============
Version 3.12.1
==============

Background:
- Remove black from the preset colours
- Make sure the whole dialog is visible on small screens

Info:
- Fix incorrect virtualisation technology being displayed
- Don't display "Check for updates" button when neither gnome-software
  nor gpk-update-viewer are available

Printers:
- Don't fail when adding Samba printers with spaces on their name

Users:
- Fix hang on password change

Wacom:
- Unconditionally build the panel on supported platforms

- Translations update

==============
Version 3.12.0
==============

- Translations update

===============
Version 3.11.92
===============

Date & Time:
- Fix the width of hour and minute spinbuttons

Privacy:
- Disable the software usage reporting

- Translations update

===============
Version 3.11.91
===============

Color:
- Toolbar buttons are not refreshed when user changes profile

Online Accounts:
- Panel is too wide

Printers:
- Fix build with CUPS <= 1.6
- Improve description of discovered printers

Shell:
- Improve hostname ASCIIfication

===============
Version 3.11.90
===============

Background:
- Add Flickr support for backgrounds
- Fix linking of test program
- Guard against XDG_PICTURES_DIR not being defined

Info:
- Show a static "Check for updates" button

Mouse:
- Fix touch support for the testing widget

Network:
- Fix build with NM 0.9.8.x
- Don't warn for invalid settings
- Allow an empty gateway address in the connection editor
- Allow selecting a specific VPN or virtual interface
- Handle argv after cold-plugging connections

Keyboard:
- Whitelist a few more options for the 3rd level chooser

Printers:
- Vertically center text for no devices
- Use "Default printer" instead of "Default"
- Don't wait for "Return" to start search
- Don't show tooltip on clear icon when searching for printers
- Don't react to icon-press when searching for new printers
- Delay searching for remote printers

Privacy:
- Add option to control GNOME Software usage stats

Sharing:
- Address ambiguity in the screen sharing dialog

Universal Access:
- Use '&' instead of 'and'

User Accounts:
- Use POSIX for max login name length

==============
Version 3.11.5
==============

Shell:
- Activate application when launching a panel
- Disable type-ahead in search window
- Fix headerbar item positions following gtk+ headerbar changes

Background:
- The chooser should have exactly 3 columns
- Add PNM and JPEG 2000 to the list of valid content types
- Add a placeholder icon before creating thumbnails

Date & Time:
- Set the filechooser clock format too

Display:
- Hide Size label when empty
- Only show rotation options if we support them

Info:
- Fix possible crasher when exiting panel

Network:
- Add a Team type to connection editor
- Give an empty title to the hotspot dialog
- Hide hotspot dialog on Escape

Notifications:
- Fix invalid format string

Online Accounts:
- Mention Pocket in the keywords

Power:
- If battery is fully charged but 99%, just round it up

Printers:
- Show correct time of print job
- Plug a memory leak

Privacy:
- Fix the alignment of the combobox in the Screen Lock dialog

Region:
- Do not show Login button if localed is not available

Users:
- Improve logged-in check when deleting users to catch console logins

==============
Version 3.11.3
==============

Shell:
- Set iconview number of columns to 6

Background:
- Fix small memory leak

Bluetooth:
- New panel

Display:
- Add an 'upside-down' button

Network:
- Set mnemonic widget for labels and values in connection details

Color:
- Fix a crash if the user closes the window after calibrating
- Actually show the whitepoint selector

Sharing and Power:
- Use gnome-settings-daemon's rfkill Bluetooth support

Wacom:
- Hide tab borders by default
- Clear background on "target" actor in calibration UI
- Don't use monitor geometry X/Y when calculating calibration
- Forgive inconspicuous double clicks when calibrating
- Fix possible crashers when the calibration window goes away
- Protect calibrator UI to spawn animations multiple times
- Fix first animation of calibration UI

==============
Version 3.11.2
==============

Wacom:
- Fix slider on Inking Pen page

Background:
- Fix compilation with libsocialweb

Sharing:
- Remove OBEX FTP support
- Fix Bluetooth label always being off
- Make it possible to add new folders
- Fix a crash when turning off sharing

Power:
- Fix automatic suspend popup sizing

Everywhere:
- Improve rtl appearance by flipping margins


==============
Version 3.11.1
==============

Region:
- Allow setting system-wide formats
- Never show "None" for language and formats

Power, Display:
- Update for new UPower API

Details:
- Remove apparently duplicated autostart category
- Use gnome-software for showing the list of updates if installed

Universal Access:
- Split keywords with spaces

==============
Version 3.10.1
==============

Background:
- Fix several memory leaks
- Some code cleanups
- Be robust against missing directories, and warn otherwise
- Use a consistent set of permissions when creating directories

Display:
- Always label the built in display as "1"

Mouse:
- Do not reset mouse speed when unset

Network:
- Fix a few crashes and memory leaks
- Some code cleanups
- Just dismiss forget dialog if response is not OK
- Update forget button sensitivity when rows are destroyed
- Use the command line parameters property for 8021x
- Only start the spinner when we can stop it

Power:
- Use device models as names

Sharing:
- Allow screen sharing approving without remote control enabled
- Ensure the hostname in labels is updated
- Prevent duplicate folders being selected for media sharing
- When enabling DLNA, also make sure to enable the MediaExport plugin

Shell:
- Align the buttons in the headerbar

Universal Access:
- Fix a crash

Wacom:
- Align the stylus section with the tablet section
- Fix device filtering in calibration UI
- Fix use after free causing random values in the calibration data
- Fix incorrect default window information
- Fix ~100 pixel offset when calibrating
- Reset the calibration before starting a new one

==============
Version 3.10.0
==============

Universal Access:
- Fix non-expanding sliders in zoom options

Bluetooth:
- Fix crash when exiting during a connection

Display:
- Add an option to turn off a particular display

==============
Version 3.9.92
==============

Background:
- Don't access possibly invalid object
- Fix top bar location on dual-head
- Fix a crash

Date & Time:
- Fix keyboard navigation
- Plug a small memory leak
- A11y improvements

Display:
- Disable the "Apply" button until a change has been made
- Close any open dialog if the panel is destroyed

Network:
- Fix a few crashes
- Don't show unmanaged devices
- Don't include spaces in proxy's ignore-hosts setting

Power:
- Don't show the estimated battery capacity
- Fix getting the keyboard brightness value

Sharing:
- Prevent incorrect sensitivity of the screen sharing password entry

Universal Access:
- Fix keyboard navigation
- Toggle switch when its parent row is activated
- Remove a bogus mnemonic-widget to not confuse Orca

User Accounts:
- Fix history dialog background color

==============
Version 3.9.91
==============

Date & Time:
- Hide the NTP switch when the service is unavailable
- Show the automatic timezone switch
- Display timezone offset in a slightly nicer way

Display:
- Add the current background to the display previews and improve the
  display number indicators

Network:
- Wrap the DNS list for mobile networks
- Mark connection editor as changed when toggling the 'Only use for
  resources on its network' checkbox

Online Accounts:
- Add keywords for Kerberos, SMTP and IMAP to ease search
- Increase the height of the "Add Account" dialog to accommodate the
  list of Chat providers

Printers:
- When adding a printer, do not prompt for user crendentials on every
  network samba server we discover that needs them. Instead, show such
  servers in the list and prompt only when users explicitly select
  them

Shell:
- Avoid width changes when searching

================
Version 3.9.90.1
================

Mouse:
- Fix stretched "Test Your Settings" button

Network:
- Remove placeholder label contents

Online Accounts:
- Support Telepathy accounts

Region:
- Fix stretched "Login Screen" button

Shell:
- Fix stretched header bar lock button

==============
Version 3.9.90
==============

Background:
- Add support for lock screen background

Date & Time:
- New design

Display:
- New design

Keyboard:
- Add a screencast shortcut entry

Network:
- Activate wired profiles when clicked
- Don't show the airplane mode switch if the system doesn't support it

Power:
- Add a slider to control keyboard brightness

Privacy:
- Remove Name & Visibility section
- Confirm before emptying trash or purging temporary files

Sharing:
- Don't allow empty passwords in screen sharing

Shell:
- Prevent the window from being taller than the height of the monitor
- Use a GtkHeaderBar as the window's title bar
- Use a GtkSearchBar for the search entry
- Start search when typing

User Accounts:
- Enable checking for sequences in password
- Add a short explanation of what enterprise login is and a note about
  reduced functionality when offline
- Design and interaction refinements

=============
Version 3.9.5
=============

- Use GtkListBox instead of EggListBox
- Port away from deprecated GtkStock
- Fix the look of lock buttons and header switches
- Universal Access panel redesign

Shell:
- Ensure we cannot activate a panel if the search is off

Display:
- Prevent a crash when the screen being dragged gets removed
- Fix "floating screens"
- Use the preferred width and height when moving inactive displays
- Prevent the built-in display from being turned on when the lid is closed

Info:
- show disk info even if there's no /etc/fstab file

Mouse:
- Use a dialogue window for the mouse test
- Show the "enable trackpad" slider button even if the mouse isn't present
  when the trackpad is currently disabled

Network:
- Use gnome-settings-daemon interface for switching on/off Airplane Mode

Sharing:
- Hide the vino password by default
- Limit the sharing password to 8 bytes
- Avoid conflicts with the sensitivity of the "remote control" options
- Hide Bluetooth bits if Bluetooth is disabled

Power:
- Adapt to new brightness interface in gnome-settings-daemon
- Fix primary battery section getting resized when the label changed
- Fix crash when no batteries are available

Privacy:
- Fix default "Retain history" value

Region:
- Ensure the current language's name gets translated

Sound:
- Don't show applications playing event sounds

User Accounts:
- Don't count inactive users as administrators
- Make the Enter key work on the password dialogue
- More work not to show system accounts
- Correctly select the newly created user

Wacom:
- Update OLED labels for hard-coded actions too
- Redesign button assignment dialogue
- Try to use the OSD to assign buttons if a layout is available
  for the device in question

=============
Version 3.9.3
=============

Bluetooth:
- Port to BlueZ 5

Background:
- show explanation of why pictures source might be empty

Power:
- Update UI strings to follow the HIG

All:
- Make a number of dialogues non-resizable

Region, Wacom, Shell:
- Set button arrow icons according to locale's text direction

Sound, Background:
- ensure dialogs are closed if panel changed

Shell:
- Raise the existing window when already opened
- Go back to overview when setting panel to NULL

Mouse:
- Rename "Content sticks to fingers" to "Natural Scrolling"

Sharing:
- retrieve the mDNS hostname from Avahi, if available

Region:
- Make sure not to display an empty input sources list

User Accounts:
- Don't let user disable own account
- Don't show heading for other accounts if there are none
- Hide 'Add Account' dialog when panel goes away
- After the add account dialog is cancelled, discard results
- Remove autologin when an account is deleted
- avoid problems with automatic login and disabled accounts
- prevent the only Administrator from being demoted
- prevent the only admin from being deleted or disabled
- User friendly password hints
- "Add user account" and password dialogs redesign
- Set the password mode to regular immediately
- Fix possible crashes when changing the language in the region panel
  if done after the user panel was opened

Wacom:
- Add command line argument support for choosing the tablet
- Add command line support for calibration
- Fix discrepancy when switching monitors from g-c-c

===============
Version 3.9.2.1
===============

- Fix compilation failure due to missing files in tarball
- Updated translations

=============
Version 3.9.2
=============

Shell:
- Sort completion items
- Add support for additional arguments
- Do not forcibly suppress debug messages if --verbose not set
- Remove gnomecc.directory
- Add a gnome-shell search-provider for settings panel
- Put the panel title in the shell's header
- Update panel comments
- Add navigation support through back button
- Don't prelight icons in the icon view
- Use GVariant to convey panel arguments instead of a string array
- Expose panel launching with D-Bus activation
- Remove unneeded libnotify dependency

Notifications:
- Don't fail if a referenced application does not exist

Search:
- Don't use a label for the enabled switch
- Special case gnome-control-center
- Unescape the names in Search Locations
- Fix ordering and sorting of applications

Bluetooth:
- Don't show label next to power switch

Keyboard:
- Be more specific in input source switch label
- Allow input of Hangul and Modifier+space shortcuts

Background:
- Offload the sorting of the initial list of files
- Monitor the Pictures and cache directory for new files
- Fix possible crashes when exiting the panel

Network:
- Fix some alignment problems
- Display "device state reason", and remove duplicate code
- Improve accessibility
- Be more careful in ignoring shared connection
- Add support for ModemManager 1.x API
- Try to guess operator name from MCCMNC or SID
- Disable the Hotspot button if the device does not support it
- Mark connection editor changed when editing IPv4/IPv6 pages
- Fix initial sensitivity of editor "Add" button
- Add firewall zone support for wifi, wired and VPN
- Add icon for WWAN
- Fix display of some characters in WiFi AP names
- Fix possible crash in connection editor
- Update VPN switch when enabled from shell

Date & Time:
- Add support for new timedated CanNTP property

Online Accounts:
- Use g_warning instead of goa_warning
- Scroll the tree view when showing an account
- Accept requests for account creation on DBus/cmdline

Color:
- Bump required colord version
- Improve accessibility
- When calibrating inhibit logout, switching users and suspending
- Expand profiles assigned to the device when single clicked
- Add translatable strings for newer display types

Power:
- Improve accessibility
- Change the range of idle time and suspend idle time
- Simplify "Mark As Inactive After" string
- Clarify "Lock Screen After" string
- Expand the "Automatic suspend" dialogue's layout

User Accounts:
- Add accessible labels in history dialog
- Don't reject passwords that pwquality says are ok
- Deal with pre-loaded users
- Remove password hints feature from UI
- Stop crash when changing the password
- Tell realmd not to setup system management
- Fix fingerprint dialogue causing a crash
- Ellipsize long user names in the password dialog
- Disallow whitespace-only names

Privacy:
- Remove redundant option from the recent files combobox

Sharing:
- Start or stop Rygel when Media Sharing is enabled or disabled
- Add master switch

Mouse:
- Fix bad state and critical error caused by reopening mouse test panel in clicked state.
- Enable horizontal scrolling when changing scroll method
- Fix incorrect initial values

Printers:
- Visual improvements of driver selection dialog
- Add authentication dialog for samba printers
- Search for samba printers in new printer dialog
- Show printer name only in the title of options dialog

Sound:
- Show a different icon for different input/output ports
- Fix potential memory corruption

Region and Language:
- Update interface
- Fix crash when changing the language
- Always add ibus engine widgets regardless of locale info
- Prevent window from getting too tall with many input sources
- Improve explanation when there are no input sources
- Display current locale country in formats if setting is empty
- Translate restart notification into the target language
- Show restart notification only if strictly needed
- Apply user settings system-wide on single account systems
- Handle input switching through mutter/gnome-shell

Details:
- Fix display of graphic driver name

Wacom:
- Add basic OLED handling for Intuos4
- Add animations to calibration window

===============
Version 3.7.5.1
===============

Color:
- Make medium quality the default

Network
- Allow compiling against NetworkManager 0.9.6
- Disable 'Apply' until things have changed
- Use symbolic icons consistently

=============
Version 3.7.5
=============

Background:
- Sort Pictures in order of most recently modified
- Update for gnome-shell Screenshot API changes

Color:
- Allow the user to remove automatically added profiles
- Show a summary page when running on a LiveCD
- Show sRGB and AdobeRGB profiles when selecting a profile for a display
- Use a EggListBox for the main device display to match the new mockups
- Use colord-session to calibrate the display

Display:
- Add support for 21:9 displays

Network:
- Add a spinner while connecting
- Add integrated "Add New Connection"
- Add VPN support to the connection editor
- Support new AP-mode hotspot functionality

Power:
- Add a dim screen switch
- Add idle-delay configuration

Printers:
- Attach toolbar controlling jobs to list of jobs

Screen:
- Remove screen panel

Sharing:
- Add a "show password" check button to the screen sharing dialog
- Don't show Media sharing without rygel
- Hide Bluetooth sharing when there is no Bluetooth adapter

Shell:
- Activate items on single click

=============
Version 3.7.4
=============

- Add new Sharing panel
- Add bash completion file
- Use GResources to handle UI files

Shell:
- Make scrollbars reach to the edge of the window
- Don't search in .desktop file descriptions
- Remove prelight from search results
- Make search results descriptions dimmer
- Fix keyboard navigation in the search results and the main view
- Add --search and --list command-line options
- Add support for the back mouse button

Region & Language:
- Add per-window input sources setting

Keyboard:
- Allow key repeat rate of 110 chars/sec
- Add input-source-switcher to the shortcuts

Power:
- Implement the new Power panel design

Color:
- Only show the calibrate or add buttons when the device is selected
- Don't crash if no sensors are plugged in

User Accounts:
- Port to use libaccountsservice (and drop the systemd direct dependency)
- Fix crash when built with cheese support
- Handle the real name not being set
- Add login history dialogue

Printers:
- Control acceptance of jobs with enable switch

Details:
- Remove Graphics section

=============
Version 3.7.3
=============

- Remove fallback session handling code
- Add search panel
- Add privacy panel
- Add notifications panel
- Use the proper Unicode ellipsis (…) instead of three dots

Shell:
- Remove the previous panel when switching to a new one
- Don't remove old panel if new one is broken
- Add F1 shortcut to show the help
- Rename to Settings
- Ensure the home button is the correct height
- Fix alignment of home button in RTL languages
- Make all the plugins static

Background:
- Fix not having 3 columns in high contrast

Color:
- Do not use a combobox when listing profiles to add to devices

Bluetooth:
- Avoid possible loops when Connection fails
- Fix main switch acting bizarrely
- Use spinner when connecting
- Align the device list with the all settings button
- Remove ObexFTP browsing from the UI

Network:
- Make sure flight mode is always visible
- Make sure Airplane mode switch everything off
- Ensure IMEI is displayed and reload Operator Name when it changes
- Also load IMEI and Operator Name for LTE-only modems

Date & Time:
- Do not offer the 12 hr clock in locales without AM/PM

Keyboard:
- Point to a more specific help page
- Add support for msgctxt in keybindings
- Improve shortcuts tab keynav

Printers:
- Show in Unity
- Fix problems when adding new printers

Background:
- Hide in Unity

Region:
- Show in Unity
- Fix possible crasher on startup when the X11Variant are empty
- Offer logout options after changing language
- Add Japanese to the popular languages
- Show popular languages in their own language
- Fix other user's languages never getting added
- Make 'Add' dialogs consistent
- Reinstate the separator in the languages list
- Fix button alignment problem
-  the language chooser resizing during load

Sound:
- Clarify "sound events"
- Fix possible crasher
- Use libgnome-volume-control

Info:
- Set the hostname only after a small delay

Users:
- Rename from User Accounts
- Show the password by default once generated
- Fix resetting one's avatar
- Add "last login" field

Online accounts:
- Don't preselect the first item when adding an account
- Align the accounts list with the all settings button
- Only allow adding accounts if the network is available

Universal Access:
- Set the dialog hint on the zoom options
- Also set the WM HighContrast theme when the switch is flipped

Details:
- Add distro information
- Add CPU model on ARM
- Avoid adding phantom "Unknown model" CPU on PPC64

Wacom:
- Add support for the new OSD help display

===========================
Version 3.7.1 (2012-22-10)
===========================

All:
- Improve contexts for ambiguous strings

Background:
- Optimise preview for the usual shell layout
- Handle copy cancellation correctly
- Fix crash when exiting panel too quickly

Keyboard:
- Ensure the dir name shown matches the XDG Pictures dir

Network:
- Rename "Wireless" to "Wi-Fi" in the UI
- Add more keywords to the desktop file
- Fix 8021x connections
- Add an 'Ignore Hosts' entry to the proxy page
- Minimal support for unrecognized device types
- Add support for showing bond slaves

Mouse:
- Don't show touchpad disable button when there's no mouse

Screen:
- Handle brightness calls finishing after we're done

Info:
- Don't block for PackageKit
- Detect and display Virtualisation method used

User Accounts:
- Remove the autologin checkmark
- Logged in status identification
- Complete discover on failure
- Remove the realmd version check
- Recognize that some kerberos domains cannot be joined
- Set timeouts on all realmd interface proxies
- Don't have domains twice in the drop down
- Require logind for session tracking
- fix wrong sensitivity of the autologin combo

===========================
Version 3.6.1 (2012-08-10)
===========================

Shell:
- Fix entering the same panel twice

Region & Language:
- Remove the unused "Remove" button
- Reduce the number of required m17n desktop files
- Repopulate the input sources when IBus becomes available again
- Add support for inscript2 and Marathi phonetic input sources

Network:
- Fix arrow direction in RTL languages
- Don't resize the panel or the Wi-Fi list
- Top alogn the back button in the Wi-Fi panel
- Fix parenting problems when spawing a network dialogue
- Don't try to activate out-of-range connections
- Fix WPA Enterprise connections not working
- Use a regular button for "Connect to Hidden Network"

Online Accounts:
- Fix a warning on exit

Background:
- Fix multi-monitor handling
- Use a lighter texture for solid colours

Date & Time:
- Update the current time when we change the timezone

User Accounts:
- Fix the autologin icon not being recoloured

Mouse:
- Fix mouse test area not being in the correct position in some cases

Printers:
- Fix wrong icon being used in the search entry

Sound:
- Fix input level bar direction in RTL languages

===========================
Version 3.6.0 (2012-25-09)
===========================

Shell:
- Fix broken panels when launching the same one twice

Network:
- Make connecting to Enterprise WPA Wi-Fi networks work again

User Accounts:
- Don't ask for the old password when none is set

Region:
- Jump directly to the correct shortcuts section when
  following the link

===========================
Version 3.5.92 (2012-17-09)
===========================

- Ensure that all sources are GPLv2+ instead
  of a mix of GPLv2+ and GPLv3+
- Set blank window titles for a number of dialogues
- Fix accessible labels for switches

Bluetooth:
- Fix setting up dial-up networking for phones

Display:
- Fix mouse events not working in preview

Background:
- Use a more varied colour palette
- Fix the small size of the "changes throughout the day" emblem

Network:
- Mark all rows representing saved connections as such
- Make the 'Settings...' buttons work properly
- Handle disconnected APs better
- Show a "Connect" button for disconnected APs
- Show 'Last used' item for non-active, in-range access points.
- Improve the Wi-Fi list appearance

User Accounts:
- Use GStreamer 1.0
- Fix "enterpise" typo

Power:
- Fix a wrong use of GCancellable that could lead to crashes

Region:
- Use consistent strings for layout/engine names
- Handle empty layout sources, especially when adding a new one
- Handle input sources in the system tab
- Fix layout problem on the system tab
- Update IBus engines whitelist

Printers:
- Fix building against CUPS 1.6

Universal Access:
- Fix whitespace in the zoom options dialogue

Screen & Brightness:
- Make notification checkbox focusable

Wacom:
- Fix link to docs

===========================
Version 3.5.91 (2012-04-09)
===========================

Printers:
- Redesign the "new printer" dialogue

Date & Time:
- Make map look unsensitive when the panel is locked

Region & Language:
- Add Russian and Egyptian Arabic as common languages
- Don't use IBus in fallback mode
- Honor the 'show-all-sources' setting
- Don't block getting the IBus engines
- Expand the default list of input sources

User Accounts:
- Simplify some drawing code
- Fix login keyring password not getting updated
- Fix match icon not updating in some cases

Mouse:
- New testing area
- Remove italics from test page
- Fix left/right mouse-handedness radio buttons in RTL languages

Common:
- Fix memory leaks in language sorting
- Fix too big editable labels

Info:
- Add PolicyKit rules for hostname setting
- Set related mime types when changing preferred apps

Display:
- Fix possible warning on exit
- Make 'Mirrored Displays' string consistent with GnomeRRLabeler

Network:
- Ignore unrecognised device types
- Fix wired and mobile activations
- Don't try to activate slave connections

===========================
Version 3.5.90 (2012-21-08)
===========================

- Updated translations

Background:
- Implement new design

Mouse:
- Implement new design, including support for natural scroll

Sound:
- Remove hardware page, and offer different connectors directly
  from the input and output pages

Keyboard:
- Add common keyboard layout related options to the shortcuts tab

Universal Access:
- Add zoom shader options, and reorganise zoom dialogue

Wacom:
- Add support for "switch monitor" shortcut

Shell:
- Remove animations, they were causing a number of problems,
  but were a useful exercise for future developments.

User Accounts:
- UI changes for better remote accounts support
- Fix crash with incompatible versions of realmd

Online Accounts:
- Allow opening a particular account from the command-line
- Avoid spurious "No online accounts configured" overlay
- Fix crash when loading the panel a second time

Network:
- Improve the Wi-Fi page layout

Bluetooth:
- Require a newer version of gnome-bluetooth

==========================
Version 3.5.6 (2012-08-08)
==========================

- Add man page

Display:
- Fix possible error when the preferred mode is only
  available on one of the two outputs in mirror mode

Wacom:
- Fix critical warning after calibration
- Only do calibration for the selected tool

Region:
- Make ibus code more robust
- Handle being opened twice gracefully
- Require ibus 1.4.99 if ibus support is requested

User accounts:
- Update for realmd 0.6
- Strip remote D-Bus errors from user-visible messages
- Fix memory leaks

Network:
- Refactoring for mobile broadband support and bug fixes
- Split the wireless panel
- Only show extra details for the active connection
- Add network strength to the details panel
- Only show the disconnect button when a device is fully activated
- Fix crash with Access Points with non UTF-8 names
- Forget the last selected wireless network when the button is clicked
- Improve hotspot dialogue

Printers:
- Add support for CUPS 1.6
- Don't restrict the PPD list to PPDs with DeviceIDs
- Cancel async operations correctly
- Move jobs to a separate dialogue

Brightness & Lock:
- Make "show notifications" available even if we don't lock
  the screen automatically

Info:
- Adapt for changed API in PackageKit
- Small UI bug fixes

==========================
Version 3.5.5 (2012-07-16)
==========================

Power and User Accounts:
- Port to use GtkLevelBar

Region:
- Add support for IBus input sources

Printers:
- Allow users to change printer's PPD file
- Add "Options" dialogue with more options than available readily

Sound:
- Move input streams when the default source changes
- Add backend code to track inputs and outputs in PulseAudio 2.0

Network:
- Fix a number of crashers that occurred after the network panel was closed
- Make mobile broadband support usable
- Sort Wi-Fi access points by strength
- Fix VPN information

Brightness & Lock:
- Add a "Show Notifications" setting

Wacom:
- Apply display rotation to devices
- Destroy the display mapping dialogue on unplug
- Show a mark when calibration succeeds

Keyboard:
- Fix a memory leak
- Fix some shortcuts used by the shell not being available for capture

==========================
Version 3.5.4 (2012-06-26)
==========================

Wacom:
- Fix crasher related to display matching (Olivier Fourdan)

==========================
Version 3.5.3 (2012-06-25)
==========================

Shell:
- Fix crash when using keynav in overview
- Don't animate between overview and search pages
- Use GtkSearchEntry
- Crasher fixes

All:
- Use '&' instead of 'and', keeping the names shorter but
  also keep the user focused on other words which compose the name

Background:
- Make sure background can get cancelled
- Avoid escaped wallpaper name in the UI

Network:
- Don't crash on hidden SSIDs
- Fix packing order of children in the service dialog
- Add mnemonic for a number of controls
- Sort wireless first
- Make list of Access Points more similar to the shell menu
- Stop buttons jumping when switching between devices

Online Accounts:
- Updated "Add Account" dialogue design
- Improve layout when there are no configured accounts

User accounts:
- Add support for remote Kerberos accounts

Wacom:
- Add keep aspect ratio option
- Cancel calibration if window loses focus

Power:
- Fix reference to "Screen" settings

Info:
- Add software media to "other media" dialogue
- Add title for the "other media" dialog

Brightness & Lock:
- Update slider when changing the brightness via keyboard keys

Sound:
- Add "audio" keyword
- Fix mouse scrolls and clicking behaviour on sliders
- Fix unmuting not working when dragging the event role slider

==========================
Version 3.5.2 (2012-06-04)
==========================

Shell:
- Many layout improvements (Jon McCann)
- Format search results in 3 columns (Jon)
- Animate page switches (Bastien Nocera)
- Add an app menu (Florian Muellner)

User Accounts:
- Make controls insensitive when no user selected (Michael Terry)
- Simplify generated password handling (Matthias Clasen)
- Use libpwquality for password quality checks (Matthias)

Backgrounds:
- Ignore screenshots (Bastien)
- Only show supported image types (Bastien)

Display:
- Translate the rotation drop-down again (Gabor Kelemen)

Info:
- Ignore NFS and removable mounts for disk size (Bastien Nocera)

Network:
- Allow configuring wired network devices when not connected (Richard)

Universal Access:
- Redesign for consistency and smallness (Jon)

Printers:
- Set default media sizes (Marek Kasik)

Region:
- Replace layouts tab with input sources tab (Rui Matos)

Wacom:
- Rename to "Wacom Tablet" (Bastien)
- Update ui on hotplug (Peter Hutterer)
- Disable on s390 and !linux (Bastien)

Translations:
- Arabic
- Brazilian Portuguese
- Catalan
- Crimean Tatar
- Czech
- Dutch
- French
- Galician
- Hebrew
- Italian
- Japanese
- Kannada
- Kazakh
- Norwegian bokmål
- Odia
- Persian
- Polish
- Punjabi
- Russian
- Slovenian
- Spanish
- Swedish
- Traditional Chinese

==========================
Version 3.4.0 (2012-03-26)
==========================

Network:
- Fix a crash by disconnecting idle sources (Richard Hughes)

Printers:
- Fix crash in actualize_printers_list (Marek Kasik)

Translations:
- Assamese (Nilamdyuti Goswami)
- Hindi (Chandan Kumar)
- German (Christian Kirbach)
- Arabic (Khaled Hosny)
- Czech (Marek Černocký)
- Finnish (Jiri Grönroos, Timo Jyrinki)
- Hebrew (Yaron Shahrabani)
- Japanese (Takayuki KUSANO)
- Lithuanian (Aurimas Černius)
- Norwegian bokmål (Kjartan Maraas)
- Odia Translation (ManojKumar Giri)
- Portuguese (Duarte Loreto)
- Telugu Translation (Sasi Bhushan Boddepalli, Praveen Illa)
- Vietnamese (Nguyễn Thái Ngọc Duy)
- Simplified Chinese (Automatic Mirroring)

===========================
Version 3.3.92 (2012-03-19)
===========================

Common:
- Add missing git.mk to two panels (Colin Walters)

Color:
- Do not select the device in the treeview if it changes (Richard Hughes)
- Don't allow the user to add existing profiles to devices (Richard Hughes)
- Prevent a crash when hotplugging monitors when the color panel is open (Richard Hughes)

Date Time:
- Fix broken time setting on 32-bit machines (Bastien Nocera)

Display:
- Simplify add_key() calls and function (Bastien Nocera)
- Sort resolutions by width first (Bastien Nocera)
- Use symbolic name (Bastien Nocera)

Mouse:
- Don't enable two-finger scrolling based on width (Peter Hutterer)

Region:
- Don't make the dialogue overly wide (Bastien Nocera)
- Fix possible crasher with empty layout (Bastien Nocera)

Universal Access:
- Hide zoom options when not in shell (Bastien Nocera)

User Accounts:
- Minimum of 200 width for the users list (Bastien Nocera)

Translations:
- Arabic (Ibrahim Saed, Khaled Hosny, Abderrahim Kitouni)
- Brazilian Portuguese (Enrico Nicoletto)
- British English (Bruce Cowan)
- Bulgarian (Alexander Shopov)
- Catalan (Joan Duran)
- Catalan (Valencian) (Carles Ferrando)
- Danish (Kenneth Nielsen)
- Finnish (Timo Jyrinki)
- French (Bruno Brouard)
- German (Mario Blättermann)
- Gujarati (Sweta Kothari)
- Hungarian (Gabor Kelemen)
- Japanese (Jiro Matsuzawa)
- Korean (Seong-ho, Cho)
- Latvian (Rudolfs Mazurs)
- Malayalam (Sadiq, Praveen Arimbrathodiyil)
- Norwegian bokmål (Kjartan Maraas)
- Persian (Arash Mousavi)
- Punjabi (A S Alam)
- Russian (Yuri Myasoedov)
- Serbian (Мирослав Николић)
- Slovenian (Matej Urbančič)
- Telugu (Praveen Illa)
- Traditional Chinese (Pin-hsien Li)
- Ukranian (Daniel Korostil)
- Vietnamese (Nguyễn Thái Ngọc Duy)

===========================
Version 3.3.91 (2012-03-05)
===========================

Color:
- Layout fixes
- Ensure the "Set profile system-wide" button is visible

Display:
- Fix crash when the screen setup changes and the Display
  panel has been closed

Info:
- Fix updates buttons never saying "No updates"
- Fix empty dialogue when bringing up "Other media" dialog again
- Avoid empty entries in "Other types" dialogue
- Remove unused and broken icons

Network:
- Fix huge inline toolbar icons

Power:
- Fix reference to "Screen" panel, got renamed to
  "Brightness & Lock"

Printers:
- Port to GDBus

Region & Language:
- Fix handling of variants in "Copy" button

Use Accounts:
- Fix sizing problems in the user list
- Fix possible crash for incomplete locales (such as Esperanto)

Wacom:
- Fix resetting display mapping
- Layout fixes
- Add touchring and touchstrips to the mapped buttons
- Fix crasher when XRandR isn't available

===========================
Version 3.3.90 (2012-02-21)
===========================

All:
- Remove use of deprecated widgets

Wacom:
- Add simple display mapping dialogue
- Add button mapping dialogue
- Switch to last used stylus automatically
- Loads of small layout fixes

Power:
- Redesigned dialogue
- Fix updating not working due to recent gnome-settings-daemon changes

Color:
- Don't print (null) for virtual printer profiles
- Don't block the UI settings the default profile

User Accounts:
- Port to GDBus
- Fix crasher on startup when compiled with Cheese avatar capture
- Use new strength bar widget from Power

Keyboard:
- Fix description not matching reality for setting shortcuts
- Refuse Shift+unmodified key shortcuts
- Fix crasher setting new custom shortcuts

Printers:
- Prevent possible crashes when level, name and color
  information are parsed

Network:
- Add "Forget Network" button
- Remove unused "Unlock" button

Date & Time:
- Fix crasher when systemd is unavailable
- Respect LINGUAS for timezone translations

Shell:
- Force a pixel size for the "All Settings" button

==========================
Version 3.3.4 (2012-02-07)
==========================

Wacom:
- Calibrate tablet on the screen it's attached to
- Update and add missing stylus artwork
- Fix incorrect page numbering
- Hide cursor during calibration
- Fix Scroll Up/Down actions being inverted
- Add link to the Display Settings
- Fix 1-button stylus button mapping
- Remove use of italics for sliders
- Plenty of layout fixes

Universal access:
- Add configuration dialogue for zoom options

Date & Time:
- Use the timedated D-Bus service

Keyboard:
- Add support for new screenshot shortcuts
- Remove use of italics for sliders

Screen:
- Rename to Brightness & Lock

Brightness & Lock:
- Renamed from Screen

User accounts:
- Use cheese init functions

Sound:
- Fix wheel scrolling not working for right balance

Printers:
- Update list of print jobs in a better place

Network:
- Only show flight mode toggle when there are wireless devices

Mouse:
- Remove use of italics for sliders

Shell:
- Unblur the all-settings button icon

===========================
Version 3.3.4.1 (2012-01-18)
===========================

Bluetooth:
- Update for change in BluetoothChooser API

==========================
Version 3.3.4 (2012-01-17)
==========================

Wacom:
- Add calibration for screen tablets
- Add per-stylus configuration

Shell:
- Fix unfocused windows theming

Display:
- Port to GDBus

Users:
- Fix capturing a picture with the webcam
- Add optional systemd support for session tracking

Bluetooth:
- Remove omnipresent scrollbar and only show it when needed

Region:
- Fix "extra" layouts not appearing in italics

Printers:
- Show correct hostnames for printers

Network:
- Move the device speed up to the device header
- Move "Airplane Mode" switch to the shell header

Sound:
- Fix compile time warnings

==========================
Version 3.3.3 (2011-12-21)
==========================

Region:
- Small language chooser improvements (Cosimo Cecchi) (#664505,#664503)

Wacom:
- Many improvements that I can't really summarize here (Bastien Nocera)
- Better graphics (Jakub Steiner)
- Use libwacom for tablet information (Bastien)
- Visual improvements (Cosimo)

System Info:
- Rename to 'Details' (Rodrigo Moya) (#661696)

Display:
- Use consistent label style (Cosimo) (#665057)

Info:
- Use consistent label style (Cosimo) (#665059)

Printers:
- Unsubscribe from D-Bus signals when no longer needed (Marek Kasik)
- Don't crash because of external panel switch (Marek)

Translations:
 Asturian
 Burmese
 Hebrew
 Korean
 Macedonian
 Norwegian bokmål
 Simplified Chinese
 Spanish
 Telugu
 Thai

==========================
Version 3.3.2 (2011-11-22)
==========================

Common:
- Always collect locales from the directory (Bastien Nocera) (#660725)
- Do not install private libgnome-control-center (Bastien Nocera) (#655287)
- Fix handling of <Primary> (Bastien Nocera) (#748444)

Background:
- Added D'n'D support for adding wallpapers (Ming Han Teh) (#655375)
- Force a toolbar style (Bastien Nocera)

Bluetooth:
- Move Bluetooth panel from gnome-bluetooth (Bastien Nocera)

Color:
- Update icon cache only on MAINTAINER_MODE (Alberto Ruiz)
- Do not allow the 'Add profile' modal dialog to be resizable (Richard Hughes)
- Improve the 'Add profile' modal dialog (Richard Hughes) (#661657)
- Don't show profile ages for EDID, test and colorspace profiles (Richard Hughes) (#661669)
- Show 'Uncalibrated' when a device has a test profile assigned (Richard Hughes)
- After removing a profile select the device so the UI is correct (Richard Hughes) (#661658)
- Fix a critical warning in the new GtkTreeIter code (Richard Hughes)
- Make toolbar buttons focusable (Bastien Nocera) (#662430)

Date & time:
- Fix showing actual clock format on panel open (Tomas Bzatek)

Info:
- Use x-content/unix-software as mime for the Software combobox (Cosimo Cecchi) (#660803)
- Add labelling relations (Matthias Clasen)

Keyboard:
- Don't load duplicate keybindings (Bastien Nocera)
- Fix ATK descriptions (Bastien Nocera) (#574073)
- Make the '+' button work all the time (Bastien Nocera) (#662253)
- Remove broken allowed_keys checks (Bastien Nocera)
- Use GtkCellRendererAccel (Bastien Nocera)
- Adjust shortcut files (Florian Müllner) (#663626)
- Rename a11y keyboard shortcuts (Bastien Nocera)
- Remove support for conditional shortcuts (Florian Müllner) (#663431)
- Stop monitoring num-workspaces (Florian Müllner)
- Port custom shortcuts to GSettings (Florian Müllner)

Mouse:
- Fix ATK descriptions (Bastien Nocera)

Network:
- Allocate nm-connection for nma-wireless-dialog (Gary Ching-Pang Lin) (#648174)
- Show wireless dialog even if there is no active AP (Gary Ching-Pang Lin) (#661526)
- Accessibility improvements (Matthias Clasen)
- Add proxy to the keywords (Bastien Nocera) (#663340)
- Make tabbing through the proxy page work (Matthias Clasen)

Online accounts:
- Add title for "Add Account" dialogue (Bastien Nocera) (#661573)

Power:
- Use the correct item in the combo boxes when sleep-when-inactive is disabled (Rodrigo Moya)
- Don't set the sleep-inactive-x GSettings keys that have been removed (Richard Hughes)
- Use "Power off" instead of "Shutdown" (Bastien Nocera) (#661559)

Printers:
- Check state of CUPS after start (Marek Kasik) (#659721)
- Fix build on systems without LC_PAPER (Bastien Nocera) (#660692)
- Don't hide address entry (Marek Kasik)
- Make +/- buttons insensitive when can not connect to CUPS (Marek Kasik)
- Set requesting-user-name when getting job info (Marek Kasik)
- Detect disconnection of printer (Marek Kasik)
- Don't allow "/" in printer name (Marek Kasik) (#661774)

Region:
- Hide system tab if no localed (Bastien Nocera)
- Simplify getting the current Locale (Bastien Nocera)
- Implement copying layouts (Bastien Nocera) (#659300)
- Fix build on systems without LC_MEASUREMENT (Bastien Nocera) (#660787)
- Align the example dates (Bastien Nocera)
- Only show locales for languages that have translations (Rodrigo Moya)
- Always add English to the list, as it should always be available (Rodrigo Moya)

Screen:
- Never set gnome-session's idle-delay to 1 (Rodrigo Moya)

Shell:
- Make sure we gtk_widget_show the search view (Rodrigo Moya)
- Avoid crash when searching if a .desktop has no comment (Vincent Untz) (#661494)
- Make Ctrl+Q work outside the overview (Bastien Nocera)
- Make Ctrl+W close panels (Bastien Nocera) (#660814)
- Give focus to the search entry when showing the overview page (Anders G. Jørgensen)
- Don't crash when loading the icon fails (Christian Persch) (#660513)
- Use icon for "All Settings" button (Bastien Nocera) (#657043)
- Add a11y label for the All Settings button (Bastien Nocera)
- Merge libgnome-control-center into main binary (Bastien Nocera)

Sound:
- Fix possible infinite loop in combo box (Bastien Nocera)
- Add a minimum height for the output list (Bastien Nocera) (#660582)
- Export sysfs path in stream properties (Bastien Nocera)
- Port audible-bell to GSettings (Bastien Nocera) (#625899)

Universal access:
- Fix ATK descriptions (Bastien Nocera)
- Avoid crashing when GConf is broken (Bastien Nocera) (#751007)
- Update for metacity GSettings port (Bastien Nocera) (#625899)

User accounts:
- Make unlock icon in tooltip match reality (Matthias Clasen)

Translations:
- ar (Abderrahim Kitouni)
- be (Ihar Hrachyshka)
- cz (Petr Kovar)
- de (Mario Blättermann, Christian Kirbach)
- el (Kostas Papadimas)
- en_GB (Bruce Cowan)
- es (Daniel Mustieles, Jorge González, Benjamín Valero Espinosa)
- fa (Arash Mousavi, Ali Akbar Najafian)
- fr (Bruno Brouard)
- ga (Seán de Búrca)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- ja (Jiro Matsuzawa)
- ku (Erdal Ronahi)
- lt (Aurimas Černius, Algimantas Margevičius)
- nb (Kjartan Maraas)
- nl (Rachid, Wouter Bolsterlee)
- pl (Piotr Drąg)
- sl (Andrej Žnidaršič, Matej Urbančič)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- ta (Dr.T.Vasudevan)
- te (krishnababu k)
- tr (Muhammet Kara)
- zh_CN (Aron Xu, Funda Wang, YunQiang Su)
- zh_HK (Chao-Hsiung Liao, Cheng-Chia Tseng)
- zh_TW (Chao-Hsiung Liao, Cheng-Chia Tseng)

==========================
Version 3.2.0 (2011-09-26)
==========================

System info:
- Don't crash when systemd isn't used (Bastien Nocera) (#659367)
- Don't warn if PackageKit isn't around (Bastien Nocera)
- Continue on filesystem query info (Ryan Lortie) (#654563)

Wacom:
- Show "stand-by" page when Wacom not available (Bastien Nocera) (#657424)

Translations:
- af (Friedel Wolff)
- bg (Alexander Shopov)
- ca (Joan Duran)
- ca@valencia (Carles Ferrando)
- cz (Marek Černocký)
- da (Flemming Christensen)
- de (Mario Blättermann)
- es (Daniel Mustieles)
- eu (Inaki Larranaga Murgoitio)
- fr (Bruno Brouard)
- ga (Seán de Búrca)
- gl (Fran Dieguez)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- it (Luca Ferretti)
- ja (Jiro Matsuzawa)
- ko (Changwoo Ryu)
- lv (Rudolfs Mazurs)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- pt_BR (Og B. Maciel)
- ru (Yuri Myasoedov)
- sk (Pavol Šimo)
- sl (Matej Urbančič)
- sv (Daniel Nylander)
- te (ipraveen)
- th (Theppitak Karoonboonyanan)
- zh_HK (Cheng-Chia Tseng, Chao-Hsiung Liao)
- zh_TW (Cheng-Chia Tseng, Chao-Hsiung Liao)

===========================
Version 3.1.92 (2011-09-19)
===========================

Color:
- Fix help links for gnome-help 3.1* (Jeremy Bicha)
- Don't assert if the user double clicks the delete profile button (Richard Hughes)
- Fix spawning of gcm-viewer (Matthias Clasen)
- Do not allow the user to choose profiles owned by other users (Richard Hughes)
- Do not allow the user to set default a profile they cannot access (Richard Hughes)
- Disable 'View details' button if gcm-viewer is not installed (Rodrigo Moya)
- Escape profile titles that have markup in the titles (Richard Hughes) (#659127)
- Pack the left and right button groups into two GtkBox containers (Cosimo Cecchi) (#659273)

Common:
- Add a way for panels to receive additional arguments (Giovanni Campagna) (#657093)
- Bump GTK+ deps (Bastien Nocera)
- Tell the actual required version for NM (Bastien Nocera)

Display:
- Remove duplicate/unused translations (Bastien Nocera)

Info:
- Don't warn when the hostname is empty (Bastien Nocera)
- Do fallback correctly when reading hostnames (Bastien Nocera)
- Split the hostname setting (Bastien Nocera)

Keyboard:
- Link directly to the layouts page (Bastien Nocera)

Network:
- Show wireless dialogs when asked (Giovanni Campagna) (#657093)
- Fix memleak when argv changes (Bastien Nocera)
- A segfault was introduced when assigning to args (Alban Browaeys) (#658670)
- Bind HTTP host entry to the 'host' setting in GSettings (Rodrigo Moya)

Printers:
- Match lower-case properly (Marek Kasik)

Region:
- Add ability to switch pages (Bastien Nocera)
- Fix display of layouts on the system tab (Matthias Clasen)
- Only offer to copy settings if they are different (Matthias Clasen)

Screen:
- Don't fill up the space (Bastien Nocera)
- Fix resulting top-padding (Bastien Nocera) (#657606)
- Remove indent on "Turn off..." label (Bastien Nocera)

Shell:
- Replace window sizing code (Bastien Nocera) (#658068)

Sound:
- Put the level bar at 0 when muting (Bastien Nocera) (#644537)
- Allow switching tabs from the command-line (Bastien Nocera)

Universal access:
- Fix sensitivity of keyboard a11y (Bastien Nocera) (#649452)
- Add context for text sizes (Bastien Nocera) (#645729)
- Set contrast combo on startup (Michael Terry) (#658990)

User accounts:
- Hide old message when enrolling (Bastien Nocera)

Wacom:
- Add a left-handed switch (Peter Hutterer) (#657810)
- Improve alignment of lines and widgets (Jakub Steiner) (#657425)
- Make string as translatable (Bastien Nocera)

Translations:
- ast (Xandru Armesto)
- be (Ihar Hrachyshka)
- bg (Ivaylo Valkov)
- de (Mario Blättermann)
- en_GB (Bruce Cowan)
- es (Jorge González, Daniel Mustieles)
- fa (Arash Mousavi)
- gl (Fran Dieguez)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- it (Luca Ferretti)
- ko (Changwoo Ryu, Seong-ho, Cho)
- lt (Aurimas Černius)
- lv (Rudolfs Mazurs)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- pt_BR (Djavan Fagundes)
- ru (Yuri Myasoedov)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- ta (Dr.T.Vasudevan)
- th (Theppitak Karoonboonyanan)
- vi (Nguyễn Thái Ngọc Duy)
- zh_CN (Aron Xu)

===========================
Version 3.1.91 (2011-09-05)
===========================

Color:
- Ensure the calibrate program gets run correctly (Richard Hughes)
- Use a mnemonic character on the Import button (Jiro Matsuzawa) (#658167)
- If cancelling profile import don't show the empty assign dialog (Richard Hughes) (#658180)
- Do not use a GtkSeparatorToolItem in the GtkToolbar (Richard Hughes)

Display:
- Clean up signal handling when finalized (Bastien Nocera) (#657919)

Media:
- Use new media-removable icon (Bastien Nocera) (#657801)

Network:
- Set the org.gnome.system.proxy.http 'enabled' key if the user sets a HTTP proxy (Richard Hughes)
- Explicitly unset 'use-same-proxy' as there's no UI for that (Richard Hughes) (#657235)

Power:
- Don't print a message to .xsession-errors if it's not an error (Richard Hughes)
- Use a proper icon for the panel (Jakub Steiner) (#645536)
- Update the UI to reflect the new mockup (Richard Hughes)

Screen:
- Hide brightness heading when unused (Bastien Nocera) (#657606)

Shell:
- Use symbolic name for minimum height (Bastien Nocera)

Sound:
- Add some (element-type) annotations to appease g-i master (Dan Winship)

Wacom:
- Dim the labels (grey, not black) (Peter Hutterer) (#657812)

Translations:
- be (Yuri Matsuk, Ihar Hrachyshka)
- es (Jorge González)
- fi (Timo Jyrinki)
- gl (Fran Dieguez)
- ja (Jiro Matsuzawa)
- nb (Kjartan Maraas)
- pa (A S Alam)
- ru (Yuri Myasoedov)
- sv (Daniel Nylander)

===========================
Version 3.1.90 (2011-08-30)
===========================

Background:
- Allow SVG image files as background (Rodrigo Moya) (#648764)

Color:
- Fix a crash where out internal state gets screwed up (Richard Hughes)
- Only allow the user to import custom profiles with colord >= 0.1.12 (Richard Hughes)
- Remove color managed devices if they are deleted by another process (Richard Hughes)
- Do not attempt to delete the device if it's already added (Richard Hughes)
- If there are no profiles or devices then hide the toolbar (Richard Hughes)
- Add a small italic indication when there are no color managed devices (Richard Hughes)
- Add a new 'Learn more' button to the color panel (Richard Hughes)
- If we have only a few devices and profiles expand the treeview at startup (Richard Hughes)
- Remove unneeded category (Bastien Nocera)
- When setting the default profile for a display, use the correct device (Richard Hughes)

Common:
- Simplify language display (Matthias Clasen)
- Add api for region names (Matthias Clasen)
- Add a region mode to the language chooser (Matthias Clasen)
- Tweak default user list (Bastien Nocera)
- Fix distribution of language chooser glade file (Rodrigo Moya)

Date & Time:
- Use radio buttons for 24h time (Bastien Nocera) (#640059)

Display:
- Clean up ifdef's (Bastien Nocera)
- Simplify panel code (Bastien Nocera)
- Fix the labeller not disappearing (Bastien Nocera)
- Prefer higher frequency modes (Bastien Nocera) (#655041)

Keyboard:
- Add link to the Region panel (Bastien Nocera) (#643101)
- Simplify GtkBuilder calls (Bastien Nocera)
- Use icon without a spanner (Bastien Nocera) (#657556)

Network:
- Mobile broadband bug fixes (Jiří Klimeš) (#657303)
- Fix possible double-free (Bastien Nocera)
- Fix display of IP info for some configs (Jiří Klimeš) (#657303)
- Fix updating VPN info when edited (Jiří Klimeš) (#723489)
- Show VPN type and info in panel (Jiří Klimeš)
- Clarify the VPN service type setting (Bastien Nocera)
- Rename "Options..." to "Configure..." (Bastien Nocera) (#657002)
- Fallback to GNOME as a hotspot name (Bastien Nocera)
- Use icon without a spanner (Bastien Nocera) (#657556)

Online accounts:
- Disable buttons when D-Bus service not available (Bastien Nocera) (#652572)

Power:
- Remove power and suspend buttons config (Bastien Nocera) (#652183) (#657068)
- Don't shrink the panel on desktops (Bastien Nocera)

Region:
- Avoid a crash in the absence of configured layouts (Matthias Clasen)
- Fix locale-changing code (Matthias Clasen)
- Redo the language tab (Matthias Clasen)
- Redo the formats tab (Matthias Clasen)
- Use region names on the region tab (Matthias Clasen)
- Show fewer regions (Matthias Clasen)
- Ensure the system tab is updated (Matthias Clasen)
- Add some spacing to the system tab (Matthias Clasen)
- Initial implementation of 'copy to system' (Matthias Clasen)
- Avoid crash when systemd is not available (Rodrigo Moya)
- Don't show region panel in Unity, it uses its own language selector (Rodrigo Moya)

Shell:
- Only load desktop files from our dirs (Bastien Nocera)
- Don't repeat the item title when searching (Bastien Nocera) (#657020)
- Add Ctrl+Q as a way to exit the shell (Bastien Nocera) (#653443)

Sound:
- Remove trailing spaces in strings (Bastien Nocera) (#657169)
- Track PulseAudio connection state and expose it (Giovanni Campagna) (#645708)
- Update volume-control applet for GVC API changes (Giovanni Campagna) (#645708)
- Don't warn without a sizegroup (Bastien Nocera)
- Fix sizing of sliders (Bastien Nocera)

System info:
- Always show the "Updates" button (Bastien Nocera) (#645274)

Universal access:
- Add more keywords to the desktop file (Matthias Clasen) (#657189)
- Add translator comments (Bastien Nocera) (#657167)
- Keep "text size" items a constant size (Bastien Nocera) (#657188)
- Don't crash when metacity isn't installed (Bastien Nocera)

User accounts:
- Remove some dead code (Matthias Clasen)
- Add a filter entry to the language dialog (Matthias Clasen)
- Prepopulate the language combo (Matthias Clasen)
- Remove trailing space in string (Bastien Nocera) (#657169)
- Add translator comments for split line (Bastien Nocera) (#657168)
- Prevent autologin for disabled users (Matthias Clasen) (#649816)
- Fix life-cycle issues (Matthias Clasen)

Wacom:
- Add a wacom control panel (Peter Hutterer) (#640981)

Translations:
- bg (Ivaylo Valkov)
- de (Mario Blättermann)
- es (Daniel Mustieles, Jorge González)
- gl (Fran Dieguez)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- nl (Reinout van Schouwen)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- ta (Dr.T.Vasudevan)
- ug (Abduxukur Abdurixit)
- zh_CN (Aron Xu)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

==========================
Version 3.1.5 (2011-08-18)
==========================

Common:
- Add some more debug when listing languages (Bastien Nocera)

Network:
- Default to g_get_host_name if pretty hostname call failed (Mathieu Trudel-Lapierre)

Printers:
- Open firewall for required connections when searching (Marek Kasik)
- Use system-config-printer's GetBestDrivers method (Marek Kasik) (#654742)
- Use system-config-printer's GroupPhysicalDevices method (Marek Kasik)
- Use system-config-printer's MissingExecutables method (Marek Kasik)

Region:
- Keep selection when moving layout up/down (Sergey Udaltsov) (#654880)
- Sort locales for format selection (Rodrigo Moya)
- Display user's input source in System tab (Rodrigo Moya)

Shell:
- Port to new gnome-menus API (Vincent Untz) (#655110)
- Do not add a trailing dash in search target when comment is empty (Vincent Untz) (#655487)

Sound:
- Update the sound theme for speaker testing (David Henningsson)

Translations:
- de (Mario Blättermann)
- es (Daniel Mustieles)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- nb (Kjartan Maraas)
- pa (A S Alam)
- sv (Daniel Nylander)
- uk (Daniel Korostil)
- vi (Nguyễn Thái Ngọc Duy, Ngô Chin)
- zh_CN (Yinghua Wang)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

==========================
Version 3.1.4 (2011-07-25)
==========================

Background:
- Add "swap" button for gradients (Bastien Nocera) (#34498)

Common:
- Add safeguards for empty language (Bastien Nocera)

Date & Time:
- Restore TZ envvar as it was (Rui Matos) (#649568)

Info:
- Use the new g_format_size() glib function (Javier Jardón)

Network:
- Kill compilation warnings (Rodrigo Moya)

Power:
- Use the new gnome-settings-daemon DBus names now the power plugin has moved to
  g-s-d (Richard Hughes)
- Make insensitive any sleep actions the hardware cannot do (Richard Hughes)

Printers:
- Make model label and ip address label selectable (Marek Kasik) (#651545)
- Add translation context in some places (Matthias Clasen) (#654725)

Region:
- Add weak ref for locale settings (Rodrigo Moya)
- Set LC_ specific variables, not LC_ALL (Rodrigo Moya)
- If no regional settings, use the configured language (Rodrigo Moya)
- Show measurement (Bastien Nocera)
- Don't use markup in bold labels (Bastien Nocera)

Screen:
- Avoid making lots of DBus calls to set the brightness when the slider change
  too quickly (Rodrigo Moya)

Shell:
- Shrink vertically (Bastien Nocera) (#645808)

Sound:
- Make hadware page tree a little taller (Bastien Nocera)

Universal access:
- Remove unused column in model (Bastien Nocera)

User accounts:
- Improved new username format message (Robert Roth) (#647851)
- Remove unneeded markup in label (Bastien Nocera)

Translations:
- cz (Marek Černocký)
- es (Daniel Mustieles, Jorge González)
- gl (Fran Dieguez)
- he (Yaron Shahrabani)
- lv (Rudolfs Mazurs)
- nb (Kjartan Maraas)
- pa (A S Alam)
- sl (Matej Urbančič)
- sv (Daniel Nylander)
- tr (Muhammet Kara)

==========================
Version 3.1.3 (2011-07-04)
==========================

Common:
- Bump gsettings-desktop-schemas requirement for locale settings (Rodrigo Moya)
- Add Unity to OnlyShowIn fields (Michael Terry) (#653661)

Library:
- Typo preventing compilation on some platforms (Antoine Jacoutot) (#651162)

Color:
- Add new color setting panel (Richard Hughes)

Date & Time:
- Fix date sensitivity on permission changes (Florian Müllner)

Info:
- Skip test-hostnames if en_US.UTF-8 is not available (Frédéric Peters)
- Fix disk space showing free space (Bastien Nocera) (#639376)
- Fix https scheme handler app setting (Alexandre Rostovtsev) (#653211)

Keyboard:
- Force "icons" toolbar style (Bastien Nocera) (#651595)
- Change precedence for schema in KeyList parser (Florian Müllner) (#653685)
- Fix a small memory leak (Florian Müllner) (#653613)
- Support string array keybindings (Florian Müllner)

Network:
- Fix the wpad warning (Matthias Clasen)
- Avoid a possible crash (Matthias Clasen)
- Use the correct condition for the option button (Matthias Clasen)
- Refresh ui in an idle (Matthias Clasen)
- Implement network sharing (Matthias Clasen)
- Simplify security string for hotspots (Matthias Clasen)
- Add warning dialogs (Matthias Clasen)
- Disable the hotspot button when the device is off (Matthias Clasen)
- Use the 'pretty hostname' for hotspots (Matthias Clasen)
- Remove spaces before question marks (Piotr Drąg)
- Avoid uninitialised variable (Bastien Nocera)
- Fix toolbar style (Bastien Nocera) (#651595)

Online accounts:
- Add panel for gnome-online-accounts (Bastien Nocera)

Printers:
- Allow editing of printer name and location (Marek Kasik) (#649511)
- Use SNMP CUPS backend to discover printers on given address (Marek Kasik)
- Move check for availability of CUPS to better place (Marek Kasik)
- Include cups/ppd.h explicitly (Marek Kasik)
- Force icons toolbar style (Bastien Nocera) (#651599)

Region:
- Fix the labels according to the usability gurus (Sergey V. Udaltsov) (#641021)
- Fix a couple of memory leaks (Rui Matos) (#652360)
- Fix infinite loop dealing with gsettings 'changed' signal (Rui Matos) (#652361)
- Remove helper function not needed since GTK+ 3.0 (Rui Matos) (#652374)
- Trigger the layout chooser dialog response on 'row-activated' signal (RuiMatos) (#652409)
- Add 'formats' tab (Rodrigo Moya)
- Force icons only toolbar style (Bastien Nocera)
- Add 'system' tab (Rodrigo Moya)

Shell:
- Move the raised class hint to the tool item (Cosimo Cecchi)
- Don't update the visibility of the lock button (Florian Müllner) (#652299)
- Make --help-all and --help-gtk work (Bastien Nocera) (#652165)
- Use proper Unicode ellipses in the search renderer (Philip Withnall)
- Fix bad rendering of search results (Bastien Nocera) (#652709)
- Print warning for uninstantiable panels (Bastien Nocera) (#652585)

Sound:
- Fix direction of speaker test in RTL languages (Bastien Nocera) (#651273)

User accounts:
- Fix fingerprint assistant (Matthias Clasen) (#649678)
- Fix deleting users on 32-bit systems (Bastien Nocera) (#652073)

Xrandr:
- Change "Anti-Clockwise" to "Counterclockwise" (Dan Winship) (#652569)

Translations:
- ca (Pau Iranzo)
- ca@valencia (Carles Ferrando)
- de (Mario Blättermann)
- el (Kostas Papadimas)
- eo (Kristjan SCHMIDT)
- es (Daniel Mustieles, Jorge González)
- fa (Arash Mousavi)
- ga (Seán de Búrca)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- lt (Aurimas Černius)
- nb (Kjartan Maraas)
- ru (Yuri Myasoedov)
- sl (Andrej Žnidaršič, Matej Urbančič)
- vi (Nguyễn Thái Ngọc Duy)

==========================
Version 3.0.2 (2011-05-24)
==========================

Common:
- Remove calls to AM_GNU_GETTEXT, IT_PROG_INTLTOOL should be enough (Rodrigo Moya)

Mouse:
- Update from gnome-settings-daemon (Bastien Nocera) (#695041)

Network:
- Properly select the active ap (Matthias Clasen) (#649934)

Power:
- Only show the 'When power is critically low' when there is a laptop
  battery or UPS attached (Richard Hughes) (#646053)

Printers:
- Remove the subscription renewal timeout when the panel goes away (Matthias Clasen)
- Make Add button insensitive until user select a printer (Marek Kasik) (#648787)
- Improve search for PPDs for new devices (Marek Kasik)
- Check presence of new printer (Marek Kasik)

Shell:
- Add raised style to "All Settings" button (Cosimo Cecchi) (#645809)
- Kill warning in g_print call (Rodrigo Moya)

User accounts:
- Show username when no real name (Bastien Nocera) (#648348)
- Fix bug when name is changed to contain markup (Bastien Nocera)
- Don't call gtk_main_quit if AccountService is unavailable (David Benjamin) (#648969)

Translations:
- ga (Seán de Búrca)
- gl (Fran Diéguez)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- pl (Piotr Drąg)
- pt_BR (Rodrigo Padula de Oliveira)
- ug (Abduxukur Abdurixit)
- uk (Daniel Korostil)
- zh_CN (Funda Wang)
- zh_HK (Pin-Hsien Li)
- zh_TW (Pin-Hsien Li)

============================
Version 3.0.1.1 (2011-04-26)
============================

Shell:
- Fix initial state of 'search' icon in entry

Region:
- Add 'clear' icon in search entry (#647717)

Keyboard:
- Always add 'custom shortcuts' section (#648091)
- Make adding custom shortcuts work (#648187)
- Make unsetting custom shortcuts work

Display:
- Avoid critical warnings at startup (#648620)

Translation updates:
- Slovak

==========================
Version 3.0.1 (2011-04-26)
==========================

Shell:
- Don't exit when --help is called and the shell is
  already running
- Center by default

Printers:
- Fix setting the default printer
- Fix initial state of printer list
- Make it possible to cancel adding new printers
- Set default papersize according to the locale
- Make it faster by caching PPDs for the local printer

Removable Media:
- Make "never autorun" checkbox work

User accounts:
- Try hard to not show the "root" account
- Use local documentation for "good password"

Network:
- Add support for connecting to hidden wireless networks

Background:
- Allow adding multiple images at once

Keyboard:
- Fix shortcuts disappearing when creating a new workspace
- Handle shortcut conflicts when they occur in a different section

Date & Time:
- Fix critical on startup
- Add support for all the possible TZ set on a Linux system

Info:
- Fix possible crash
- Don't block the UI when checking for free space

Sound:
- Only autostart panel applet in GNOME
- Fix clipping when sound volume is > 100%

Loads of updated translations

============================
Version 3.0.0.1 (2011-04-06)
============================

Network:
- Avoid assertions with mobile broadband devices

Background:
- Fix a compiler warning

Printers:
- Actualize printer and job lists automatically
- Avoid crash if policy is unavailable
- Don't set a reason when setting AcceptJobs

Date & Time:
- Fix test-endianess on OpenSUSE (#646780)

Translation updates: Vietnamese, Esperanto, Bengali, Persian

==========================
Version 3.0.0 (2011-04-04)
==========================

Background:
- Don't show errors when loading default bg (Bastien Nocera) (#646056)
- Don't use the GnomeBG thumbnails for the preview area (Cosimo Cecchi) (#646180)
- Don't assert() for typos in XML files (Bastien Nocera) (#646250)

Common:
- Remove API reference, as it's incomplete and going away for next cycle (Rodrigo Moya)
- Fix build on fresh checkouts (Florian Müllner)

Keyboard:
- Set repeat-interval correctly (Bastien Nocera) (#646241)
- Bump gnome-settings-daemon requirement (Bastien Nocera)

Network:
- Use symbolic icon for ad-hoc wireless connections (Cosimo Cecchi) (#646140)
- Hide the security cell renderer if there's no icon to display (Cosimo Cecchi) (#646140)
- Do not add bluetooth devices to the panel to avoid asserting the control-center (Richard Hughes)
- Fix build against NetworkManager on Debian (Matthias Clasen) (#646349)
- Reset the network name combo when disconnected (Matthias Clasen) (#646031)
- Display more detailed status for unavailable devices (Matthias Clasen) (#646027)
- Make creating vpn connections work again (Matthias Clasen)

Printers:
- Make "Print Test Page" button always sensitive (Marek Kasik)
- Do not delete browsed printers (Marek Kasik)

Region:
- Make the layout options modal (Cosimo Cecchi) (#646183)

Shell:
- Turn off spinner cursor when launched (Bastien Nocera) (#646045)

Sound:
- Make the volume icons smaller and center them properly in the bar (Cosimo Cecchi) (#646153)
- Make sound applet work again in fallback (Bastien Nocera) (#646044)

Universal Access:
- Don't incorrectly mark some hboxes as insensitive (Cosimo Cecchi) (#646240)

Translations:
- af (Friedel Wolff)
- ar (Khaled Hosny)
- bn (Jamil Ahmed)
- ca (Jordi Serratosa)
- cz (Marek Černocký)
- da (Ask H. Larsen)
- de (Wolfgang Stöggl)
- el (George Stefanakis, Simos Xenitellis)
- en_GB (Bruce Cowan)
- eu (Iñaki Larrañaga Murgoitio)
- gu (Sweta Kothari)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Jiro Matsuzawa, Takayuki KUSANO)
- kn (Shankar Prasad)
- ko (Changwoo Ryu)
- lt (Gintautas Miliauskas)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- ta (Dr.T.Vasudevan)
- te (krishnababu k)
- tr (Baris Cicek)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

=============================
Version 2.91.93 (2011-03-28)
=============================

Common:
- Add a --verbose option to the shell
- Make sure the desktop file uses categories that show up in menus

Date & Time:
- Fix time widget ordering in RTL locales

Printing:
- Use a single privilege to unlock the entire page
- Honor disable-print-setup lockdown setting
- Use CUPS printer test page

Power:
- Use a better icon

Sound:
- Port to GSettings
- Fallback if loading a non-existent custom theme

User Accounts:
- Remove stray debugging output
- Make crop window modal
- Fix crop window background color

Universal Access:
- Bring screen reader option back

Network:
- Drop creation of custom connections for now, except for VPN
- Show a padlock icon for 'secure' access points
- Memory leak fixes
- Implement on/off switch for wired devices
- Properly track VPN connection state
- Use grids for better UI alignment
- Handle NetworkManager restarts gracefully

Region:
- Remove tooltips from layout list

Background:
- Make the window fit on small screens

Translations:
 Arabic, Swedish, Galician, Estonian, Norwegian bokmål, Italian,
 Slovenian, Romanian, German, Simplified Chinese, Ukrainian,
 Spanish, French, Russian, Catalan, Dutch, Punjabi, Korean,
 Czech, Hebrew, Vietnamese, Japanese, Uighur, Latvian, Hindi,
 Brazilian Portuguese, Polish

=============================
Version 2.91.92 (2011-03-21)
=============================

Common:
- Bump GTK+ dep to 3.0.2 (Matthias Clasen) (#644182)
- Fix linking of libshortcuts against X (Frédéric Péters) (#644410)
- Improve CUPS detection (Saleem Abdulrasool) (#644064)
- Set the 'inline-toolbar' style class to toolbars which need it (Cosimo Cecchi) (#645059)

Background:
- Use new picture-uri GSettings key (Bastien Nocera) (#633983)

Date and Time:
- Change combobox when map is clicked (Bastien Nocera)
- Make 24h setting changeable without unlocking (Bastien Nocera) (#643891)
- Add missing timezone files (Frédéric Péters) (#630261)
- Add hacks to support more timezones (Bastien Nocera)
- Don't crash when the timezone is unknown (Bastien Nocera)

Display:
- Fix dragging rotated monitors (Alexander Larsson) (#641345)

Info:
- Use dim labels (William Jon McCann)

Keyboard:
- Fix crasher when num workspace changes (Bastien Nocera) (#644784)
- Mark the scales as insensitive when the checkboxes are off (Cosimo Cecchi) (#645151)
- Correct labels for blinking speed (Bastien Nocera) (#645314)

Mouse:
- Don't destroy the touchpad tab (Bastien Nocera)
- Check caps of the touchpad when added (Bastien Nocera)
- Make sure we fit within our minimum vertical size (William Jon McCann)
- Don't reset scrolling method on start (Bastien Nocera) (#642474)

Network:
- Show the wireless security currently being used (Richard Hughes)
- Do not show a provider string for mobile broadband devices when not connected (Richard Hughes)
- Do not show the IPv6 address if nm_device_get_dhcp6_config() failed (Richard Hughes)
- nm_device_wifi_get_bitrate() returns values in kb/s, not Mb/s (Richard Hughes)
- Hide UI controls that are not connected up to anything yet (Richard Hughes)
- Display the IPv6 address if one is provided for the device (Richard Hughes)
- Never show the loop device if IP4 data isn't available (Richard Hughes)
- Use an abstract device so we can get the VPN connection data (Richard Hughes)
- Show the VPN connection state in the panel header (Richard Hughes)
- A disconnected wired connection is 'Unplugged', not 'Disconnected' (Richard Hughes)
- Display a different icon if the wired ethernet device is disconnected (Richard Hughes)
- Do not show a speed of zero for any device (Richard Hughes)
- Ensure we refresh the UI if coldplug devices are changed (Richard Hughes)
- Add Option buttons (Matthias Clasen)
- Fix some alignment and focus issues (Matthias Clasen)
- Add a device off switch (Matthias Clasen)
- Implement and show on/off switch for wireless/wimax (Matthias Clasen)
- Refresh UI when active connections change (Matthias Clasen)
- Add Option buttons to allow editing connections (Matthias Clasen)
- Watch for new VPN connections being added and add them to the panel (Richard Hughes)
- Drop tooltips on the device list (Matthias Clasen) (#644964)
- Use dim-label style class for labels (Matthias Clasen) (#644964)
- Fix version compatibility warning dialog (William Jon McCann) (#644973)
- Avoid header pixel noise and inconsistent spacing (Matthias Clasen) (#644954, #644955)

Printers:
- Attach 'add printer' dialog to toplevel (Matthias Clasen) (#644213)
- Call cupsGetDevices() asynchronously (Marek Kasik) (#644212)
- Use dim-label to accentuate values (William Jon McCann)
- Set longer timeout for installation of printer driver (Marek Kasik)
- Don't sort printers by usage (Marek Kasik)
- Handle no printers situation better (Marek Kasik) (#641421)
- Show IP address of printer (Marek Kasik)
- Change text about unavailability of CUPS (Marek Kasik) (#641421)
- Fix alignment in secondary notebook pages (William Jon McCann)
- Show computer-fail icon when can not connect to CUPS (Marek Kasik) (#641421)

Region:
- Using separate window group to avoid modal shadowing (Sergey Udaltsov)
- Stop layout add dialogue from "jumping" (Bastien Nocera)
- Make drag'n'drop work (Bastien Nocera)

Screen:
- Fix the delay acrobatics (Matthias Clasen) (#644403)
- Drop converting between seconds and minutes (William Jon McCann)
- Set the label as insensitive when Lock is off (Cosimo Cecchi) (#645149)
- Honor disable-lock-screen setting (William Jon McCann)

Shell:
- Fix resizing when switching from panel to panel (Gerd Kohlberger) (#636596)

Sound:
- Fix scroll event handling of channel bars (Matthias Clasen) (#644462)
- Fix ordering of typedefs (Bastien Nocera)
- Use upstream value for amplified volume (Colin Guthrie) (#644292)
- Add introspection info for new GIcon function (Florian Müllner)
- Remove old support code for PA < 0.9.15 (Bastien Nocera)

Universal access:
- Set the name to the right hboxes (Cosimo Cecchi) (#645135)
- Use NO_SENSITIVITY flag for g_settings_bind() (Cosimo Cecchi) (#645171)

User accounts:
- Use dim-label class instead of hardcoded color (William Jon McCann)
- Update cheeese minimum requirements (Bastien Nocera)
- Nuke supervised accounts (David Zeuthen)
- Don't warn if there are no faces pixmaps (Bastien Nocera) (#645347)

Translations:
- ar (Khaled Hosny)
- cz (Ondrej Kopka)
- de (Mario Blättermann)
- en_GB (Bruce Cowan)
- es (Daniel Mustieles, Jorge González)
- et (Mattias Põldaru)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takayuki KUSANO)
- ko (Changwoo Ryu)
- lt (Gintautas Miliauskas)
- lv (Rudolfs Mazurs)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- pt_BR (Hugo Vaz Sampaio)
- sl (Andrej Žnidaršič, Matej Urbančič)
- sr (Мирослав Николић)
- sv (Daniel Nylander)
- uk (Daniel Korostil)
- zh_CN (Aron Xu)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

=============================
Version 2.91.91 (2011-03-08)
=============================

Shell:
- Reload the list of panels when new ones are added

Date and Time:
- Use correct order for date widgets when in non-US locales

Info:
- Look for which device is being driven by the VESA driver
- Remove (tm) from GNOME logo

Keyboard:
- Add support for the magnifier zoom in/out shortcuts
- Fix loading of custom shortcuts
- Fix initial selection in the shortcut pane
- Make shortcut conflicts code actually work
- Fix warning about "editing-canceled"
- Make repeat rate and speed follow a11y guidelines

Network:
- Update for recent NetworkManager changes

Printers:
- Don't show driver version in the model name
- Add dialogue for adding new printers

Region and Language:
- Don't block the interface when loading the panel
- Do not allow adding the same keyboard layout twice

Sound:
- Fix only starting applet in fallback session

Universal Access:
- Show actual keyboard shortcuts as defined in Keyboard
- Make "on-screen keyboard" switch work
- Fix initial state of typing help
- Add "smaller text" size

=============================
Version 2.91.90 (2011-02-22)
=============================

Background:
- Remove loading of obsolete backgrounds (Bastien Nocera)
- Load initial state from GSettings (Bastien Nocera)
- Don't warn when trying to load a gradient (Bastien Nocera)
- Make loading wallpapers seem faster (Bastien Nocera)
- Show 'Adwaita' as the first in the list (Bastien Nocera) (#637384)
- Handle no-flags from saved config (Bastien Nocera)
- Set the shading for pictures (Bastien Nocera)
- Add/Remove features for panel (Bastien Nocera)
- Don't show an error if no cache dir (Bastien Nocera)
- Add arrows for the gradients (Bastien Nocera)

Date & Time:
- Don't crash when g-s-d is badly installed (Bastien Nocera) (#641232)
- Create filenames locale-independently (Christian Persch) (#641294)
- Fix crash when TZ is an alias (Bastien Nocera) (#641360)
- Fix city combobox filtering (Bastien Nocera)

Display:
- Remove support for old D-Bus interface (Bastien Nocera)
- Simplify some old GNOME 2.x code (Bastien Nocera)

Info:
- Make labels selectable (William Jon McCann)
- Add graphics info (William Jon McCann)
- Add special case for Atom(TM) (William Jon McCann)
- Add panel chooser, graphics tab (Colim Walters) (#642068)
- Add stub for default apps page (William Jon McCann)
- Clearify language in force fallback controls (William Jon McCann)
- Correctly detect the fallback session (William Jon McCann)

Keyboard:
- Change grouping of keys (William Jon McCann)
- Improve the layout of the bindings page (William Jon McCann)
- Clean up GConf handling (Bastien Nocera)
- Add support for GSettings shortcuts (Bastien Nocera)
- Pass a gettext package when loading GConf (Bastien Nocera)
- Don't resize the shell horizontally (Bastien Nocera)
- Don't expand tables vertically (William Jon McCann)
- Add Universal Access shortcuts (Bastien Nocera) (#641279)

Network:
- Wrap long dns lines (William Jon McCann)
- Select the first device after they are all loaded (William Jon McCann)
- Use the same border width as other panels (William Jon McCann)
- Use emblem-default-symbolic for the default printer (William Jon McCann)
- Disable NetworkManager when the airplane switch gets changed (Richard Hughes)
- Show the wired network subnet mask (Richard Hughes)
- Fix a crasher due to an uninitialized GVariant (Cosimo Cecchi)
- Fix linking (Richard Hughes)
- Port to the rm-userset branch of NetworkManager (Richard Hughes)
- Only add the strongest AP for each SSID to the drop down box (Richard Hughes) (#640471)

Printers:
- Right align the image (William Jon McCann)
- Use a 64px icon (William Jon McCann)
- Don't expand switch vertically (William Jon McCann)
- Fix panel width (Matthias Clasen)
- Allow location and model to span cols again (William Jon McCann)
- Add unlock button (Marek Kasik) (#640733)
- Sort printers by usage (Marek Kasik) (#641285)
- l10n fixes for jobs count (Luca Ferretti)
- Add translation context to statuses (Luca Ferretti) (#641339)
- Avoid unnecessary use of markup (Khaled Hosny)
- Check that cups is recent enough (Marek Kasik)
- Change widget showing supply levels (Marek Kasik)
- Don't show printers separator when not needed (Marek Kasik)
- Don't try to draw empty ink level (Marek Kasik)
- Replace "Idle" state by "Ready" (Marek Kasik)
- Set Options and Show buttons sensitive (Marek Kasik)

Region:
- Use consistent border spacing (William Jon McCann)
- New search-based layout addition (Sergey V. Udaltsov) (#640772)
- Minor UI tweaks in kbd layout chooser (Sergey V. Udaltsov)
- Remove annoying tooltip on a treeview (Bastien Nocera)
- Easier to understand layout switching options (Bastien Nocera) (#641021)
- Remove code to handle print button (Bastien Nocera)
- Some UI fixes for the layout chooser (Bastien Nocera)
- Make layout filtering much faster (Sergey V. Udaltsov)
- Fix overeager string splitting (Bastien Nocera)
- Fix the modality of the Preview dialog (Sergey V. Udaltsov)

Screen:
- Simplify GtkBuilder-using code (Bastien Nocera)
- Hide the brightness slider when it cannot be set (Bastien Nocera)
- Hook up screen locking (Bastien Nocera) (#637939)
- Set idle-delay to the same value as DPMS timeout (Bastien Nocera)
- Make sure the combo box is always set (Bastien Nocera)
- Fix the operation of locking (William Jon McCann)

Shell:
- Add shortcuts to focus search entry (Bastien Nocera) (#409230)
- Don't pass invalid option flags (Christian Persch) (#641290)
- Use symbolic icons in the search entry (Bastien Nocera) (#642167)
- Sort the icons alphabetically (Thomas Wood)
- Make sure the search entry doesn't appear when in a panel (Thomas Wood)
- Fix searching for anything hiding widgets (Bastien Nocera)

Sound:
- Try using symbolic icons for range widgets (William Jon McCann) (#614213)

Universal Access:
- Allow the pointer page to use less horizontal space (Thomas Wood)
- Hide options that are currently unavailable (Thomas Wood) (#639784)
- Implement the zoom setting (Thomas Wood)
- Adjust for magnifier schema changes (Florian Müllner)
- Use switches instead of radio groups (William Jon McCann)
- Show the typing assistant widgets (Bastien Nocera)

User Accounts:
- Use 0 instead of blank to clear options (William Jon McCann)
- Port to GtkStyleContext (Cosimo Cecchi)
- Hide fingerprint dialogue by default (Bastien Nocera) (#641990)

Translations:
- Arabic (Khaled Hosny)
- Basque (Inaki Larranaga Murgoitio)
- Estonian (Ivar Smolin)
- Galician (Fran Diéguez)
- Gujarati (Sweta Kothari)
- Hebrew (Yaron Shahrabani)
- Italian (Luca Ferretti)
- Korean (Changwoo Ryu)
- Norwegian bokmål (Kjartan Maraas)
- Persian (Mahyar Moghimi)
- Punjabi (A S Alam)
- Spanish (Daniel Mustieles, Jorge González)
- Swedish (Daniel Nylander)
- Traditional Chinese (Chao-Hsiung Liao)
- UG (Gheyret Kenji)

=============================
Version 2.91.6 (2011-02-01)
=============================

Info:
- Read version from gnome-version.xml (William Jon McCann)
- Don't show update button (William Jon McCann)
- Show memory, processor, OS type, storage (William Jon McCann)
- Make 64bit detection work reliably (Bastien Nocera)
- Make labels translator friendly (Luca Ferretti, #640127)

Keyboard:
- Make shortcuts tab look closer to mockup (William Jon McCann)
- Avoid duplicate entries (Matthias Clasen)
- Make custom shortcut editing work (Matthias Clasen)
- Make custom shortcut dialog non-resizable (Matthias Clasen)
- Make scales work (Matthias Clasen)

Date & Time:
- Fix splitting of region strings (Matthias Clasen)
- Prevent the panel from growing horizontally (Matthias Clasen)
- Add an unlock button (Thomas Wood)

Default applications:
- Removed (William Jon McCann)

Display:
- Hide unsupported size (Bastien Nocera)
- Rename rotation options (Bastien Nocera, #563144)

Media:
- Remove icons from non-applications (William Jon McCann, #640010)
- Use consistent capitalization (William Jon McCann)
- Make 'Other' work more than once (Matthias Clasen)
- Remove erroneous quotes (Matthias Clasen)
- Improve strings (Matthias Clasen)

Mouse:
- Change tab label to 'Mouse' (William Jon McCann, #639787)
- Remove a11y tab (William Jon McCann)

Network:
- Use a better icon (Matthias Clasen)
- Use toolbar for source list buttons (William Jon McCann)

Power:
- Make strings translator friendly (Richard Hughes, #640119)

Printers:
- New panel (Marek Kasik)

Region:
- Sort lists (Sergey V. Udaltsov)
- Fix infinite loop (Bastien Nocera, #639951)
- Remove mouse keys tab and various other cleanups (Bastien Nocera)
- Set parents on all dialogs (Bastien Nocera)
- Add a language tab (Bastien Nocera)
- Share language code with the user accounts panel (Bastien Nocera)
- Make language selection work (Bastien Nocera)
- Tweak the layout of to the layout tab (Bastien Nocera)
- Remove keyboard model selection (Bastien Nocera)
- Remove Help buttons (Bastien Nocera)

Screen:
- Use a switch widget (William Jon McCann)
- Hide unimplemented Location UI (William Jon McCann)

Sound:
- Fix an assertion (Alban Browaeys, #639280)
- Add close button to speaker test (Matthias Clasen, #636898)

Shell:
- Start in overview (Dan Winship, #639180)
- Reload icons on theme change (Bastien Nocera, #639268)
- Avoid windows with no icons (Bastien Nocera)

Universal Access:
- Make test size control work (Matthias Clasen)
- Make 'Sound Settings' button work (Matthias Clasen)
- Remove 'Show Panel Icon' checkbox (Matthias Clasen)

User Accounts:
- Sync language code with gdm (Bastien Nocera)
- Fix lifecycle issues with the language chooser (Bastien Nocera)
- Make fingerprint dialog work better with the shell (Matthias Clasen)
- Use toolbar for list buttons (William Jon McCann)
- Remove unused UI elements: email, location (William Jon McCann)
- Remove Login tab and move autologin (William Jon McCann)
- Improve dropdown arrow drawing (Matthias Clasen)
- Improve password strengh bar drawing (Matthias Clasen)

Translation updates:
  Arabic
  Estonian
  Galician
  Greek
  Hebrew
  Italian
  Norwegian bokmål
  Punjabi
  Simplified Chinese
  Spanish
  Traditional Chinese
  Ukrainian


=============================
Version 2.91.5 (2010-12-22)
=============================

Common:
- Fix 2 typos (Andre Klapper) (#637527)
- Require gnome-settings-daemon >= 2.91 (Rodrigo Moya)
- Bump libgnomekbd requirement (Rodrigo Moya)
- Adapt to new gnome-desktop API (Giovanni Campagna)

Datetime:
- Fix layout and spacing to match mockups (William Jon McCann)
- Use a switch for 24 hour time (William Jon McCann)
- Keep the time ticking while the dialog is up (William Jon McCann)
- Make dialog instant apply (William Jon McCann)
- Don't try to set timezone when initially loading model (William Jon McCann)

Sound:
- Do not build with $DISABLE_DEPRECATED (Vincent Untz)
- Don't set update policy (Benjamin Otte)

Translations:
- de (Mario Blättermann)
- es (Jorge Gonzalez)
- et (Ivar Smolin)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- nb (Torstein Adolf Winterseth)
- pa (A S Alam)
- sl (Matej Urbančič)
- sv (Daniel Nylander)
- vi (Nguyễn Thái Ngọc Duy)

=============================
Version 2.91.3.1 (2010-12-22)
=============================

Shell:
- Fix initial window size (Matthias Clasen)
- Drop 'Internet & Network' category (Thomas Wood)
- Only show panels, not old-style capplets (Thomas)

Universal access:
- Migrate to GSettings (Rodrigo Moya)

Display:
- Use switch (Bastien Nocera)
- Fix sizing issues (Thomas)

Media:
- Use GtkAppChooserButton (Cosimo Cecchi)

Mouse:
- Detect touchpads (Bastien)

Keyboard
- Shortcuts UI improvements (Rodrigo)

Datetime:
- Multiple UI improvements (Bastien)
- Implement 12h setting (Bastien)
- Add NTP support (Bastien)

Network:
- Initial prototype (Richard Hughes)
- Remove the old proxy panel (William Jon McCann)

Background:
- Load asynchronously (Bastien)
- Support gradients (Bastien)
- Multiple UI improvements (Bastien)

System Information:
- Initial prototype (William Jon McCann)

=============================
Version 2.91.3.1 (2010-11-30)
=============================

Common:
- Add missing libraries for linking (Rodrigo Moya)

Display:
- Fix run-time warning (Bastien Nocera)

Media:
- Use the correct schema name (Cosimo Cecchi)

===========================
Version 2.91.3 (2010-11-29)
===========================

Background:
- One last old gnome_bg remnant (Yanko Kaneti)
- Load wallpapers in an idle (William Jon McCann)

Common:
- Fix build for latest gnome-desktop changes (Andreas Proschofsky) (#634859)
- Some build fixes (Rodrigo Moya)
- Update to GTK+ api changes (Matthias Clasen)
- Add keywords to desktop files (Matthias Clasen, Bastien Nocera) (#399754)

Datetime:
- Add missing libraries to libdate_time_la_LIBADD (Rodrigo Moya)
- Implement 12/24 hour preferences for the gnome-shell clock (Thomas Wood)

Default applications:
- Remove web browsers and mail readers from XML file (Rodrigo Moya)

Display:
- Remove refresh rate setting (William Jon McCann)
- Don't list the resolution in the arrangement box (William Jon McCann)
- Indicate the selected display using an outside stroke (William Jon McCann)
- Remove unhelpful Monitor: label (William Jon McCann)
- Make layout not jump around when selecting monitors (William Jon McCann)
- Remove the primary display checkbox (William Jon McCann)
- Just say no to tabs and trailing whitespace (William Jon McCann)
- Use consistent indentation and spacing (William Jon McCann)
- Identify primary display with a black top bar and clock (William Jon McCann)
- Allow dragging top bar to set primary display (William Jon McCann)
- Use a smaller top bar size (William Jon McCann)
- Ensure primary display is set in config (William Jon McCann)
- Don't allow setting primary on off displays (William Jon McCann)
- Add a save/restore to ensure the labels don't mess up top bar (William Jon McCann)

Keyboard:
- Fix possible accel blocking (Bastien Nocera)

Media:
- Initial port of Nautilus capplet code (Cosimo Cecchi)

Mouse:
- Use a smiley face instead of old ugly lightbulb to test click (William Jon McCann)
- Don't force wrapping the label at 180px (William Jon McCann)
- Remove dead a11y code (Bastien Nocera)

Network:
- Avoid run-time warnings (Bastien Nocera)

Power:
- Add the first cut of the UI of the power panel, based on a mockup by Alan Day
  (Richard Hughes)

Region:
- Link against libxklavier also (Didier Roche)

Screen:
- Add screen brightness and lock panel (William Jon McCann)
- Improve label for dim checkbox (William Jon McCann)
- Connect up the brightness slider and the dim checkbox with gnome-power-manager
  (Richard Hughes)

Shell:
- Subtract a hacky constant from the screen height for dialog height (William
  Jon McCann)
- Don't change casedness when displaying matches (Matthias Clasen)
- Add keyword search (Matthias Clasen)
- Start in the right size (Matthias Clasen)
- Ensure the background and foreground colours are consistent (Thomas Wood)

Sound:
- Explicit link to libxml (Yanko Kaneti)
- Don't allow long profile names to resize toplevel (Bastien Nocera) (#613040)
- Replace size_request by get_preferred_width/height (Javier Jardón) (#635117)
- Avoid second warning when no theme (Bastien Nocera)
- Simplify check_rectangle() macro (Bastien Nocera)
- Make level bar descend from GtkWidget (Bastien Nocera)
- Show icons for devices (Bastien Nocera)
- Remove radio buttons (Bastien Nocera)
- Avoid initial resizing (Matthias Clasen)
- Remove theme selection (William Jon McCann)
- Remove window and button sounds checkbox (William Jon McCann)

Universal access:
- Remove relation with inexistant widget (Bastien Nocera)
- Remove an unused frame that added a few extra px of spacing (William Jon McCann)

User accounts:
- Listen for permission changes (Matthias Clasen)
- Fix a little annoyance with combo boxes (Matthias Clasen)
- Don't show parental controls for now (Matthias Clasen)
- Fix packing of the language dialog (Matthias Clasen)
- Don't allow opening non-images (Bastien Nocera)
- Add "Disable icon" menu item (Bastien Nocera)
- Link against missing libraries (Rodrigo Moya)

Translations:
- es (Jorge González)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- nb (Kjartan Maraas)
- pa (A S Alam)
- ro (Cătălin Bălan)
- ta (Dr.T.Vasudevan)
- ug (Gheyret T.Kenji)
- zh_CN (Aron Xu)

===========================
Version 2.91.2 (2010-11-08)
===========================

Common:
- Remove typing break (William Jon McCann)
- Build against libxml where appropriate (Matthias Clasen)
- Fix parallel building (Bastien Nocera)
- Remove unnneded lines in autogen.sh (Javier Jardón)
- Use GSourceFunc() instead GtkFunction() in g_timeout_add() (Javier Jardón)
- Bump gtk3 dep to 2.91.3 for box, etc changes (William Jon McCann)
- Prepare for size_request removal in GTK3 (Matthias Clasen) (#633321)

Background:
- Make flickr background setting not segfault (Cosimo Cecchi)
- Migrate to GSettings (Rodrigo Moya)
- Last bits of new gnome_bg API porting (Tomas Bzatek) (#625899)

Datetime:
- Start implementing new UI designs (Thomas Wood)
- Move to system section (William Jon McCann)
- Link test program against common libs (Rodrigo Moya)

Default applications:
- Use URL handlers for browser and mailer applications (Rodrigo Moya)
- Remove selection of media player (Rodrigo Moya)
- Migrate to GSettings (Rodrigo Moya)
- Fix run-time warning (Bastien Nocera)

Display:
- Reorganise according to mockups (Bastien Nocera)
- Show the resolution in the canvas area (Bastien Nocera)
- Remove excess cairo_save() call (Benjamin Otte)
- Simplify the layout of the display panel (William Jon McCann)
- Readd the checkbox to set primary display (William Jon McCann)
- Remove the system-wide setting helper (William Jon McCann)
- Make the canvas background color a bit more neutral (William Jon McCann)
- Migrate to GSettings (Rodrigo Moya)
- Port FooScrollArea to GtkScrollable iface (Bastien Nocera)
- Change panel name to Displays (William Jon McCann)
- Show aspect ratios with resolutions (Kees Cook)

Keyboard:
- Rename keybindings to keyboard (William Jon McCann)
- Move general settings into keyboard panel (William Jon McCann)

Mouse:
- Use new GDK error trap API (Cosimo Cecchi)
- Require libXInput (Bastien Nocera)
- Migrate to GSettings (Rodrigo Moya)
- Add motion acceleration and threshold UI for touchpad settings (Rodrigo Moya)
- Don't expand Mouse notebook vertically (William Jon McCann)
- Enable 2-finger scrolling through emulation (Chris Bagwell) (#625163)

Network:
- Fix for GtkCombo text changes (Bastien Nocera)
- Remove 'has-separator' properties (Bastien Nocera)
- Partially migrate to GSettings (Rodrigo Moya)

Region:
- Renamed from 'Keyboard' (William Jon McCann)
- Migrate to GSettings (Sergey V. Udaltsov, Rodrigo Moya)
- Remove calls to gtk_widget_hide_all() (Bastien Nocera)
- Fix warnings with cell renderer changes (Bastien Nocera)
- Don't expand vertically on general tab (William Jon McCann)
- Remove a11y stuff (William Jon McCann)
- Several renaming fixes (Yanko Kaneti)

Shell:
- Handle GtkSizeRequest removal (Bastien Nocera)
- Make sure the shell doesn't show up in itself (Bastien Nocera)
- Make it build and work against new GApplication (Bastien Nocera)
- Fix warning in search renderer (Bastien Nocera)
- Tighten up the spacing of the category views (William Jon McCann)
- Do a better job of automatically sizing the window to fit contents (William Jon McCann)
- Don't use window before it is realized (William Jon McCann)
- Add a get_toplevel accessor to CcShell (Gerd Kohlberger) (#621940)

Sound:
- Initial import of sound panel (William Jon McCann)

Universal access:
- Use GSettings for GTK and icon theme settings (Rodrigo Moya)
- Adjust for removal of GtkComboBoxEntry (Florian Müllner)
- Move to system section (William Jon McCann)
- Tweak the design of the panel (William Jon McCann)
- Use the UI dir set in the Makefile.am (William Jon McCann)
- Dial down the font size on Seeing a bit (William Jon McCann)

User accounts:
- Add user-accounts dialog (William Jon McCann)
- Adapt for gtk_box_new() API changes (Yanko Kaneti)
- Fix endless loop in load_url_handlers (Yanko Kaneti)

Translations:
- ca@valencia (Carles Ferrando)
- es (Jorge González)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)
- ja (Yasumichi Akahoshi, Takayuki KUSANO)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- pa (A S Alam)
- sl (Andrej Žnidaršič, Matej Urbančič)
- te (krishnababu k)
- ug (Gheyret T.Kenji)

===========================
Version 2.91.0 (2010-10-04)
===========================

Common:
- Remove unneeded dependency check for XCursor (Bastien Nocera)
- Adapt to GtkObject removal in GTK3 (Javier Jardón)
- Use gtk_widget_get_preferred_size() instead gtk_size_request_get_size() (Javier Jardón)
- Use upstream gettext insstead the Glib one (Javier Jardón)
- Update autotools configuration (Javier Jardón)

Background:
- Come up with 'Wallpapers' selected and displayed (Kalev Lember) (#630417)

Datetime:
- Add required includes to tz.h (Bastien Nocera)
- Add test application for missing TZ pixmaps (Bastien Nocera) (#630261)
- Fix automake warning (Bastien Nocera)

Default applications:
- Remove Opera from default browser choices (Bastien Nocera) (#627733)

Keyboard:
- Updated for the latest libgnomekbd API (Sergey V. Udaltsov)

Mouse:
- Rename to "Mouse and Touchpad" (Bastien Nocera)
- Remove unneeded XCursor include (Bastien Nocera)

Shell:
- Make search entry single-iconed (Bastien Nocera)
- Show settings without a panel in Other (Bastien Nocera) (#630998)
- Drop font viewer (William Jon McCann)
- Wait until the toplevel is realized before using it (William Jon McCann) (#631051)
- Update for new GTK3 drawing APIs (William Jon McCann)
- Fix .desktop file to work correctly in gnome-shell (William Jon McCann)

Universal access:
- Fix desktop file (Bastien Nocera)

Translations:
- ca (Joan Duran)
- cz (Petr Kovar)
- eu (Inaki Larranaga Murgoitio)
- ro (Lucian Adrian Grijincu)

-------------------------------------------------------------------------------
gnome-control-center 2.90.1 (2010-09-22)

- Add new background panel

Date and Time:
- Draw a label on the timezone map when clicked
- Add Region and City selection
- Fix a number of memory leaks

Display:
- Link display panel to dbus-glib
- Add label to warn that "Same image in all monitors'
  may limit the resolution options"
- Don't ignore errors from pkexec when using "Make default"

Default applications:
- Fix possible crashers when themes are switched

Shell:
- Resize shell to the size of the panel when panel is opened
- Allow shrinking the shell, but use a fixed width
- Use icon names as per specification
- Free menu directory contents list

Font viewer:
- Fix font preview not working

General:
- Loads of GTK3 deprecation work

-------------------------------------------------------------------------------
gnome-control-center 2.31.5 (2010-07-12)

Date and Time:
- Add application icon (Thomas Wood, Lapo Calamandrei)
- Remove "seconds" spin button (Thomas Wood)

Display:
- Make sure the screen label is hidden when the panel is closed (Thomas Wood)

Shell:
- Fix panel activation in existing running instance (Thomas Wood)

Universal Access:
- Add size groups (Thomas Wood)

libgnome-control-center:
- Derive CcPanel from GtkBin, rather than GtkAlignment (Thomas Wood)

General:
- Don't build libwindow-settings (Thomas Wood)
- Clean up configure.ac (Thomas Wood)
- Remove capplets directory from build (Thomas Wood)
- GVariant API adjustment: byte_array -> bytestring (Ryan Lortie)

Translations:
- es (Jorge González)
- gl (Fran Diéguez)
- zh_CN (甘露(Gan Lu))


-------------------------------------------------------------------------------
gnome-control-center 2.31.4.2 (2010-06-30)

Date and Time:
- Work around a cairo bug that prevents the map being display correctly
   (Thomas Wood)
- Install the UI files into the correct directory (Thomas Wood)

General:
- Make build work with GSEAL (Jonh Wendell)
- Fix compile with recent GTK versions (Richard Hughes)

Translations:
- gl (Fran Diéguez)
- he (Yaron Shahrabani)

-------------------------------------------------------------------------------
gnome-control-center 2.31.4.1 (2010-06-29)

Date and Time:
- Fix memory leak (Thomas Wood)
- Fix .desktop file Exec and use X-GNOME-Settings-Panel identifier (Thomas Wood)
- Make sure DBus is included in the cflags and linked libraries (Thomas Wood)
- Prevent crash when DBus service is not available (Thomas Wood)

-------------------------------------------------------------------------------
gnome-control-center 2.31.4 (2010-06-29)

General:
- Updated to use GTK+ 3 (Rodrigo Moya, Richard Hughes, Bastien Nocera)

Date and Time:
- New panel for configuring date and time settings (Thomas Wood)

Shell:
- Switch to using GtkApplication rather than libunique (Richard Hughes)

libgnome-control-center:
- Remove redundant properties from CcPanel (Thomas Wood)

Translations:
- de (Mario Blättermann)
- eo (Kristjan SCHMIDT)
- es (Jorge González)
- et (Ivar Smolin)
- gl (Fran Diéguez)
- hu (Gabor Kelemen)
- id (Andika Triwidada)
- nb (Kjartan Maraas)
- pa (A S Alam)


-------------------------------------------------------------------------------
gnome-control-center 2.31.3 (2010-06-07)

About Me:
- Catch error messages from passwd (#620135) (Bin Li)

Common:
- Replace deprecated GTK+ symbols. (#572325) (Andre Klapper)

Display:
- Convert to a settings panel (Thomas Wood)

Keyboard:
- Change Print layout to Show layout (Sergey V. Udaltsov)

Shell:
- Ensure padding around each embedded settings panel (Thomas Wood)
- Set the window icon and title when opening a panel (Thomas Wood)
- Improve keyboard navigation (Matthias Clasen)

Universal-Access:
- Implement a new accessibility preferences panel
  (Thomas Wood, William Jon McCann)

General:
- Make desktop file naming more consistent (Thomas Wood)
- Add X-GNOME-Settings-Panel key to panel desktop files (Thomas Wood)
- Make sure the Exec line is valid in panel desktop files (Thomas Wood)

Translations:
- es (Jorge González)
- et (Ivar Smolin)
- gl (Fran Diéguez)
- he (Yaron Shahrabani)

-------------------------------------------------------------------------------
gnome-control-center 2.31.2 (2010-05-24)

About Me:
- Don't hang when new and old password are too similar (Milan Bouchet-Valat)
  (#619354)

Shell:
- Add a new shell that supports embedded settings panels
  (Thomas Wood, William Jon McCann)

libgnome-control-center:
- Add a new library that provides an API to create embedded settings panels for
  the new shell (Thomas Wood, William Jon McCann)

Mouse:
- Convert to using the Panel API (Thomas Wood)

Keyboard:
- Convert to using the Panel API (Sergey V. Udaltsov)

Network:
- Convert to using the Panel API (Thomas Wood)

Default Applications:
- Convert to using the Panel API (Thomas Wood)

Keybindings:
- Convert to using the Panel API (Thomas Wood)

Windows:
- Disable from build (Thomas Wood)


Translations:
- sl (Andrej Žnidaršič)
- gl (Fran Diéguez)
- or (Manoj Kumar Giri)
- en@shaw (Thomas Thurman)

-------------------------------------------------------------------------------
gnome-control-center 2.31.1 (2010-05-05)

Common:
- Use only single GTK+ includes (Javier Jardón) (#615292)
- Remove GTK+ deprecated symbols (Javier Jardón) (#572325)

About me:
- Don't hang when new and old password only differ in case (Milan Bouchet-Valat)
- Minor string updates (Jens Granseuer) (#615283)
- Use changes-prevent and changes-allow icons from the icon-them instead of
  the outdated lock-icons (Andreas Proschofsky) (#408585)
- Use accessor functions instead direct access (Maxim Ermilov) (#597888)

Display:
- Add a "Make Default" button in gnome-display-properties, which is used to
  set up a systemwide default RANDR configuration (Federico Mena Quintero)
- Change icon name to preferences-desktop-display (Jens Granseuer) (#614912)

Keyboard:
- Added tooltips (Sergey Udaltsov) (#615521)
- Use new libgnomekbd function for default group switcher (Sergey Udaltsov)
  (#603806)
- Proper response id for the help button (Sergey Udaltsov) (#616917)

Shell:
- Fix issue with g-c-c shell and YaST shell having same unique identifier (Scott Reeves)

Typing break:
- Add support for Ubuntu's app indicator (Travis B. Hartwell)

Translations:
- ar (Khaled Hosny)
- ast (Xandru Armesto)
- ca@valencia (Carles Ferrando)
- crh (Reşat SABIQ)
- de (Mario Blättermann)
- es (Jorge González)
- et (Mattias Põldaru)
- fr (Laurent Coudeur)
- gl (Fran Diéguez)
- gu (Sweta Kothari)
- he (Marios Zindilis)
- hy (Norayr Chilingaryan)
- id (Andika Triwidada)
- kn (Shankar Prasad)
- lv (Peteris Krisjanis)
- ml (Ani Peter)
- mr (Sandeep Shedmake)
- ms (Ahmed Noor Kader Mustajir Md Eusoff)
- nb (Kjartan Maraas)
- oc (Yannig Marchegay)
- or (Manoj Kumar Giri)
- sl (Matej Urbančič)
- zh_CN (Funda Wang)
-------------------------------------------------------------------------------
gnome-control-center 2.30.0 (2010-03-25)

About me:
- Fix global variable confusion (Michal Schmidt)
- Fix remembering of data between runs (Michal Schmidt)

Appearance:
- Mark a string for translation (Gabor Kelemen) (#612015)
- Fix GTK+ multi-threading (Matthias Clasen) (#610003)

Display:
- Don't show a tooltip while a monitor is being dragged (Federico Mena Quintero)

Typing break:
- Lock all the screens (Matthias Clasen) (#492974)

Translations:
- bg (Alexander Shopov)
- bn (Jamil Ahmed)
- ca (Joan Duran)
- crh (Reşat SABIQ)
- cz (Petr Kovar)
- da (Ask H. Larsen)
- de (Christian Kirbach)
- en_GB (Bruce Cowan)
- es (Jorge González)
- et (Ivar Smolin, Mattias Põldaru)
- eu (Inaki Larranaga Murgoitio)
- fi (Tommi Vainikainen)
- fr (Claude Paroz)
- gl (Fran Diéguez)
- gu (Sweta Kothari)
- he (Thanos Lefteris, Kostas Papadimas)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ko (Changwoo Ryu)
- lt (Žygimantas Beručka)
- nn (Torstein Adolf Winterseth)
- pa (A S Alam)
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- pt_BR (Og B. Maciel, Antonio Fernandes)
- ro (Adi Roiban)
- ru (Yuri Myasoedov, Юрий Козлов)
- sl (Matej Urbančič)
- sr (Miloš Popović)
- sv (Daniel Nylander)
- ta (vasudeven)
- uk (Maxim V. Dziumanenko)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.29.92 (2010-03-08)

Translations:
- ar (Khaled Hosny)
- en_GB (Bruce Cowan)
- eu (Iñaki Larranaga Murgoitio)
- fr (Claude Paroz)
- gl (Fran Diéguez)
- he (Liel Fridman)
- hu (Gabor Kelemen)
- ja (Takayuki KUSANO)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- nn (Torstein Adolf Winterseth)
- pl (Piotr Drąg)
- pt_BR (Antonio Fernandes C. Neto)
- ru (Leonid Kanter)
- sv (Daniel Nylander)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.29.91 (2010-02-24)

Appearance:
 - Add 'span' as a style for backgrounds

Display Properties:
 - Now fits in 640x480 and has a better layout overall.
 - Jst use "monitors" for wording, not a mixture of "monitor",
   "display", "screen".
 - Make the mouse cursor indicate when you can drag a monitor

Translations:
- ar (Khaled Hosny)
- bg (Alexander Shopov)
- ca (Joan Duran)
- de (Mario Blättermann)
- es (Jorge González)
- gl (Fran Diéguez)
- hu (Gabor Kelemen)
- pl (Piotr Drąg)
- pt_BR (Vladimir Melo)
- ro (Lucian Adrian Grijincu)
- sl (Matej Urbančič)
- ta (vasudeven)
- zh_HK & zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.29.90 (2010-02-08)

About-me:
- Fix hangs when 'passwd' outputs unexpected answers (Milan Bouchet-Valat)
- Fix list of passwd error strings (Milan Bouchet-Valat)
- Fix fingerprint name on 2nd page (Bastien Nocera)

At-properties:
- Add AutostartCondition to gnome-at-session.desktop (Martin Pitt) (#608138)

Mouse:
- Fix mnemonics conflicts on touchpad tab (Jens Granseuer) (#608057)

Translations:
- de (Mario Blättermann)
- es (Jorge González)
- et (Ivar Smolin)
- nb (Kjartan Maraas)
- pa (A S Alam)
- pt_BR (Antonio Fernandes C. Neto)
- sl (Matej Urbančič, Andrej Žnidaršič)
-------------------------------------------------------------------------------
gnome-control-center 2.29.6 (2010-01-26)

About-me:
- Add translator comments to 'Home' string (Claude Paroz) (#605944)

Appearance:
- Use GtkInfoBar rather than a copy of GeditMessageArea (Thomas Wood)

Common:
- Don't leak file descriptors when checking for colour schemes (Jens Granseuer) (#606155)

Mouse:
- Disable tapping only for touchpads without a left mouse button (Peter Hutterer)

Translations:
- bg (Alexander Shopov)
- bn (Runa Bhattacharjee, Jamil Ahmed)
- hu (Gabor Kelemen)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- sv (Daniel Nylander)
- ta (vasudeven)
- uk (Maxim V. Dziumanenko)
-------------------------------------------------------------------------------
gnome-control-center 2.29.4 (2009-12-24)

General:
- Drop obsolete check for HAL (#595832) (Jens Granseuer)
- Use external libslab when available (Vincent Untz)
- Add gthread-2.0 to common modules for linking (#600589) (Jens Granseuer)
- Enable silent build rules (Thomas Wood)

Common:
- Fix all the keybindings showing up when using compiz (#600021) (Bastien
  Nocera)
- Fix leak (Jens Granseuer)
- Fix warning (Jens Granseuer)

About-me:
- Fix crash when closing the window using the window button (#592348) (Jens
  Granseuer)
- Add missing PNG files (Bastien Nocera)

Appearance:
- Remove interface tab (#592756) (William Jon McCann)
- Add OnlyShowIn=GNOME to the .desktop file (#594709) (Thomas Wood)
- Update the background style option labels (#411048) (Thomas Wood)
- Fix tooltip in the background chooser (#596369) (Matthias Clasen)
- Add support for per-monitor backgrounds (#147808) (William Jon McCann)

Default applications:
- Update the exec arg when changing terminal (#597185) (Vincent Untz)
- Be sure to add the gconf directories for monitoring (#597186) (Thomas Wood)
- Return an empty string for the custom web item (Thomas Wood)

Display:
- Don't assert when the current output doesn't have a resolution set yet
  (#593866) (Federico Mena Quintero)
- Automatically turn on outputs which support Mirror Screens (#590823)
  (Federico Mena Quintero)
- Sensitize 'Mirror Screens' depending on whether mirror mode is actually
  supported (Federico Mena Quintero)
- Desensitize the on/off radio buttons if we are in Mirror Screens mode
  (Federico Mena Quintero)
- Show 'Mirror Screens' in the monitor label, not a random monitor's name
  (Federico Mena Quintero)

Font Viewer:
- Use pango_language_get_sample_string for sample text (#595107) (Jens
  Granseuer)
- Expand the Copyright display to get rid of unnecessary scrollbar (Jens
  Granseuer)
- Don't use URI notation when installing fonts (#603732) (Jens Granseuer)

Keybindings:
- Fix broken logic in keybinding tree model (Robert Ancell)
- Fix zombie bindings appearing after deleting custom shortcuts (#596351) (Jens
  Granseuer)
- Show shortcuts for the active window manager (#600531) (Wang Xin)
- Remove sleep key entry (#170175) (Bastien Nocera)

Keyboard:
- Major UI reorganization (Sergey V. Udaltsov)
- Fix mnemonic conflict in mousekeys tab (#586433) (Jens Granseuer)

Mouse:
- Disable two-finger scrolling/tapping based on touchpad capabilities. (Peter
  Hutterer)

Network:
- Keep proxies in sync when "use same proxy" is selected (#589952) (Cyril
  Roelandt)

Typing break:
- Increase delay for activating the postpone button to 5s (#597086) (Tim Waugh)
- Reset timer after suspend (#430797) (Jens Granseuer)

Windows:
- Don't allow Ctrl+Click as window movement modifier (#409405) (Jens Granseuer)

Translations:
- ar (Khaled Hosny)
- ca (Joan Duran)
- ca@valencia (Carles Ferrando Garcia)
- crh (Reşat SABIQ)
- de (Christian Kirbach)
- en@shaw (Thomas Thurman)
- en_GB (Bruce Cowan)
- es (Jorge González)
- et (Ivar Smolin)
- he (Yaron Shahrabani)
- id (Andika Triwidada)
- it (Luca Ferretti)
- lt (Žygimantas Beručka)
- nb (Kjartan Maraas)
- nds (Nils-Christoph Fiedler)
- pl (Tomasz Dominikowski)
- ro (Adi Roiban)
- ru (Alexandre Prokoudine)
- sl (Matej Urbančič)
- sv (Daniel Nylander)
- ta (Dr.T.Vasudevan)
- th (อาคม โชติพันธวานนท์)
- zh_CN (Tao Wei)
-------------------------------------------------------------------------------
gnome-control-center 2.28.0 (2009-09-21)

Appearance:
- Add link buttons to get more themes/backgrounds online (William Jon McCann)
  (#323323)
- Add/remove buttons should be the same size (William Jon McCann) (#592510)
- Make slideshows visually distinct (Matthias Clasen) (#591375)
- Don't call gnome_wp_item_ensure_gnome_bg too early (Matthias Clasen)
- Rename some widget ids to make GtkBuilder happy (Luca Ferretti)
- Use XDG user and system data dirs to load backgrounds (William Jon McCann)
- Fix compiler warnings (Jens Granseuer)
- Make the font DPI spin button work again (Jens Granseuer) (#594342)
- Show correct default layout (Michael Terry)
- Update icon because the old one has been removed from g-i-t (Jens Granseuer)
  (#594710)
- Allow a window manager to inherit keybindings from another window manager
  (Owen Taylor) (#594066)
- Force cursor slide to 100 px, in order to use it without changing
  the window width (Luca Ferretti)

Common:
- Drop check for libgnomeui (Jens Granseuer) (#592920)

Translations:
- ar (Khaled Hosny)
- as (Amitakhya Phukan)
- bg (Krasimir "Bfaf" Chonov, Alexander Shopov)
- bn_IN (Runa Bhattacharjee)
- br (Denis ARNAUD)
- ca (Joan Duran)
- cz (Petr Kovar)
- da (Ask H. Larsen)
- de (Wolfgang Stöggl)
- el (Kostas Papadimas)
- en_GB (Bruce Cowan)
- es (Jorge González)
- et (Ivar Smolin, Mattias Põldaru)
- eu (Inaki Larranaga Murgoitio)
- fi (Tommi Vainikainen)
- fr (Bruno Brouard, Claude Paroz)
- gl (Antón Méixome)
- gu (Sweta Kothari)
- he (Yaron Shahrabani)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takayuki KUSANO )
- kn (Shankar Prasad)
- lt (Gintautas Miliauskas)
- ml (Ani)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- pa (A S Alam )
- pl (Piotr Drąg)
- pt (Duarte Loreto)
- pt_BR (Krix Apolinário, Og Maciel, Djavan Fagundes)
- ro (Lucian Adrian Grijincu)
- sr (mpopovic)
- sv (Daniel Nylander)
- ta (ifelix)
- te (krishnababu k)
- tr (Baris Cicek)
- uk (Maxim V. Dziumanenko)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.27.91 (2009-08-24)

Appearance:
- Use unique widget IDs (Jens Granseuer) (#592182)
- Add workaround for glade-3 not working with vbox (William Jon McCann) (#584029)
- Fix parentless modal dialogs in theme installer (William Jon McCann) (#592354)

Common:
- Add schemas file (William Jon McCann)
- Fix distcheck (William Jon McCann)

Display:
- Fix dragging of rotate monitors (Matthias Clasen) (#578109)

Font viewer:
- Use preferences-desktop-font for the icon (Jens Granseuer) (#592642)
- Fix filename after GTKBuilder migration (Claude Paroz)

Mouse:
- Keep touchpad UI in sync with GConf (Jens Granseuer) (#592425)

Network:
- Update the ignored hosts list when the location changes (Maxim Ermilov) (#581472)

Shell:
- Updated to latest libslab (Rodrigo Moya)

Translations:
- bn (Jamil Ahmed)
- de (Christian Kirbach)
- es (Jorge González)
- et (Ivar Smolin)
- gl (Antón Méixome)
- it (Luca Ferretti)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- pt_BR (Henrique P. Machado)
- sv (Daniel Nylander)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.27.90 (2009-08-17)

About-me:
- Remove old code poking directly into the pwent (Matthias Clasen)
- Port to PolicyKit-1.0 (Matthias Clasen)

Appearance:
- Fix crash when iterating through the tree model (Jens Granseuer) (#591392)
- Make sure the underline in "Save _As..." is interpreted (Christian Hergert)
- Attributes tag is not supported in GtkButtons (Claude Paroz) (#591656)

Common:
- Change error message reference about Bonobo to DBus (Rodrigo Moya)
- Remove markup from translatable string (Claude Paroz) (#590933)
- Fix compiler warnings (Jens Granseuer)

Display:
- Don't sort the outputs before creating the labeler (Federico Mena Quintero)
- Remove dead code (Federico Mena Quintero)
- Ensure that the output labels fit inside the monitor rectangles (Federico
  Mena Quintero)

Shell:
- Remove libgnomeui usage (Andreas Proschofsky) (#586527)
- Do not depend on libpanel-applet (Vincent Untz)
- Fix requires in gnome-window-settings-2.0.pc (Vincent Untz)
- Use GOption in the shell (Vincent Untz)
- Fix error message with unknown option in shell (Vincent Untz)
- Use libunique in the shell to have a single-instance shell (Vincent Untz)
- Update to latest libslab, and do not install libslab on the system (Vincent
  Untz)

Translations:
- ar (Khaled Hosny)
- cs (Andre Klapper)
- de (Christian Kirbach)
- es (Jorge González)
- et (Mattias Põldaru and Ivar Smolin)
- fi (Tommi Vainikainen)
- ga (Seán de Búrca)
- gl (Antón Méixome)
- he (Mark Krapivner)
- hi (Rajesh Ranjan)
- it (Luca Ferretti)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- sv (Daniel Nylander)
-------------------------------------------------------------------------------
gnome-control-center 2.27.5 (2009-07-28)

Default applications:
- Don't clear the custom browser command on startup (Jens Granseuer) (#590316)

General:
- Remove all libglade dependencies (Robert Ancell)
- Remove markup from translatable strings in GTKBuilder files (Claude Paroz)
  (#599759)

Network:
- Fix unparsed mnemonics (Felix Riemann) (#590364)

Shell:
- Removed deprecated dependencies from libslab (Federico Mena Quintero, Felix Riemann)
- Adapted shell to new libslab API (Rodrigo Moya)
- Remove libgnome and libgnomeui dependencies (Rodrigo Moya)

Translations:
- ar (Khaled Hosny)
- br (Denis Arnaud)
- et (Ivar Smolin)
- fr (Claude Paroz)
- ga (Seán de Búrca)
- lt (Žygimantas Beručka)
- nb (Kjartan Maraas)
- pt_BR (Krix Apolinário)
-------------------------------------------------------------------------------
gnome-control-center 2.27.4.1 (2009-07-16)

About me:
- EXTRA_DIST fingerprint icons (Rodrigo Moya)

Common:
- Automatically generate .gitignore files with git.mk (Thomas Wood)

Network:
- Remove libglade dependency from gnome-network-properties (Felix Riemann)

Translations:
- gu (Sweta Kothari)
-------------------------------------------------------------------------------
gnome-control-center 2.27.4 (2009-07-15)

About me:
- New icons for fingerprint screen (Michael Langlie)

Appearance:
- Migrate to GtkBuilder (Thomas Wood)
- Remove custom cell renderers (Thomas Wood)

At-properties:
- Remove libglade depency from at-properties capplet (Felix Riemann)

Default applications:
- Remove libglade dep from default-applications capplet (Felix Riemann)

Display:
- Remove libglade dependency from display-properties capplet (Felix Riemann)

Keybindings:
- Remove libglade dependency from keybindings capplet (Felix Riemann)

Mouse:
- Support touchpad configuration through device properties (Peter Hutterer)

Shell:
- Fix libslab for single includes in GTK+ (Thomas Wood)

Typing break:
- Use GtkUIManager to replace GtkItemFactory (Thomas Hindoe Paaboel Andersen)

Windows:
- Strip libglade dependency from gnome-window-properties (Felix Riemann)

Translations:
- es (Jorge González)
- et (Ivar Smolin)
- gu (Sweta Kothari)
- uk (Maxim V. Dziumanenko)
-------------------------------------------------------------------------------
gnome-control-center 2.27.3 (2009-06-29)

About me:
- Initialize GThread subsystem (Vivian Zhang) (#583451)

Appearance:
- After removing an image set the cursor to the newly selected wallpaper so
  that keyboard navigation works as expected (Jens Granseuer) (#575075)
- Search GTK+ icon theme search path for icon themes (Jens Granseuer) (#575906)
- Only delete the theme if the user pressed OK (Benjamin Berg) (#578694)
- Close gtkrc files after use (Jens Granseuer) (#578835)
- Fix theme engine detection on non-UNIX platform (Jens Granseuer) (#581156)
- Don't unref NULL GConf entries (Jens Granseuer)
- After removing an image set the cursor to the newly selected wallpaper (Jens
  Granseuer) (#575075)

Default applications:
- Add Arora to list of browsers (Bastien Nocera)

Display:
- Pass a transient parent ID to the ApplyConfiguration callback so that it
  can make its confirmation dialog a child of the parent (Federico Mena Quintero)
  (#576006)
- Simplify calls to dbus-glib which cannot fail (Federico Mena Quintero)
- Ensure that there will be a backup file before committing (Federico Mena Quintero)
  (#486093)
- Make the monitor heading be explicitly black (Federico Mena Quintero) (#556050)
- Fix the layout-outputs-horizontally helper (Federico Mena Quintero)
- Use the timestamp of the Apply button to change the RANDR configuration (Federico
  Mena Quintero)
- Don't pop up a redundant error dialog (Federico Mena Quintero)

Font viewer:
- Safely printf strings (Christian Persch)
- Interrupt thumbnailing at 30 s instead of 30 msecs (Jens Granseuer) (#584107)

Keybindings:
- Make activating a section header row expand or collapse the section as expected
  instead of crashing (Jens Granseuer) (#577474)
- Make the custom keybinding UI smoother (Matthias Clasen)
- Don't needlessly write entries back to gconf on startup (Matthias Clasen) (#581986)

Keyboard:
- Dependency on libxklavier 4.0, optional load/display of extra layouts (Sergey V.
  Udaltsov)

Shell:
- Fix libslab svn:external problem (Rodrigo Moya)

Translations:
- ar (Djihed Afifi)
- ca (Gil Forcada)
- cs (Petr Kovar)
- crh (Reşat SABIQ)
- de (Jürg Billeter, Andre Klapper)
- es (Jorge Gonzalez Gonzalez)
- et (Ivar Smolin, Mattias Põldaru)
- fr (Bruno Brouard)
- gr (Marios Zindilis, Nikos Charonitakis)
- hi (Manoj Kumar Giri, Rajesh Ranjan)
- hu (Gabor Kelemen)
- it (miloc)
- ja (Takeshi AIHANA)
- kn (Shankar Prasad)
- lv (Raivis Dejus)
- nb (Kjartan Maraas)
- or (Manoj Kumar Giri)
- ru (Nickolay V. Shmyrev)
- sl (Matej Urbančič)
- sk (Marcel Telka)
- sr@Latin (Miloš Popović)
- vi (Nguyễn Thái Ngọc Duy)
- zh_CN (M Zhang, Deng Xiyue)

-------------------------------------------------------------------------------
gnome-control-center 2.26.0 (2009-03-16)

About me:
- Fix warning when selecting a finger to enroll in the combo box
  (Bastien Nocera) (#574974)

Default applications:
- Fix mnemonic conflicts (Jens Granseuer)

Display:
- Make the strings of the rotation dialog appear translated (Gabor Kelemen)
  (#574693)
- Fix crash when refreshing RANDR configuration (Federico Mena Quintero)
  (#574865)

Font viewer:
- Stop the font thumbnailer eating all the CPU (Bastien Nocera) (#573795)

Keybindings:
- Fix mnemonics conflict on the custom shortcut window (Jens Granseuer)

Typing break:
- Revert string freeze breaker (Thomas H.P. Andersen) (#572325)

Translations:
- af (Friedel Wolff)
- as (Amitakhya Phukan)
- bg (Alexander Shopov)
- bn_IN (Runa Bhattacharjee)
- cs (Petr Kovar, Lucas Lommer)
- de (Christian Kirbach, Hendrik Richter)
- el (Jennie Petoumenou)
- en_GB (Philip Withnall)
- es (Jorge Gonzalez)
- fi (Tommi Vainikainen)
- gl (Ignacio Casal Quinteiro)
- gu (Ankitkumar Patel)
- he (Mark Krapivner, Yaron Sharabani)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- ja (Takeshi AIHANA)
- lt (Gintautas Miliauskas)
- mai (Rajesh Ranjan)
- ml (Ani Peter)
- mr (Sandeep Shedmake)
- nl (Wouter Bolsterlee)
- or (Manoj Kumar Giri)
- pl (Tomasz Dominikowski)
- pt (Duarte Loreto)
- pt_BR (Andre Gondim)
- ru (Nickolay V. Shmyrev)
- sv (Daniel Nylander)
- ta (I. Felix)
- te (Krishnababu K)
- th (Theppitak Karoonboonyanan)
- tr (Baris Cicek)

-------------------------------------------------------------------------------
gnome-control-center 2.25.92 (2009-03-02)

General:
- remove lots of deprecated GDK/GTK+ calls (Thomas H.P. Andersen) (#572325)

Appearance:
- fix message markup appearing in post-install dialog (Jens Granseuer)
  (#572453)

Display:
- don't block the GUI while changing RANDR configuration
  (Federico Mena Quintero)
- realign outputs after a resolution change (Federico Mena Quintero)
- use black text for enabled monitors (Federico Mena Quintero)
- change window title and menu entry to "Display"/"Display Preferences"
  (Jens Granseuer) (#570907)

Keybindings:
- fix saving custom shortcut commands (Jens Granseuer) (#572501)
- always show "<Unknown Action>" for shortcuts without a description
  (Jens Granseuer) (#572808)

Keyboard:
- add visual bell settings (Matthias Clasen) (#564998)
- fix initial layout preview (Matthias Clasen) (#550721)
- restore help button in layout options (Sergey Udaltsov) (#556952)
- remove non-existing icon from sound notifications button (Jens Granseuer)
  (#570906)

Font Viewer:
- initialize type system to fix hang (Jonas Bonn) (#572189)

Translations:
- ast (Mikel González)
- be@latin (Ihar Hrachyshka)
- bg (Alexander Shopov)
- ca (Gil Forcada)
- da (Kenneth Nielsen)
- en_GB (Philip Withnall)
- es (Jorge Gonzalez)
- et (Priit Laes)
- eu (Inaki Larranaga Murgoitio)
- fi (Ilkka Tuohela)
- fr (Claude Paroz)
- gu (Sweta Kothari)
- he (Mark Krapivner)
- hu (Gabor Kelemen)
- it (Milo Casagrande)
- ja (Takeshi Aihana)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- pl (Tomasz Dominikowski)
- pt (Duarte Loreto)
- pt_BR (André Gondim, Jonh Wendell, Og Maciel)
- ro (Jani Monoses)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

-------------------------------------------------------------------------------
gnome-control-center 2.25.90 (2009-02-04)

General:
- Rename gnome-network-preferences to gnome-network-properties (Luca Ferretti)
  (#554342)
- Add optional libcanberra-gtk dependency

About me:
- Build fixes
- Fix email addresses being generated by g-a-m always being saved as type
  "OTHER" (Jens Granseuer) (#570113)

Appearance:
- Fix newly installed themes appearing twice in the GTK themes list if the
  package contains themes for both GTK and metacity (Jens Granseuer) (#568595)
- Use "Desktop Background" instead "Wallpaper" as per GDP glossary (Luca
  Ferretti) (#569382)

Common:
- Add GnomeThemeElement parameter to the ThemeChangedCallback so that the
  receiver can determine what part of the theme changed (Jens Granseuer)

Default application:
- Fix the https handler never being set (Bastien Nocera) (#568408)
- Update the web entry with the correct command for the selected option instead
  of always using the default (Jens Granseuer)

Display:
- Build fixes
- Add On/Off radio buttons to turn on/off a monitor (Federico Mena Quintero)
- Don't crash if we don't have an output (Jens Granseuer) (#569218)

Keybindings:
- Build fixes
- Print a warning when a key doesn't have a schema, so no description (Bastien
  Nocera)
- Make Enter work as expected in the custom key shortcut edit dialogue (Bastien
  Nocera)

Keyboard:
- Sort options by description (Sergey Udaltsov)
- Hide help button in Options (Sergey Udaltsov) (#556952)
- Allow setting a repeat delay of up to 2 seconds (Jens Granseuer) (#569612)

Shell:
- Use single GTK includes in slab (Magnus Boman) (#551850)
- Compile with G*_DISABLE_DEPRECATED in slab (Magnus Boman) (#551850)

Typing break:
- Play a sound when the display is locked or unlocked (Maxim Ermilov) (#169473)

Translations:
- ca (Joan Duran)
- el (nikosCharonitakis)
- es (Jorge González)
- fi (Timo Jyrinki)
- he (Mark Krapivner)
- it (Luca Ferretti)
- ko (Young-Ho Cha)
- lt (Vytautas Liuolia)
- lv (Raivis Dejus)
- mg (Thierry Randrianiriana)
- mn (Badral)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- or (Manoj Kumar Giri)
- pa (Amanpreet Singh Alam)
- pl (Tomasz Dominikowski)
- pt_BR (Henrique P Machado)
- ru (Nickolay V. Shmyrev)
- sr (Данило Шеган)
- sv (Daniel Nylander)
- uk (Maxim V. Dziumanenko)
- uz@cyrillic (Nurali Abdurahmonov)
- uz (Nurali Abdurahmonov)
- zh_CN (甘露(Gan Lu))
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

-------------------------------------------------------------------------------
gnome-control-center 2.25.3 (2008-12-18)

General:
- Remove sound capplet and documentation, it moved to gnome-media
  (Bastien Nocera)

About me:
- Add support for fingerprint readers with more than one enrollment stage
  (Bastien Nocera)

Display:
- Display errors when any happen (Federico Mena Quintero)
- Slight UI changes (Federico Mena Quintero)
- When a monitor is selected, update the monitor label to have the monitor's
  name and colour so they know which one is being edited (Federico Mena Quintero)
- Make the monitor on which the dialogue appears the default one on startup
  (Federico Mena Quintero)
- Fix monitors still overlapping when turning off "Mirror screens"
  (Federico Mena Quintero)
- Remove unneeded help button (Federico Mena Quintero)

-------------------------------------------------------------------------------
gnome-control-center 2.25.2 (2008-12-02)

General:
- Only include top-level headers for glib and GTK+ (Maxim Ermilov) (#561562)
- Optionally check for PolicyKit (Bastien Nocera)
- Don't try to delete directories twice (Jens Granseuer) (#562371)
- Don't recognize "" as a valid engine for certain GTK themes (Jens Granseuer)
  (#315286)

About me:
- Add support for enrolling fingerprints using the fprintd D-Bus service
  (Bastien Nocera) (#561881)

Appearance:
- Don't initialize gettext and GTK twice (Jens Granseuer)
- Add missing arg to capplet_init (Kjartan Maraas)
- Use g_ascii_strcasecmp instead of the deprecated g_strcasecmp (Maxim Ermilov)
  (#560424)
- Really remove the temp dir when the transfer is cancelled (Jens Granseuer)
- Fix leak (Jens Granseuer)

Font viewer:
- Remove gnome-vfs dependency (Saleem Abdulrasool) (#561319)

Keybindings:
- Respect the /desktop/gnome/keybindings/allowed_keys key (Matthias Clasen)

Network:
- Add support for network profiles (Maxim Ermilov) (#477040)

Typing break:
- Use g_object_unref instead of the deprecated gdk_window_unref (Maxim Ermilov)
  (#561679)

Shell:
- Add libgnomeui dependency back (Kjartan Maraas)
- Remove eel dependency (dmacks@netscape.org) (#561944)
- Fix leak (Federico Mena Quintero)
- Use the new GtkTooltip mechanism rather than the deprecated GtkTooltips
  (Federico Mena Quintero)

Translations:
- es (Jorge Gonzalez)
- it (Luca Ferretti)
-------------------------------------------------------------------------------
gnome-control-center 2.25.1 (2008-11-05)

General:
- resurrect gnome-font-viewer and gnome-thumbnail-font (Davyd Madeley)
- reduce libgnome* usage (Søren Sandmann)
- require GTK+ 2.13.1 (Jens Granseuer)
- require gnome-desktop 2.25.1 (Jens Granseuer)
- code cleanups (Jens Granseuer, Christian Persch, Kjartan Maraas, Bastien Nocera)

Common:
- use translated names for icon themes if available (Jens Granseuer) (#554272)
- fix error handling when launching help (Jens Granseuer)

Appearance:
- connect the help buttons to the most appropriate sections in the user guide
  (Matthias Clasen) (#554957)

Default application:
- add Listen to the list of media players (Julien Lavergne)

Display:
- show an error dialog instead of crashing when initialization fails due to
  XRandR not being available (Matt Keenan) (#553762)
- fix preview orientation when using left or right rotation (Jens Granseuer) (#555241)
- use new clone mode API in gnome-desktop (Søren Sandmann)
- XOR the old and the new regions instead of subtracting old from new (Søren
  Sandmann) (#551566)

Keybindings:
- fix editability of group headings (Matthias Clasen) (#556967)
- avoid duplicate custom keybindings (Matthias Clasen) (#556977)
- add UI for adding and removing named custom shortcuts (Matthias Clasen) (#114796)

Keyboard:
- fix group sorting (Sergey Udaltsov)
- update group expander highlighting dynamically (Sergey Udaltsov)
- connect the stickykeys_two_key_off button (Jens Granseuer) (#556818)
- remember sorted list of expanders in properties (Sergey Udaltsov)
- scroll the options window when the keyboard focus moves out of the visible
  part (Jens Granseuer) (#557944)
- hide/show the "Default" column depending on the "layout per window" checkbox
  (Sergey Udaltsov) (#555261)

Sound:
- make the filechooser default to a sensible directory (Bastien Nocera)

Windows:
- Use the right values for the h/v maximization titlebar doubleclick action
  (Matthias Clasen) (#554962)

Translations:
- ast (Esbardu)
- bg (Yavor Doganov)
- ca@valencia (Robert Millan)
- cs (Petr Kovar)
- da (Ask Hjorth Larsen)
- el (nikosCharonitakis)
- et (Priit Laes)
- fi (Timo Jyrinki)
- he (Mark Krapivner)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- nl (Wouter Bolsterlee)
- pt_BR (Leonardo Ferreira Fontenelle)
- sk (Pavol Šimo)
- sr (Данило Шеган)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- uk (Maxim V. Dziumanenko)
-------------------------------------------------------------------------------
gnome-control-center 2.24.0.1 (2008-09-24)

Appearance:
- fix newly-introduced crash in theme tab (Jens Granseuer) (#553541)
-------------------------------------------------------------------------------
gnome-control-center 2.24.0 (2008-09-22)

Accessibility:
- improve tooltip wording (Wang Xin)

Appearance:
- when a hidden theme is selected, and therefore becomes visible, 
  create a thumbnail for it (Jens Granseuer) (#547301)
- don't fail if the destination	files already exist and the user tries 
  to overwrite them (Jens Granseuer) (#552671)
- set GtkAdjustment page size to 0 to avoid roblems due to newly enforced 
  value boundaries in GTK+ 2.14. (Jens Granseuer ) (#551740)

Common:
- properly initialize the callback data (Jens Granseuer) (#550263)

Default application:
- don't advertise startup-notify. The script doesn't support it (Jens Granseuer)
  (#550694)
- use a11y icon instead of searchtool (Jens Granseuer) (#550742)

Display:
- Use "Mirror Screens" instead of "Cloned Output" in the display of monitors, 
  to be consistent with the corresponding checkbox from the Glade file.
  (Federico Mena Quintero)
- use theme colours for the background (Bruce Cowan) (#545117)

Keybindings:
- don't use the term "accelerator" in the UI (Jens Granseuer) (#547276)

Keyboard:
- chosing first variant by default (Sergey Udaltsov) (#550722)
- using the fact that latest libxklavier returns descriptions in UTF-8,
  no need to convert in 8-bit locales (Sergey Udaltsov)
- set GtkAdjustment page size to 0 to avoid problems due to newly enforced 
  value boundaries in GTK+ 2.14. (Jens Granseuer) (#551740)

Network:
- set GtkAdjustment page size to 0 to avoid roblems due to newly enforced 
  value boundaries in GTK+ 2.14. (Jens Granseuer ) (#551740)

Sound:
- trying to print NULL strings crashes on Solaris (Brian Cameron) (#548586)
- add context to event sound names (Claude Paroz ) (#549489)

Translations:
- ar (Djihed Afifi)
- bg (Yavor Doganov)
- bn_IN (Runa Bhattacharjee)
- ca (Joan Duran)
- cs (Petr Kovar)
- da (Ask Hjorth Larsen)
- de (Hendrik Richter)
- dz (Dawa pemo)
- el (Kostas Papadimas)
- en_GB (David Lodge)
- es (Jorge González)
- et (Ivar Smolin)
- eu (Iñaki Larrañaga Murgoitio)
- fi (Timo Jyrinki)
- fr (Claude Paroz)
- ga (Seán de Búrca)
- gl (Ignacio Casal Quinteiro)
- gu (Sweta Kothari)
- he (Mark Krapivner)
- hr (Miroslav Sabljić)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- ko (Young-Ho Cha)
- lt (Vytautas Liuolia)
- mk (Arangel Angov)
- ml (Ashik Salahudeen)
- mr (Sandeep Shedmake)
- nb (Kjartan Maraas)
- nl (Reinout van Schouwen)
- pl (Tomasz Dominikowski)
- pt_BR (Leonardo Ferreira Fontenelle)
- pt (Duarte Loreto)
- ro (Dan Damian)
- ru (Nickolay V. Shmyrev)
- sq (Laurent Dhima)
- sr (Данило Шеган)
- sv (Daniel Nylander)
- ta (Dr.T.Vasudevan)
- th (Theppitak Karoonboonyanan)
- tr (Baris Cicek)
- vi (Clytie Siddall)
- zh_CN (Yang Zhang)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.23.90 (2008-08-18)

Appearance:
- Use default icon for unknown themes (Jens Granseuer)
- Remove help button (Jens Granseuer)

Common:
- Make sure we have a notification theme before trying to save it
  (Jens Granseuer) (#547448)
- Keep track of hidden themes (Jens Granseuer) (#547301)
- Require gnome-desktop 2.23.90

Display:
- Draw rotated outputs rotated (Soren Sandmann)
- Don't leak the application or the GladeXML (Jens Granseuer)
- Replace all uses of g_print with g_debug (Jens Granseuer)
- Fail gracefully if we cannot get a screen (Jens Granseuer)
- Add sexy labels to identify monitors (Federico Mena Quintero)

Shell:
- Remove eel dependency from libslab (Federico Mena Quintero) (#524778)

Sound:
- Fix warning due to left-over developer code (Jens Granseuer) (#546583)
- HIG fixes and improved wording (Bastien Nocera) (#545219)
- Make the event sound preview button listen to "activate" signal so it
  becomes accessible via keyboard (Matthias Clasen) (#547808)

Translations:
- ar (Khaled Hosny)
- be@latin (Ihar Hrachyshka)
- es (Jorge Gonzalez)
- et (Ivar Smolin)
- fi (Ilkka Tuohela)
- ga (Sean de Burca)
- gl (Ignacio Casal Quinteiro)
- ja (Takeshi AIHANA)
- he (Yair Hershkovitz)
- nb (Kjartan Maraas)
- pt (Duarte Loreto)
- pt_BR (Djavan Fagundes)
- th (Theppitak Karoonboonyanan)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
-------------------------------------------------------------------------------
gnome-control-center 2.23.6 (2008-08-04)

Appearance:
- Make theme installation from GIO-supported sources work (including
  drag and drop) (Jens Granseuer) (#545335)

Default Applications:
- Fix custom commands for mail default application (James Westby)

Display:
- Add a check box to turn on and off display icon (Soren Sandmann)
- Draw rotated outputs rotated (Soren Sandmann)

General:
- Move directory deletion code from appearance capplet into common
  code (Bastien Nocera)
- Make the file transfer dialog work with GFiles instead of gchar
  paths internally (Jens Granseuer)
- Don't set notification theme to "standard" if the metatheme loaded
  doesn't define one (Jens Granseuer) (#546036)

Keybindings:
- When trying to assign a shortcut that is already in use, ask the user
  whether to reassign it instead of refusing to do anything (Denis
  Washington) (#133318)

Shell:
- Don't do thumbnailing, let Nautilus do it (Federico Mena Quintero)
- Fix a build warning (Cosimo Cecchi) (#544538)

Sound:
- Remove separate bell settings tab (Bastien Nocera)
- Remove libsounds dependency (Bastien Nocera)
- Add freedesktop sound theme support through libcanberra (Bastien Nocera)
- Fix property passing (Lennart Poettering)
- Plug some leaks (Jens Granseuer)
- Add some filtering for OSS devices and create more useful device
  descriptions (Alexander Schwenn) (#545275)
- Added missing file to pass distcheck (Rodrigo Moya)

Translations:
- ar (Djihed Afifi)
- es (Jorge Gonzalez)
- gl (Ignacio Casal Quinteiro)
- nb (Kjartan Maraas)
- pt_BR (Leonardo Ferreira Fontenelle)
- sv (Daniel Nylander)
-------------------------------------------------------------------------------
gnome-control-center 2.23.5 (2008-07-24)

General:
- Remove VFS methods code (Rodrigo Moya)
- Intltool churn (Jens Granseuer, Soren Sandmann)
- Use standard icon names from icon naming spec (Matthias Clasen,
  #539339)

Appearance Capplet:
- Don't delete ~/.icons when deleting the last icon theme
  (Jens Granseuer, #543763)
- Add notification themes to the metatheme format (Matthias
  Clasen, #533611)

Display Capplet:
- New RandR 1.2 based capplet with support for dual screens and stuff.
  (Soren Sandmann, Federico Mena Quintero)

Default Applications:
- Use -x instead of -e as exec_flag for Terminator. (Jens
  Granseuer, #544058).
- Install the default apps list in the default-apps subdirectory (Jens Granseuer)
- Make it possible for apps to install additional XML files to
  extend the list of available applications (Aprotim Sanyal,
  #527304).

Mouse Capplet:
- Decrease lower boundary of dwell delay to 0.2 (Gerd Kohlberger)

Translations:
- Remove pa.po from toplevel (Gerd Kohlberger)
- es (Jorge Gonzalez)
- gl (Ignacio Casal Quinteiro)
- fr (Bruno Brouard, Claude Paroz)
- he (Yair Hershkovitz)
- be@latin (Ihar Hrachyshka)
- th (Theppitak Karoonboonyanan)
- oc (Yannig Marchegay)
- nb (Kjartan Maraas)
- et (Priit Laes)

Typing Break:
- Use a modal window (Andrey Gusev, #441786)
- When postponing a break don't go right back to warn state,
  but award some bonus time according to the already elapsed break time
  (Andrey Gusev, #133295).
-------------------------------------------------------------------------------
gnome-control-center 2.23.4 (2008-06-16)

default applications:
- Convert to use GConfPropertyEditor and remove a lot of duplicated code in
  the process (Thomas Wood)
- Provide a Tango style application icon (Jakub Steiner, Thomas Wood) (#397312)

typing break:
- When postponing a voluntary break, go back to the state before taking the
  break instead of going to warn state (Andrey Gusev) (#134595)

general:
- Increased gnome-desktop requirement (Rodrigo Moya)

updated translations:
- ar (Djihed Afifi)
- es (Jorge Gonzalez)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.23.3 (2008-06-04)

appearance:
- Remove the last traces of gnome-vfs (Lincoln de Sousa) (#524401)
- Fix theme deletion (Jens Granseuer)
- Update to match API changes in gnome-desktop (Soeren Sandmann)
- Fix "zoom" mode (Soeren Sandmann)
- Use URIs instead of paths for drag and drop (Soeren Sandmann)
- Delay creation of the wallaper file chooser for increased startup
  performance (Thomas Wood)

default-applications:
- Major refactoring to use GConfPropertyEditor and reduce code duplication
  (Thomas Wood)

keybindings:
- Don't use deprecated GTK+ symbol (William Jon McCann)
- Add support for editing custom keybindings (create/delete not yet
  implemented) (Jens Granseuer)

general:
- Remove themus vfs-method (Thomas Wood)
- Minor cleanup in capplet-util and gconf-property-editor (Thomas Wood,
  Jens Granseuer)

updated translations:
- ar (Djihed Afifi)
- gl (Ignacio Casal Quinteiro)
- vi (Clytie Siddall)

------------------------------------------------------------------------------
gnome-control-center 2.23.2 (2008-05-17)

about-me:
- Fix image scaling on the photo button (Ben LeMasurier) (#309629)
- Fix build on Solaris (Laszlo Peter) (#532893)
- Properly handle errors when no icon is available (Jens Granseuer)
- Fix handling of Home and Work email addresses (Jens Granseuer) (#317835)
- Close a memory leak (Jens Granseuer)

appearance:
- Convert some more parts to gio (Lincoln de Sousa, Jens Granseuer)
- Show errors for incomplete control themes (Jens Granseuer)
- Add support for installing missing GTK+ theme engines via PackageKit
  (Jens Granseuer) (#511065)

keyboard:
- Don't close the Keyboard Layout Options window when the Help button is
  clicked (Thomas Wood) (#529772)
- Access keyboard layouts by country or language (Sergey Udaltsov)

network;
- Drop gnome-vfs dependency (Jens Granseuer)

sound:
- Add support for OSS4 mixers (Tim-Phillip Mueller) (#529720)

general:
- libbackground is no longer needed (Soeren Sandmann)
- Remove iso-codes dependency again (Sergey Udaltsov)
- Require libxklavier 3.6 (Sergey Udaltsov)
- Port theme handling code from gnome-vfs to gio (Jens Granseuer)

updated translations:
- es (Jorge Gonzalez)
- fr (Stephane Raimbault)
- gl (Ignacio Casal Quinteiro)
- he (Yair Hershkovitz)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- pt_BR (Leonardo Ferreira Fontenelle)

------------------------------------------------------------------------------
gnome-control-center 2.23.1

about-me:
- Launch the error dialog with the proper parent (Jens Granseuer)

accessibility:
- Add button to launch mouse accessibility properties (Patrick Wade) (#515078)
- Don't show the "accessible login" button if gdmsetup is not available
  (Matthias Clasen) (#526944)
- Open the preferred applications dialog on the a11y page (Jens Granseuer)
  (#528196)

appearance:
- Allow the user to revert a font change proposed by a metatheme (Patrick
  Wade) (#519065)
- Add a custom cell renderer for metatheme names to allow rounded corners
  on the selection indicator (Thomas Wood) (#500276)
- Replace gnome-vfs with gio (Lincoln de Souza) (#524401)
- Show a warning message when the selected theme is incomplete (Jens Granseuer)

default applications:
- Add -p/--show-page to open the dialog on a specific page (Jens Granseuer)
  (#528196)

keybindings:
- Fix mismatched modifier mapping between egg and GTK (Jens Granseuer)
- Fix Esc and Backspace being bindable when Caps Lock is on (Bastien Nocera)
  (#524813)
- Get rid of unneeded sort model indirection (Jens Granseuer)

keyboard:
- Fix various string and layout issues (Jens Granseuer) (#521826)

mouse:
- Add support for starting the capplet on the appearance tab (Patrick Wade)
  (#515078)
- Remove unused custom widget (Gerd Kohlberger) (#527418)

network:
- Renamce "Advanced configuration" tab to "Ignored hosts" (Denis Washington)
  (#314883)

sound:
- Don't mention esd (Jens Granseuer) (#523888)
- Sort mixer devices alphabitically (Jens Granseuer) (#525530)

themus:
- Handle failed thumbnailing attempts properly (Jens Granseuer)

windows:
- Add "Maximize Vertically" and "Maximize Horizontally" to possible double-click
  actions (Cosimo Cecchi) (#329503)
- Require metacity <= 2.23.1 (Cosimo Cecchi)

general:
- Figure out where GTK+ expects its theme engines and make that info available
  to interested capplets (Jens Granseuer)
- Introduce dependency on iso-codes (Sergey Udaltsov)

updated translations:
- bg (Alexander Shopov)
- en_GB (Philip Withnall)
- es (Jorge Gonzalez)
- et (Priit Laes)
- he (Yair Hershkovitz)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ka (Vladimer Sichinava)
- nb (Kjartan Maraas)
- nn (Eskild Hustvedt)
- ru (Yuri Kozlov)
- te (Sunil Mohan Adapa)
------------------------------------------------------------------------------
gnome-control-center 2.22.1

appearance:
- Don't resize the font samples vertically when the window is resized
  (Jens Granseuer) (#521823)
- Fix warning when trying to drag an unselected item (Jens Granseuer)
  (#523347)
- Don't try to unref URIs if the theme package is invalid (Jens Granseuer)
  (#524567)

common:
- Fix a crash when schemas are not properly installed (Jens Granseuer)
  (#520744)
- Fix error handling in the thumbnailer (Jens Granseuer) (#521009)
- Actually check the cursor size before changing it in GConf (Jens Granseuer)

keybindings:
- Remove debugging output (Jens Granseuer)
- Stop widget accelerators from activating while the user is entering
  a new shortcut (Jens Granseuer) (#313228)
- Fix category headers not appearing properly in the treeview when using
  a non-UTF-8 locale (Bastien Nocera) (#513988)

keyboard:
- Don't crash when called for a drag with no selected items (Jens Granseuer)
  (#523379)
- Don't show the typing break tab if the typing monitor is not available
  (Jens Granseuer) (#524034)

sound:
- Use new tango icon (Jaap A. Haitsma) (#523916)
- Don't show modems in the device chooser (Jens Granseuer) (#523888)

themus:
- Handle failed thumbnailing attempts properly (Jens Granseuer)

typing-break:
- New Tango-style icons (David Prieto) (#523965)
- Replace custom stop icon with gtk-stop stock icon (Jens Granseuer)

updated translations:
- en_GB (Philip Withnall)
- et (Priit Laes)
- he (Yair  Hershkovitz)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- ru (Yuri Kozlov)
- te (Sunil Mohan Adapa)
- tr (Baris Cicek)
- vi (Nguyen Thaii Ngoc Duy)
------------------------------------------------------------------------------
gnome-control-center 2.22.0

about-me:
- Fix misspelling of "palindrome" (Jens Granseuer) (#519398)

common:
- Port to GIO (Jens Granseuer)

keyboard:
- Fix leaks and remove unnecessary casts (Jens Granseuer)

mouse:
- Make the mouse orientation radio button usable with both mouse buttons
  (Denis Washington)

updated translations:
- ar (Djihed Afifi)
- as (Amitakhya Phukan)
- bn_IN (Runa Bhattacharjee)
- da (Kenneth Nielsen)
- de (Hendrik Richter)
- el (Kostas Papadimas)
- en_GB (Philip Withnall)
- es (Jorge Gonzalez)
- et (Priit Laes)
- fi (Matthias Clasen)
- fr (Stephane Raimbault)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- lt (Gintautas Miliauskas)
- mr (Rahul Bhalerao)
- pt_BR (Leonardo Ferreira Fontenelle)
- uk (Maxim Dziumanenko)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
------------------------------------------------------------------------------
gnome-control-center 2.21.92

about-me:

- Fix widget tab order (Jens Granseuer) (bug #339936)
- Don't distribute the .desktop.in file (Jens Granseuer)
- Port to gio (Jens Granseuer)

appearance:
- always apply the current GConf settings to the initially selected wallpaper so
  that we don't modify the settings if GConf state and the definition in
  backgrounds.xml are not identical (Jens Granseuer) (#516746)
- don't try to set shading and options in GConf when we're dealing with a
  read-only source (Jens Granseuer) (#516328)

common:
- Handle broken pipe if thumbnailer crashes (Thomas Wood) (#516413)
- Fix a small leak in the file transfer dialog (Jens Granseuer)
- Use new Metacity function to render rounded metacity borders correctly
  (Thomas Wood) (#460018)

default-applications:
- use '...' syntax instead of $(...) for better portability (Willie Walker)
  (#517938)

display:
- Escape strange hostnames that we want to use as GConf keys (see bug #517259
  for a similar issue in gnome-settings-daemon) (Jens Granseuer)

general:
- Increase required metacity version to 2.21.21 (Thomas Wood)
- Revert removal of FONTILUS and THEMUS substitution that occurred in r8452.
  Fixes distcheck. (Thomas Wood)
- remove obsolete checks (Jens Granseuer)
- add gio-2.0 to general capplet flags for now; this part needs cleaning up in
  the next cycle (Jens Granseuer)
- Add check for LIBSOUNDS. (Kjartan Maraas) (#515956)

updated translations:
- be@latin (Alaksandar Navicki)
- ca (Joan Duran)
- el (NikosCharonitakis)
- eu (Iñaki Larrañaga Murgoitio)
- fi (Ilkka Tuohela)
- fr (Claude Paroz)
- gl (Ignacio Casal Quinteiro)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- kn (Shankar Prasad)
- ko (Young-Ho Cha)
- mk (Arangel Angov)
- nb (Kjartan Maraas)
- ne (Narayan Kumar Magar)
- nl (Reinout van Schouwen)
- nn (Åsmund Skjæveland)
- oc (Yannig Marchegay (Kokoyaya))
- pl (Tomasz Dominikowski)
- pt_BR (Jonh Wendell)
- pt (Duarte Loreto)
- sk (Pavol ¿imo)
- sv (Daniel Nylander)

------------------------------------------------------------------------------
gnome-control-center 2.21.91

appearance:
- Add a comment for translators (Jens Granseuer) (#514598)
- Make sure we're done with the dialog before we destroy it (Jens Granseuer)
  (#515414)
- Remove useless (with GIO-based Nautilus) 'Go to fonts folder' button
  (Matthias Clasen) (#511306)

at-properties:
- Move capplet to main menu (Luca Ferretti) (#515075)

default applications:
- Support --new-tab/--new-window for Iceweasel (Sven Arvidsson) (#322795)
- Improve name and description for the visual AT autostarter (Jens Granseuer)
  (#515197)
- Add support for Terminator console (Nicolas Valcarcel) (#515366)
- Add support for Konsole (Jens Granseuer) (#515386)

keybindings:
- Move Launch Calculator to Desktop group and sort all launch_app keybing
  together (Luca Ferretti) (#513867)

keyboard:
- Don't mark padding strings as translatable (Jens Granseuer) (#514598)

libbackground:
- Use LIBBACKGROUND_{CFLAGS,...} instead of CAPPLET_... so we can use libbackground
  in gnome-settings-daemon too (Jens Granseuer)
- Don't pass a GError to the gconf_client*() calls since we don't use it anyway
  (Jens Granseuer) (#510421)

libwindow-settings:
- Expose missing metacity double-click actions (Jens Granseuer) (#416541)

mouse:
- Set up the proper scale widgets to GtkSizeGroup in both tabs (Luca Ferretti)
- Fix HIG compliance for spacing, borders, padding, alignment and sentence label
  (Luca Ferretti) (#510147)

sound:
- Use the libsounds.la now that libsounds uses libtool (Jens Granseuer)
  (#515252)

shell:
- Add missing full stops in the long description (Kjartan Maraas)
- Specify libtool versioning info (Federico Mena Quintero)

network:
- Don't mark padding strings as translatable (Jens Granseuer) (#514598)

themus:
- Don't leak the ATK relation set (Jens Granseuer) (#509240)

typing break:
- Add a comment for translators (Jens Granseuer) (#514598)

general:
- Remove some cruft from the configure script and give libbackground its own
  settings (Jens Granseuer)

updated translations:
- ar (Djihed Afifi)
- as (Amitakhya Phukan)
- be@latin (Ihar Hrachyshka)
- es (Jorge Gonzalez)
- et (Priit Laes)
- eu (Inaki Larranaga Murgoitio)
- gl (Ignacio Casal Quinteiro)
- he (Yair Hershkovitz)
- it (Luca Ferretti)
- mk (Arangel Angov)
- nb (Kjartan Maraas)
- oc (Yannig Marchegay)
- pt (Duarte Loreto)
- pt_BR (Leonardo Ferreira Fontenelle)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- tr (Baris Cicek)
- zh_CN (Funda Wang)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)
------------------------------------------------------------------------------
gnome-control-center 2.21.90

appearance:
- Update list model when the background changes (Soren Sandmann)
- Deal correctly with GnomeBG structs (Soren Sandmann)

help:
- Updated to reflect the changes to the mouse capplet (Denis Washington)
- Fixed XML header (Denis Washington)

keyboard:
- Don't mark stock labels as translatable (Denis Washington)
- Remove obsolete icons (Jens Granseuer)

mouse:
- Add translation context to some labels (Denis Washington) (#509417)
- Remove left-over callback that was causing the capplet to set a label
  on a NULL widget (Jens Granseuer) (#510425)
- Fix HIG compliance (Luca Ferretti) (#510136)
- Add some comments for translators (Luca Ferretti)

sound:
- Set the play button to insensitive if "No Sound" is selected (THomas
  Wood) (#353828)

common:
- Disabled schemas directory from the build (Rodrigo Moya)
- Determine correct Nautilus extension dir via pkg-config (Damien Carberry)

updated translations:
- cs (Petr Kovar)
- de (Andre Klapper)
- el (Kostas Papadimas)
- es (Jorge Gonzalez)
- et (Priit Laes)
- eu (Inaki Larranaga Murgoitio)
- fr (Stephane Raimbault)
- he (Yair Hershkovitz)
- it (Luca Ferretti)
- nb (Kjartan Maraas)
- oc (Yannig Marchegay)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- tr (Gil Forcada)
------------------------------------------------------------------------------
gnome-control-center 2.21.5

appearance:
- Read WindowTitleFont and DocumentsFont from meta-theme and use to set
  the value for /apps/metacity/general/titlebar_font and
  /desktop/gnome/interface/document_font_name GConf keys (Luca Ferretti)
  (#504250)
- Make error dialogs more compliant with the HIG (Thomas Wood) (#400968)
- Update list model when the background changes (Soren Sandmann)

at-properties:
- Spawn the a11y tab of the keyboard capplet instead of at-properties.

keyboard:
- Merge all a11y options into the keyboard capplet (Denis Washington)
- Move 'type to test settings' entry beneath to make it easily accessible
  from all tabs (Denis Washington)

mouse:
- Integrate with mousetweaks (Gerd Kohlberger, Denis Washington) (#503547)

settings daemon:
- Moved to a separate SVN module (William Jon McCann)

themus/fontilus:
- Install nautilus extensions in the right spot (Matthias Clasen) (#505364)

updated translations:
- be@latin (Ihar Hrachyshka)
- es (Jorge Gonzalez)
- et (Priit Laes)
- eu (Inaki Larranaga Murgoitio)
- ga (Sean de Burca)
- it (Luca Ferretti)
- nb (Kjartan Maraas)
- nn (Eskild Hustvedt)
- oc (Yannig Marchegay)
- pt (Duarte Loreto)
- pt_BR (Leonardo Ferreira Fontenelle)
- sk (Claude Paroz)
- sv (Daniel Nylander)
- vi (Clytie Siddall)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.21.4

about-me:
- Add a translation hint (Jens Granseuer)
- Don't mark empty and padding strings for translation (Jens Granseuer) 
  (bug #502087)
- Remove non-functional Help button (Matthias Clasen) (bug #497803)

accessibility:
- Don't mark padding strings for translation and add translation comments for
  the pixel order strings (Jens Granseuer) (bug #502087)
- Enable the preferred applications button (Chris Jones) (bug #499332)

appearance:
- Free metacity theme after use (Jens Granseuer)
- Don't mark padding string as translatable (Jens Granseuer) (bug #502087)
- Make "Open" the default action for the file choosers (Jens Granseuer) 
  (bug #500091)
- Fix .desktop to be valid (Frederic Crozat) (bug #434956)
- Fix detection of image mimetype (Frederic Crozat) (bug #498980)
- Add shortcut for /usr/share/backgrounds to background file chooser and also
  consider it when setting the initial directory (Jens Granseuer) (bug #497807)

default applications:
- Add support for Midori web browser (Jakub Rusinek) (bug #500274)
- Don't list the oudated evolution versions nor the text web browsers 
  (Sebastien Bacher) (bug #499327)

keyboard:
- Implement layout printing (Sergey Udaltsov) (bug #502961)
- Don't mark padding strings and stock items for translation (Jens Granseuer) 
  (bug #502087)

mouse:
- Don't mark padding string as translatable (Jens Granseuer) (bug #502087)

network:
- Add 48x48 PNG icon version (Andreas Nilsson) (bug #503035)

settings daemon:
- Prefer beagle and tracker to gnome-search-tool (Jens Granseuer)
- Use new setting from libgnome to make toolbar icon size setting work 
  (Jens Granseuer) (bug #401030)
- Launch Nautilus with --no-desktop for the home key so we don't mess up the 
  desktop for people using something else to manage the background (Jens 
  Granseuer) (bug #500085)
- Move display settings here from gnome-session (Dan Winship, Lucas Rocha) 
  (bug #434982)
- Allow key bindings using Super and Meta combinations (Bastien Nocera) (bug #165343)

window:
- Add a comment for translators (Jens Granseuer) (bug #502087)

common:
- Don't even try to open NULL filenames, and don't leak filenames when 
  detecting recursions (Jens Granseuer)
- Printing NULL strings crashes on Solaris so don't do that (Brian Cameron) (bug #501391)

updated translations:
- be@latin (Ihar Hrachyshka)
- el (Kostas Papadimas)
- es (Jorge Gonzalez)
- gl (Ignacio Casal Quinteiro)
- ml (Ani Peter)
- nb (Kjartan Maraas)
- oc (Yannig Marchegay)
- ru (Nickolay V. Shmyrev)
- sl (Matej Urbancic)
- sv (Daniel Nylander)

------------------------------------------------------------------------------
gnome-control-center 2.21.2

about-me:
- Add another string to the list of recognized error returns from passwd
  (Jens Granseuer)
- Don't get confused when the user does not have a password set and passwd
  immediately asks for the new one (Jens Granseuer) (#336872)

appearance:
- Fix build without libXcursor (Joel Pfaff)
- Be more careful when reading background information from GConf and
  make sure we don't choke on NULL values later on (Jens Granseuer)
  (#492903)

keyboard:
- Fix warnings and don't use deprecated signal API from GTK (Kjartan
  Maraas)
- Move layout options to separate popup (Sergey Udaltsov)
- Rename first tab to "General" (Jens Granseuer)
- Replace text entry and "Choose.." button for keyboard model with a
  single chooser button (Denis Washington)
- Don't include keyboard model description in Glade file (Jens Granseuer)

localization:
- Added (very basic skeleton of) localization capplet (Rodrigo Moya,
  Denis Washington)

shell:
- Remove reference to non-existing background.desktop (Scott Reeves)

settings daemon:
- Make composited media popup window sizes scale with the screen size (Jens
  Granseuer)

common:
- Remove more redundant info from the theme changed callback (Jens Granseuer)

updated translations:
- be@latin (Ihar Hrachyshka)
- es (Jorge Gonzalez)
- fi (Ilkka Tuohela)
- nb (Kjartan Maraas)
- sl (Matej Urbancic)
- sv (Daniel Nylander)
------------------------------------------------------------------------------
gnome-control-center 2.21.1

appearance:
- Unify "invalid theme" error messages and be a bit more verbose
  (Jens Granseuer)
- Reword the "theme engine" error message (Jens Granseuer) (#435680)
- Add support for dragging images from the background list (Jens Granseuer)
  (#150544)
- Make theme sorting case insensitive (Jens Granseuer) (#481224)
- Fix crash if we fail to convert a filename to UTF-8 (Jens Granseuer)
- Use NoDisplay=true instead of OnlyShowIn=; (Jens Granseuer) (#420154)
- Return a new theme instead of munging whatever got passed in (Jens Granseuer)
- Take cursor size into account when comparing themes (Denis Washington)
- Watch cursor theme/size GConf keys for changes (Denis Washington)
- Move cursor size widget initialization to Glade, to allow the slider to
  be updated properly on startup (Jens Granseuer) (#490103)
- Make the cursor themes delete button works (Jens Granseuer)
- If the parent directory is empty after deleting a theme, delete the
  parent directory too (Jens Granseuer)
- Update cursor size GConf value when the theme changes (Jens Granseuer)
- Reduce number of XCURSOR ifdefs and get rid of the special treatment for
  the default cursor theme (Jens Granseuer)
- Add support for live cursor theme updates (Jens Granseuer)
- Read gettext macro that accidentally got stripped (Jens Granseuer)
- Prevent lots of thumbs from being created with the color scheme of the
  currently active theme (Jens Granseuer) (#460023)
- Actually remove theme data from the hash when the theme gets deleted
  (Jens Granseuer)
- Fix the cursor size only being updated if the cursor theme changed too
  (Denis Washington)
- Watch /usr/share/cursors/xorg-x11 for cursor themes (Denis Washington)
- Teach the installer to recognize cursor themes and icon themes with
  cursors (Jens Granseuer)
- Check whether there are multiple themes to install up front (Jens Granseuer)

at-properties:
- Don't use 'Preferences' word for application name (Luca Ferretti) (#484351)

default applications:
- Make the accelerators for the A11Y tools page unique (Patrick Wade)
  (#474308)
- Replace mail and multimedia icon names with Tangoified versions (Michael
  Monreal) (#470386)
- Use standard xdg autostart directory instead of GNOME one (Stephane
  Loeuillet) (#481740)
- Replace obsolete 'orca -m' command with new 'orca -e magnifier' (Jens
  Granseuer) (#489973)

display:
- Code cleanup and fix a few leaks (Jens Granseuer)
- fix string capitalization (Jens Granseuer)

fontilus:
- Drop "GNOME" from the menu item name as recommended by the HIG (Jens
  Granseuer) (#474742)

settings daemon:
- Dropped unneeded DBus server (Sergey Udaltsov)
- No more "configuration changed" warning (Sergey Udaltsov) (#358048)
- Gradually fade out the OSD when composited (Iain Holmes) (#490593)

shell:
- Remove part of the long description for cc_actions_list (Jens Granseuer)
  (#426229)

general:
- Desktop file fixes (Stephane Loeuillet) (#481740)
- Add more default keybindings for otherwise unbound keys (Bastien Nocera)
  (#487935)
- Remove compatibility hack for libxklavier <= 3.2 (Jens Granseuer)
- Fix Bugzilla component (Jens Granseuer)
- Add support for calculator key (Sebastien Bacher)

updated translations:
- ar (Djihed Afifi)
- be@latin (Ihar Hrachyshka)
- bg (Alexander Shopov)
- es (Jorge Gonzalez)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- nb (Kjartan Maraas)
- sl (Matej Urbancic)
------------------------------------------------------------------------------
gnome-control-center 2.20.3

about-me:
- Don't get confused when the user does not have a password set and passwd
  immediately asks for the new one (Jens Granseuer) (#336872)

appearance:
- Revert fix for #420154 (Jens Granseuer) (#486811)
- Use NoDisplay=true instead of OnlyShowIn=; for the theme installer desktop
  file (Jens Granseuer)
- Move some more of the cursor widget initialization to Glade, to allow the
  slider to be updated properly on startup (Jens Granseuer) (#490103)
- Try even harder to not let essential keys become NULL (Jens Granseuer)
  (#487257)
- Make the cursor themes delete button work (Jens Granseuer)
- Fix setting cursor size when doing fuzzy matches (Jens Granseuer)

default applications:
- Replace obsolete "orca -m" command by new "orca -e magnifier" (Jens Granseuer)
  (#489973)

general:
- Add more default keybindings for otherwise unbound keys (Bastien Nocera)
  (#487935)
- Actually remove theme data from the hash when the theme gets deleted (Jens
  Granseuer) (#484797)

updated translations:
- ar (Djihed Afifi)
- be@latin (Ihar Hrachyshka)
- et (Priit Laes)
- ga (Sean de Burca)
- gl (Ignacio Casal Quinteiro)
- pt (Duarte Loreto)
- pt_BR (Leonardo Ferreira Fontenelle)
- uz@cyrillic (Nurali Abdurahmonov)
------------------------------------------------------------------------------
gnome-control-center 2.20.1

appearance:
- Made theme sorting case-insensitive (Jens Granseuer) (#481224)
- Fixed crash when failing filename conversion to UTF-8 (Jens Granseuer)
- Don't ignore xcursor settings when updating or copying theme info 
  to/from GConf (Jens Granseuer) (#485709)

common:
- Fixed invalid use after free (Jens Granseuer)
- Fix typo to correctly substitute XCursor CFLAGS (Jens Granseuer)
- Default to using XF86* keysyms for the audio related keybindings
  (Bastien Nocera) (#485076)
- Query and monitor the xcursor icon dir for cursor themes too (Jens
  Granseuer) (#469882)

updated translations:
- bg (Alexander Shopov)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- it (Luca Ferretti)
------------------------------------------------------------------------------
gnome-control-center 2.20.0.1

at-properties:
- Make logout button sensitive whenever a11y settings have been enable or
  disabled (Patrick Wade) (#476921)

common:
- Prevent lots of thumbs to be created with the color scheme of the currently
  active theme (Jens Granseuer) (#460023)

sound:
- Removed mistaken patch for libsounds (Rodrigo Moya)

updated translations:
- it (Luca Ferretti)
- ko (Changwoo Ryu)
- ta (I. Felix)
------------------------------------------------------------------------------
gnome-control-center 2.20.0

appearance:
- Correct translatable property value of "Save As" (Claude Paroz) (#473810)
- Don't set a fixed width for the toolbar button color label (Jens Granseuer)
  (#474317)
- Add comment for translators (Jens Granseuer) (#473379)

general:
- Fix building with Sun's Forte compiler (Darren Kenny) (#473967)

updated translations:
- ar (Djihed Afifi)
- be@latin (Ihar Hrachyshka)
- bn (Jamil Ahmed)
- ca (Gil Forcada)
- da (Kenneth Nielsen)
- de (Hendrik Richter)
- el (Kostas Papadimas)
- en_GB (David Lodge)
- es (Jorge Gonzalez)
- et (Priit Laes)
- eu (Inaki Larranaga Murgoitio)
- fi (Ilkka Tuohela)
- fr (Stephane Raimbault)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- ka (Vladimer Sichinava)
- mk (Jovan Naumovski)
- nb (Espen Stefansen)
- nl (Vincent van Adrighem)
- pl (Artur Flinta)
- pt (Duarte Loreto)
- pt_BR (Raphael Higino)
- ru (Nickolay V. Shmyrev)
- sr (Danilo Segan)
- sr@Latn (Danilo Segan)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- uk (Maxim Dziumanenko)
- vi (Clytie Siddall)
------------------------------------------------------------------------------
gnome-control-center 2.19.92

appearance:
- Fixed leaks (Jens Granseuer)
- Use _prepend for lists instead of _append (Jens Granseuer)

updated translations:
- bn_IN (Runa Bhattacharjee)
- de (Hendrik Richter)
- eu (Inaki Larranaga Murgoitio)
- ja (Takeshi AIHANA)
- ko (Changwoo Ryu)
- pt (Duarte Loreto)
- ta (I. Felix)
- vi (Clytie Siddall)
------------------------------------------------------------------------------
gnome-control-center 2.19.91

about-me:
- Honor mail address attributes when setting up Home and Work addresses
  (Jens Granseuer)

appearance:
- Don't leak the cursor font (Jens Granseuer)
- Fix double-free and make the builtins non-static to save relocations
  (Jens Granseuer) (#467522)
- Properly check all installed themes if necessary (Jens Granseuer)
- Free the metacity theme after use (Jens Granseuer) (#469531)
- Correct the item width and enable line wrapping for long theme names
  (Jens Granseuer) (#466405)
- If no background image set, select "no wallpaper" (Jens Granseuer)
- Simply set the upper bound of the DPI spin button to the maximum we
  consider acceptable (Jens Granseuer) (#469580)
- Don't mark gtk-delete stock id for translation (Gabor Kelemen) (#470532)
- Always generate thumbnails asynchronously (Jens Granseuer) (#469849)

default applications:
- Add browser and mail entries Iceape (Sven Arvidsson) (#467472)
- Use the new -new-tab and -new-window arguments instead of -remote for
  Firefox tab and window commands (Philip Withnall) (#393204)

keyboard:
- Disable "delete" button when no layout is selected (Sergey Udaltsov)
  (#466749)
- Make "Add label" string translatable (Sergey Udaltsov) (#470516)

settings daemon:
- Use a list instead of a hash table to store the settings modules (Jens
  Granseuer) (#449118)
- Raise the volume when unmuting (Jens Granseuer)
- Show X keyboard settings warning dialog delayed, so that it runs properly
  centered and with decorations (Rodrigo Moya)
- Initialize XKB config early so that callback would not crash (Sergey
  Udaltsov) (#469192)

general:
- Hide the password in displayed URIs when transfering files (Luca Cavalli)
  (#339551)

updated translations:
- ca (Josep Puigdemont i Casamajo)
- de (Hendrik Richter)
- es (Jorge Gonzalez)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- ja (Satoru SATOH, Takeshi AIHANA)
- mk (Jovan Naumovski)
- ml (Ani Peter)
- nb (Kjartan Maraas)
- pl (Artur Flinta)
- pt_BR (Raphael Higino)
- sv (Daniel Nylander)
- ta (I. Felix)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.19.90

about-me:
- Use g_get_user_special_dir() instead of hard-coding ~/Pictures (Jens
  Granseuer)

appearance:
- Don't generate GTK thumbnails when we want metacity or icon (Jens Granseuer)
  (#462724)
- No need for an expensive parse to initialize the colors (Jens Granseuer)
- Reduce metacity thumbnail size to 128x128 (Jens Granseuer)
- Also load the "default" cursor theme so we know the available sizes (Denis
  Washington) (#462409)
- Create the icon theme representative before the GTK stock button (Jens
  Granseuer)
- Various small tweaks and optimizations (Jens Granseuer)
- Add a shortcut to the user's special Pictures folder to the file chooser
  and default to it (Jens Granseuer) (#461093)
- HIG capitalization fix for a checkbutton label (Dennis Cranston)
- Use thumbnail factory to store and retrieve metatheme thumbs (Jens Granseuer)
  (#448968)
- Remove check for old glib version that would result in bogus code (Jens
  Granseuer)
- Only add a "Default Pointer" list item if there is no such GnomeThemeCursorInfo
  (Denis Washington)
- Toggle sensitivity of the cursor scale labels (Dennis Cranston) (#463442)
- Indent category contents, and other HIG spacing fixes (Dennis Cranston)
- Fix check for available symbolic colors and make buttons for unsupported
  colors insensitive (Jens Granseuer) (#464081)
- Make sure the color scheme has changed before writing to GConf and
  enabling the reset button (Jens Granseuer)
- Reenable theme lockdown (Jens Granseuer)
- Restrict drag'n'drop installation to the theme tab (Jens Granseuer)
- Fix double-free and use-after-free (Jens Granseuer)
- Make sure we have a selection before trying to get the data (Jens Granseuer)
  (#465431)

default applications:
- Don't use '==' and improve portability with empty strings (Jens Granseuer)

keybindings:
- Make the arrows and tabs unbindable without a modifier (Bastien Nocera)
  (#463433)

settings daemon:
- Use CTRL-ALT-DEL as default keybinding for 'Log out' (Rodrigo Moya)

window:
- Expose missing metacity double-click actions (Jens Granseuer) (#416541)

updated translations:
- ca (Joan Duran)
- el (Kostas Papadimas)
- es (Jorge Gonzalez)
- eu (Inaki Larranaga Murgoitio)
- fi (Ilkka Tuohela)
- gu (Ankit Patel)
- ja (Satoru SATOH, Takeshi AIHANA)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- pl (Artur Flinta)
- si (Danishka Navin)
- sv (Daniel Nylander)
- ta (I. Felix)
- th (Theppitak Karoonboonyanan)
------------------------------------------------------------------------------
gnome-control-center 2.19.6

about-me:
- Add a tooltip to the image button to make it accessible (Jens Granseuer)

appearance:
- Add option to add wallpapers via the command line (Jens Granseuer) (#456337)
- Use new GTK+ convenience API for icon view tooltips (Matthias Clasen)
  (#455985)
- Bump all tooltips code to GTK 2.11.6 (Jens Granseuer)
- Improve color scheme matching (Jens Granseuer)
- When reading current settings from gconf, get the color scheme from the
  GTK theme if necessary to allow matching against themes retrieved via
  gnome-theme-info (Jens Granseuer)
- Implement saving of the cursor theme name in metathemes and add a
  'Default pointer' option to the cursor theme list (Denis Washington)
- Simplify tooltip descriptions (Dennis Cranston) (#460111)
- Really unset the gconf key when reverting colors (Jens Granseuer)
- Implement drag-and-drop theme installation (Denis Washington)
- Remove workarounds for initialization problems in early versions of the
  capplet (Jens Granseuer)
- Fix cell renderer state logic to not always be on (Jens Granseuer)
- Use cairo to draw the cell renderer selection (Thomas Wood)
- Show readable_name in cursor theme list instead of name (Denis Washington)
- Fix mnemonics and customize theme window title (Thomas Wood) (#461255)
- Fix theme installation (Thomas Wood)
- Update icon cache when installing icon themes (Thomas Wood) (#355486)
- Prevent some memory leaks (Thomas Wood)
- Add controls for applying suggested backgrounds and/or fonts from
  metathemes (Denis Washington)
- Only show background/font suggestions if they haven't already been
  applied (Denis Washington)
- Cope with unset gconf keys and group gconf notifications (Jens Granseuer)
- Only create the custom theme entry when changes are made, and delete it
  when the theme is saved (Jens Granseuer)
- Add %F to the exec line so external programs like epiphany can set the
  background (Jens Granseuer) (#456337)
- Default to showing the background tab if wallpapers were given on the
  command line (Jens Granseuer)
- Use our custom cell renderer for metathemes too, so the previews don't
  get shaded (Jens Granseuer) (#461198)

default applications:
- Change custom command entries to be insensitive instead of
  noneditable (Matthias Clasen) (#456308)
- Remove spurious desktop entries (Jens Granseuer) (#444787)

keyboard:
- Improved layout and sorting (Sergey Udaltsov) (#455353)
- Implement DND in the selected layouts list (Sergey Udaltsov) (#351936)
- Eliminate up/down buttons in the layout list (Sergey Udaltsov)

network:
- Also use new icon in the window title bar (Denis Washington)

settings daemon:
- Don't forget the Xft callback (Jens Granseuer) (#455992)

themus:
- Update to match theme callback signature (Jens Granseuer)

general:
- Fix crash when no cursor is specified in theme (Frederic Crozat) (#455952)
- General cleanup and leak-plugging (Jens Granseuer, Thomas Wood)
- Don't fail configuring if gstreamer is not available, simply skip the sound
  capplet (Jens Granseuer) (#456957)
- Remove spurous AT desktop entries (Jens Granseuer) (#444787)
- Add support for custom theme names saved in metathemes (Denis Washington)
- Re-add basic support for cursor themes for X servers without the Xcursor
  extension, like the one in Solaris (Denis Washington)
- When applying a metatheme, check wether to set/unser color scheme gconf
  key (Jens Granseuer) (#421866)
- Fix notification of selection changed for GtkTreeView config support (Jens
  Granseuer)
- Prevent cursor themes from being recognized as icon themes (Denis Washington)
- Read a cursor themes's name from its index.theme file if it has one (Denis
  Washington)
- Expand check for empty metatheme color scheme to include blank color scheme
  strings (Thomas Wood)
- Add tooltip foreground and background colors to the list of recognized
  symbolic colors (Thomas Wood)

updated translations:
- es (Jorge Gonzalez)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- ja (Takeshi AIHANA)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.19.5

about-me:
- Fix a small typo in the comments (Guilherme de S. Pastore)

appearance:
- Fix compiler warnings (Jens Granseuer)
- Tweak the metatheme's icon view's margin and spacings to better
  fit the new thumbnails (Denis Washington)
- Modernized and brough the theme thumbnailer to the size of the
  new metatheme thumbnails (Denis Washington)
- Hook up the delete buttons (Jens Granseuer)
- Listen to on-disk changes in the details tab too (Jens Granseuer)
- Use STOCK_DELETE instead of STOCK_OK in delete confirmation dialog
  (Jens Granseuer)
- Implement theme saving (Jens Granseuer)
- Use the new async thumbnail generation functions (Denis Washington)
- Don't try to use uninitialized GdkPixbuf (Jens Granseuer)
- Fixed resize problems (Denis Washington)
- Use the new placeholder thumbnails for the details window's theme
  lists (Denis Washington)
- Consider NULL and "" equal for color schemes (Jens Granseuer)
- Make the Custom theme always the first in the list and make its label
  bold to differentiate it from other themes (Denis Washington)
- Load the metatheme thumbnails in the order they are in the list
  (Denis Washington)
- Fix leaks (Jens Granseuer)
- Remove hard-coded item width (Jens Granseuer)
- Add explicit width_request to our icon views so we can use
  GTK_POLICY_NEVER for horizontal scrollbars and still properly resize
  the window (Jens Granseuer) (#451585)
- Add cursor theme support (Denis Washington)
- Don't allocate colors in the colormap (Jens Granseuer)
- Don't crash if we have nothing but the default cursor theme (Jens Granseuer)
- Ellipsise the 'Save As' button (Jens Granseuer)
- Change the button order in themes tab (Denis Washington)
- Add an icon to the 'Customize' button (Denis Washington)

at-properties:
- Fix typo in string (Gabor Kelemen)

default applications:
- Fix error handling, plug some memory leaks and properly handle
  unset GConf keys (Jens Granseuer) (#454103)
- Fix Bugzilla info (Jens Granseuer)

display:
- Use icon theme instead of global pixmaps dir for application icon
  (Michael Terry) (#450777)
- Add and use new icon by Jakub Steiner (Jens Granseuer) (#375230)

network:
- Add and use new icon by Josef Vybiral (Jens Granseuer) (#399051)

settings daemon:
- Call g_thread_init to avoid warnings and crashes (Rodrigo Moya)
- Make modules not return errors when some methods are not implemented,
  these are really not errors (Rodrigo Moya)
- Fixed indexing of loadable modules (Rodrigo Moya)
- Fixed spawning of gnome-screensaver (Matthias Clasen)
- Fixed crash when changing the background (Rodrigo Moya)
- Initialize/start the modules in idle callbacks (Matthias Clasen,
  Rodrigo Moya) (#430889)
- Start DBus server earlier (Matthias Clasen, Rodrigo Moya)
- Add a frame to the media popup (Jens Granseuer) (#451674)
- Fix compiler warnings (Jens Granseuer) (#438152)
- Reduce static data in GObject-based classes registration
  (Jens Granseuer)
- If we don't take over the background because Nautilus is running,
  don't treat that as an error (Jens Granseuer)
- Don't unmute when lowering the volume and switch to muted when the
  volume reaches 0 (Grzegorz Dymarek) (#337896)

sound:
- Add new icons by Josef Vybiral (Jens Granseuer) (#397305)
- Fix target dir for icons (Jens Granseuer)

themus:
- Call g_thread_init to avoid warnings and crashes (Jens Granseuer)

typing break:
- Update icon cache on uninstall as well as install (Michael Terry) (#450777)

general:
- Make metatheme thumbnails original-sized and add check-box, radio
  button (Denis Washington)
- Generate all types of thumbnails in a separate process, not just
  those for metathemes (Denis Washington)
- Only look for icons in the icon theme (Michael Terry) (#450777)
- Add safeguards for NULL values (Jens Granseuer) (#441036)
- Add support for cursor themes in themes (Denis Washington)

updated translations:
- bg (Alexander Shopov)
- dz (Pema geyleg)
- es (Jorge Gonzalez)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- pl (Artur Flinta)
- pt_BR (Wendell Silva, Leonardo Ferreira Fontenelle)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall, Nguyen Thai Ngoc Duy)
------------------------------------------------------------------------------
gnome-control-center 2.19.4

appearance:
- Fixed leaks (Jens Granseuer)
- Added a parameter to circumvent the internal thumbnail cache to the async
  generator (Jens Granseuer)
- Remove caching from the thumbnailer (Jens Granseuer)
- Fix appearance windows not reacting the GTK+ theme changes (Denis Washington)
- Make it possible to skip engine information (Jens Granseuer)
- Let gnome-appearance-properties handle GTK+ theme changes manually (Denis
  Washington)
- Move theme package MIME type over from the theme-manager (Jens Granseuer)
  (#444336)
- Hook up more of the customization functionality (Jens Granseuer)
- Update for changes in thumbnailer API (Jens Granseuer)
- Add initial lockdown bits from theme-manager (Jens Granseuer)
- Preliminary support for reacting the metatheme changes (Jens Granseuer)
- Add all missing color schemes options (Denis Washington)
- Fix passing and parsing of command line args (Jens Granseuer)
- Disable the 'reset to defaults' button if the theme doesn't support custom
  colors (Jens Granseuer)
- Listen to color scheme changes (Jens Granseuer)
- Add initial support for installing themes (Jens Granseuer)
- Add metadata tooltips in the Background tab (Jens Granseuer)
- Add --show-page option to specify the page with which to start (Jens Granseuer)
- Remove install buttons from individual details pages (Jens Granseuer)

display:
- Don't make the revert dialog transient since it's actually never on screen
  at the same time as the main dialog (Jens Granseuer) (#448160)

keybindings:
- Fix GConf notification (Jens Granseuer)

settings daemon:
- Most modules converted to new loadable architecture (Rodrigo Moya)
- Force launching Nautilus in the home directory (Bastien Nocera) (#356069)
- Plugged memory leaks (Jens Granseuer)

themus:
- Update for changes in thumbnailer API (Jens Granseuer)

typing break:
- Dont use libgnome (Ross Burton) (#443554)
- Use the 2nd-accurate timers instead of the millisecond timers, in an attempt
  to use less processor time (Ross Burton) (#443547)
- USe GOption to parse arguments (Christian Persch) (#444399)

general:
- Require glib >= 2.13 (Ross Burton)

updated translations:
- cs (Jakub Friedl)
- dz (Pema Geyleg)
- es (Jorge Gonzalez)
- sv (Daniel Nylander)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.19.3

about-me:
- Use g_file_set_contents instead of a single fwrite (Bastien Nocera)
- Set default permission of ~/.face to 0644 (Bastien Nocera)

accessibility:
- Set button images via code instead of relying on Glade, so they respect
  the gtk-button-images xsetting (Jens Granseuer) (#362880)

appearance:
- New capplet to group appearance Settings (Thomas Wood, Jens Granseuer,
  Denis Washington)

at-properties:
- Fix critical warning (Jens Granseuer)
- Set button images via code instead of relying on Glade, so they respect
  the gtk-button-images xsetting (Jens Granseuer) (#362880)

background:
- After removing a wallpaper, select the next one in the list instead of always
  going to "No Wallpaper" (Jens Granseuer) (#432514)

control center:
- Removed superfluous X-SuSE translate tag (Stanislav Brabec)

display:
- Survive XRandR returning weird results for some dual-screen setups
  (Jens Granseuer) (#356520)

keybindings:
- Add a noarch pkgconfig file to allow apps to know where to add their
  keybindings (Bastien Nocera) (#434591)
- Fix keysdir substitution (Bastien Nocera) (#434591)
- Added g_thread_init as required by glib (Jens Granseuer)

keyboard:
- Set button images via code instead of relying on Glade, so they respect
  the gtk-button-images xsetting (Jens Granseuer)
- Added vendor list to the box, if any (Sergey Udaltsov)
- Make buildable with libxklavier 3.2 (Sergey Udaltsov)

mouse:
- Port from deprecated GtkOptionMenu to GtkComboBox (Jens Granseuer)

settings daemon:
- More refactoring of loadable modules (Rodrigo Moya)
- Use "eject -T" as the default eject command (Jens Granseuer) (#386297)
- Double-check that DBUS really passed an error (Chad Miller) (#439208)
- Sync libegg modules (Jens Granseuer) (#441042)
- Set the device property to the correct value before opening the mixer
  (Jan Arne Petersen) (#441552)

sound:
- Use g_timeout_add/remove instead of deprecated GTK versions (Jens Granseuer)
- Set non-0 pulse step for the progress bar to actually make it move (Jens
  Granseuer) (#441587)

theme switcher:
- Fix memory leaks (Jens Granseuer)

themus:
- Use OnlyShowIn property to not list Themus in the menu editor (Sebastien
  Bacher) (#434956)

general:
- Add GConfPropertyEditor support for GtkComboBox (Jens Granseuer)
- Add support for unsetting GConf values if the conversion handlers return null
  (Jens Granseuer)
- Constify a number of function arguments (Jens Granseuer)
- Add a property editor for GtkTreeView and fix crashes with all peditors if the
  requested key is not available (Jens Granseuer)
- Don't call gconf_value_free with a NULL value (Jens Granseuer)
- Recognize both "gtk-color-scheme" and "gtk_color_scheme" (Jens Granseuer)

updated translations:
- bg (Alexander Shopov)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- es (Jorge Gonzalez)
- et (Priit Laes)
- he (Yair Hershkovitz)
- hu (Gabor Kelemen)
- nb (Kjartan Maraas)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.19.1

about-me:
- Build fixes (Bastien Nocera)
- Add image filter to file chooser (Kristof Vansant) (#424958)
- Plug memory leaks (Jens Granseuer)

at-properties:
- Don't require GNOME Glade library (Kristof Vansant)

background:
- Don't require GNOME Glade library (Kristof Vansant)
- Don't crash if the GConf schema is missing (Jens Granseuer) (#430253)
- Fix initialization of the secondary colour picker (Jens Granseuer)
- Replace deprecated GtkOptionMenu with GtkComboBox (Priit Laes) (#421199)
- Fix scaling for WPTYPE_ZOOM (Erich Schubert) (#342356)

default applications:
- Added widgets for default media player (Priit Laes) (#362578)
- Don't require GNOME Glade library (Kristof Vansant)
- Added Seamonkey as web browser and mail reader (Rodrigo Moya)
- Added widgets for default accessibility applications (George Kraft IV) (#350263)

display:
- Uppercase the rotation options (Jens Granseuer) (#410959)
- Added 720x576 (PAL) to the list of valid resolutions (Jens Granseuer) (#325548)

fonts:
- Don't require GNOME Glade library (Kristof Vansant)

keybindings:
- Fix the patch from which we'd load the keybindings (Bastien Nocera)
- Prepend the directory name before loading the files (Bastien Nocera) (#420796)
- Remove metacity keybindings definitions (Bastien Nocera)

keyboard:
- Use a radio button instead of a chackbox to indicate the default
  layout (Jns Granseuer) (#389469)
- Use automatic instead of always scrollbar policy (Andreas Koehler) (#345884)
- New version of the layout chooser, comboboxentry-based (Sergey Udaltsov)

mouse:
- Use automatic instead of always scrollbar policy (Andreas Koehler) (#345884)

theme switcher:
- Add filters for theme packages to the file chooser and mark the file chooser
  title for translation (Kristof Vansant) (#424960)
- Use OnlyShowIn=; to hide the theme installer from menus and menu editors
  (Matthias Clasen) (#420154)

windows:
- Use GtkComboBox instead of GtkOptionMenu (Priit Laes) (#421210)

shell:
- Build libslab statically, to avoid conflicts with gnome-main-menu (Rodrigo Moya)

settings daemon:
- Added handler for media keybinding (Priit Laes) (#362578)
- Don't crash if DBus connection is not available (Jens Granseuer) (#411504)
- Don't set Emacs.mode-line.attributeBackground to avoid problems with emacs
  22 (Jens Granseuer) (#416823)
- Rebuild the media window if the state of composite has changed (Jens Granseuer)
  (#408035)
- Fix launch-app-in-terminal support (Priit Laes) (#362578)
- Started refactoring of modules (Rodrigo Moya)
- Also check registered directories for notification (Alexander Larsson)
- Removed all settings not related to colour (Ross Burton) (#428615)
- Try to figure out the DPI value from the X server or the user's GConf
  settings (Federico Mena Quintero) (#217790 and #378338)

general:
- Rename module name to gnome-control-center (Rodrigo Moya)

updated translations:
- ar (Djihed Afifi)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- et (Priit Laes)
- pt_BR (Leonardo Ferreira Fontenelle and Washington Lins)
- sv (Daniel Nylander)
- zh_CN (Funda Wang)
------------------------------------------------------------------------------
gnome-control-center 2.18.1

sound:
- Initialize threads earlier (Christian Persch) (#416239)
- Fix option context translation (Christian Persch)
- Fix button label alignment (Christian Persch) (#416238)
- Ellipsize the device combo box (Matthias Clasen) (#425650)

theme switcher:
- Disable revert button when using theme engine defaults colors
  (Frederic Crozat) (#417423)
- Don't crash if the color string is mangled (Jens Granseuer)
- Close small memory leak (Jens Granseuer)

shell:
- Build libslab statically to avoid conflicts with gnome-main-menu
  (Rodrigo Moya)

settings daemon:
- Fix multimedia window appearing in a different position when shown for the
  first time (Jens Granseuer) (#400915)

updated translations:
- ca (Josep Puigdemont i Casamajó)
- da (Peter Bach)
- dz (Pema Geyleg)
- es (Claudio Saavedra)
- gl (Ignacio Casal Quinteiro)
- it (Alessio Dessì)
- mk (Jovan Naumovski)
- nl (Vincent van Adrighem)
- pt_BR (Leonardo Ferreira Fontenelle)
- uk (Maxim Dziumanenko)
------------------------------------------------------------------------------
gnome-control-center 2.18.0

about-me:
- Really fixed #411697 (Jens Granseuer)
- Use proper shadow type for the address fields (Jens Granseuer) (#414061)

background:
- Plug leaks (Jens Granseuer) (#396069)

display:
- Fix double free (Sandino Flores-Moreno) (#413352)

fontilus:
- Fix linker flags (Loic Minier) (#413468)

mouse:
- Add 2 popular cursor sizes to the filter (Thomas Zajic)
- Sort "Pointers" list alphabetically (Thomas Zajic)
- Fix build with gcc2 (Jens Granseuer)

theme-switcher:
- Replace deprecated function (Thomas Wood)
- Remove some bogus old code that caused the current theme to be checked
  instead of the new one (Benjamin Berg)
- Set the gtk-color-scheme even if it is blank and when creating the thumbnail
  (Thomas Wood)
- Search the gtkrc for the color scheme if none was found in the metatheme
  file (Thomas Wood)
- Don't try and open NULL filenames (Thomas Wood)

window:
- Add missing libs to linker args (Jens Granseuer) (#413468)

settings daemon:
- Fix ref counting problems (Jens Granseuer) (#412467)

updated translations:
- cs (Jakub Friedl)
- de (Hendrik Richter, Christian Kintner)
- el (Nikos Charonitakis)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- ko (Changwoo Ryu)
- ku (Erdal Ronahi)
- lt (Gintautas Miliauskas)
- mk (Jovan Naumovski)
- nl (Vincent van Adrighem)
- pl (Artur Flinta)
- ru (Leonid Kanter)
- sl (Matic Zgur)
- sr (Goran Rakic)
- sr@Latn (Goran Rakic)
- zh_HK (Abel Cheung)
- zh_TW (Abel Cheung)
------------------------------------------------------------------------------
gnome-control-center 2.17.92

about-me:
- Change default dir for the image chooser (Jens Granseuer) (#408305)
- Dont use composite pixbuf to avoid unnecessary clipping (Diego Escalante
  Urrelo) (#380315)
- Prevent child watcher from accessing already released memory (Jens
  Granseuer) (#411697)

default applications:
- Really fix DATADIR (Jens Granseuer) (#407597)
- Dont try reading into invalid territory when the user set a custom command
  without spaces (Jens Granseuer) (#407601)

fontilus:
- Use GOption argument parsing (Christian Persch) (#393394)

keybindings:
- Clear GConf client cache before reloading (Jens Granseuer) (#394776)

keyboard:
- Avoid crashing on NULLs (Jens Granseuer) (#398631)

settings daemon:
- Properly round volumes so that volume-up and -down act symetrically
  (Jens Granseuer) (#389996)
- Dont ignore errors when X refuses to update the pointer mapping
  (Jens Granseuer) (#349538)
- Dont install the same filter twice for the default root window (Jens
  Granseuer) (#408643)
- Correctly pass the function address when setting up the event filter
  (Jens Granseuer)
- Fix warnings (Jens Granseuer)

shell:
- Revert to old menu for 2.18 (Denis Washington)

theme switcher:
- Update selected fg color from the correct slot (Jens Granseuer) (#410764)
- Fix warnings (Jens Granseuer)
- Format guint16 values accordingly (Jens Granseuer) (#398331)

themus:
- Populate the VFS file info fields properly so that Nautilus shows, e.g.,
  read-only emblems in themes:// (Jens Granseuer) (#145175)

windows:
- Remove some long-dead code (Jens Granseuer)
- Dont leak stuff on error (Jens Granseuer)

updated translations:
- ar (Djihed Afifi)
- bg (Alexander Shopov)
- ca (Josep Puigdemont i Casamajó)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- fr (Stéphane Raimbault)
- hu (Gabor Kelemen)
- ja (Takeshi AIHANA)
- ko (Changwoo Ryu)
- nb (Kjartan Maraas)
- pt (Duarte Loreto)
- pt_BR (Leonardo Ferreira Fontenelle)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- uk (Maxim Dziumanenko)
- vi (Nguyen Thai Ngoc Duy)
- zh_CN (Abel Cheung)
------------------------------------------------------------------------------
gnome-control-center 2.17.91

common:
- Compilation fixes (Kjartan Maraas)
- Fixed localedir defines (Christian Persch) (#395383)
- Use standard installation paths (Christian Persch) (#395383)
- Use capplet name for G_LOG_DOMAIN (Jens Granseuer) (#380991)
- Require GTK+ <= 2.10 (Jens Granseuer) (#358106)

about me:
- Fix build with gcc 2 (Jens Granseuer)
- Fix memory leaks (Jens Granseuer)
- Fix possible crash (Jens Granseuer)

at-properties:
- Fix reference leaks and dont segfault if glade file is not available (Jens Granseuer)

default applications:
- Use specific string as app ID in gnome_program_init (Christian Persch) (#403708)
- Plug memory leaks (Jens Granseuer) (#395212)
- Fix DATADIR define (Jens Granseuer)

keybindings:
- Issue a sensible error message when trying to use unmodified keybindings
  (Jens Granseuer) (#328152)
- Removed leftover call to gnome_theme_init (Jens Granseuer) (#157452)
- Support localised key names (Jens Granseuer) (#145346)
- Clean up sorting to not use an imaginary column (Jens Granseuer)
- Avoid warnings when clearing at exit (Mariano Suárez-Alvarez) (#405175)
- Added missing GConf key (Mariano Suárez-Alvarez)

mouse:
- Dont crash if the glade file is not available (Jens Granseuer)

network:
- Plug memory leaks (Jens Granseuer) (#395609)

sound:
- Polypaudio->PulseAudio renaming (Gabor Kelemen) (#394003)
- Added a11y label relations for the devices tab (Patrick Wade) (#369302)

theme switcher:
- Fix compiler warnings (Thomas Wood)
- Fixes on the suffix checks (Alberto Ruiz)
- Pass correct order of arguments to gnome_vfs_xfer (Kjartan Maraas)
- Listen for changes in the gtk-color-scheme property of GtkSettings (Thomas Wood)
  (#405210)

typing break:
- Use specific string as app ID in gnome_program_init (Christian Persch) (#403708)
- Use compositing to display the typing break window when available (Christian
  Persch) (#363665)

ui properties:
- Plug memory leaks (Jens Granseuer)
- Change "Editable menu accelerators" to "Editable menu shortcut keys" as per
  the style guide (Jens Granseuer) (#337624)

windows:
- Plug memory leaks (Jens Granseuer)

fontilus:
- Use GOption argument parsing (Christian Persch) (#393994)
- Fixed some leaks (Christian Persch)

themus:
- Port to GOption (Jens Granseuer) (#336286)

settings daemon:
- Prevent crashes/assertion failures trying to set ridiculously high/low
  volumes (Jens Granseuer) (#401376)
- Fixed property names (Jens Granseuer)
- Dont install the same window filter twice (Jens Granseuer) (#382504)
- Make sure we have a key event before treating it as such (Jens Granseuer)
  (#382503)
- Fixed leaks (Jens Granseuer, Paolo Borelli) (#342672)
- Round volume instead of truncating on umute so a simple mute/unmute doesn't
  lower the volume (Jens Granseuer) (#400966)
- Make the new volume overlay window follow the icon and color themes
  (William Jon McCann) (#403320)
- Eat media player keys if someone is listening on the bus interface already
  (Bastien Nocera) (#394313)
- Revert to the old font path if the new one could not be set (Jens Granseuer)
  (#397504)

shell:
- Prevent capplets from being launched twice (Rodrigo Moya)
- Use correct GConf prefix (Rodrigo Moya)
- Added default common tasks (Rodrigo Moya)
- Respect the exit_on_close flag (Scott Reeves)
- Added a flag controlling display of GenericName's (Scott Reeves)
- Fix typo in usage string (Jens Granseuer) (#398361)
- Respect the --disable-schemas-install configure flag (Christian Persch) (#401004)
- Dump remnants of gstreamer-0.8 (Jens Granseuer)
- Use custom gnomecc.menu instead of settings.menu (Denis Washington) (#402797)
- Dont show Help menu if help is not available (Rodrigo Moya)
- Disable package management/main-menu items in the context menu (Rodrigo Moya)
- Use correct text color when highlighting (Rodney Dawes) (#398079)
- Use smaller icons by default (Scott Reeves) (#405078)
- Use G_GNUC_FUNCTION instead of non-portable __FUNCTION__ (Damien Carbery) (#383022)

updated translations:
- ar (Djihed Afifi)
- be (Ihar Hrachyshka)
- bg (Alexander Shopov)
- ca (Jordi Mas and Josep Puigdemont i Casamajó)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- et (Priit Laes)
- fr (Marc Lorber, Robert-André Mauchin and Stéphane Raimbault
- he (Yair Hershkovitz)
- hu (Gabor Kelemen)
- ja (Takeshi AIHANA)
- ko (Changwoo Ryu)
- mk (Jovan Naumovski)
- nb (Kjartan Maraas)
- pl (Artur Flinta)
- pt_BR (Luiz Fernando S. Armesto)
- ru (Leonid Kanter)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
------------------------------------------------------------------------------
gnome-control-center 2.17.90

common:
- Removed non-critical g_return_if_fail (Thomas Wood) (#353620)
- Added support for saving and applying the gtk-color-scheme key (Thomas Wood)
- Replaced non-standard categories with X-GNOME... (Denis Washington)
- Check for xf86misc lib in addition to header files (Jens Granseuer) (#397905)

about-me:
- Fixed compilation on Solaris (Brian Cameron) (#356076)
- Made translatable strings more generic (Francisco Javier F. Serrador) (#376079)

a11y:
- Renamed to "Keyboard Accesiblity" in .desktop file (Thomas Wood) (#330697)

background:
- Fixed several compile warnings (David Seseño) (#326022)

default applications:
- Moved capplet from System to Personal category (Thomas Wood)

keyboard:
- Don't crash if default group is not set in GConf (Sergey Udaltsov) (#398631)

keybindings:
- Moved scrolled window calls to their correct place (Rodrigo Moya)
- Fixed leaks (Jens Granseuer) (#394824)
- Corrected .desktop category entry (Thomas Wood)

mouse:
- Fixed memory leaks (Jens Granseuer) (#395539)

sound:
- Added NULL-check (Jan Arne Petersen) (#394736)
- Fixed spacing and build the whole dialog from Glade (Christian Persch) (#394068)
- Show the sound properties view after adding it to the dialog (Christian Persch)
- Fixed label alignments bug caused by Glade-3 #396433 (Christian Persch)
- Set play button insensitive when no sound is selected ((Sylvain Defresne, Thomas
  Wood) (#353828)

theme switcher:
- Fixed build with gcc 2 (Jens Granseuer) (#394707)
- Removed separate color scheme saving UI (Thomas Wood)
- Added support for gtk-color-scheme key in metatheme info (Thomas Wood)
- Added a revert button to the color schemes tab (Thomas Wood)

typing break:
- Set default icon and application name (Andreas Nilsson) (#348641)

windows:
- Fixed leak (Kjartan Maraas) (#382039)

shell:

settings daemon:
- Added missing NULL-check (Jan Arne Petersen) (#395083)
- Removed variable that was never initialized (Jens Granseuer) (#382502)
- Quit application when window is closed (Rodrigo Moya) (#394303)
- Set program name to gnome-control-center (Rodrigo Moya)

updated translations:
- ar (Djihed Afifi)
- ca (Josep Puigdemont i Casamajó)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- et (Priit Laes)
- fi(Ilkka Tuohela)
- hu (Gabor Kelemen)
- lt (Zygimantas Beruèka)
- nb (Kjartan Maraas)
- sl (Matic Zgur)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
------------------------------------------------------------------------------
gnome-control-center 2.17.5

about-me:
- Fix displaying of image selected by the user (Hiroyuki Ikezoe) (#343584)

background:
- Mark message showing background image size and type for translation (Roozbeh
  Pournander) (#341899)
- Switched from popt to GOptionContext (Lucas Rocha) (#336286)
- Fix memory leaks (Jens Granseuer) (#335220)
- Fix crash when changing image name (Jens Granseuer) (#388616)
- Fix ability to change settings after manual change (Jean-Christophe Jaskula)
  (#339404)
- Improve management of background thumbnails (Ray Strode) (#351991)
- Fix compilation on Solaris (Brian Cameron) (#356076)

common:
- Fix leaks (Christian Persch) (#393117)
- Add support for disabling esound (Marc-Andre Lureau) (#392276)

fonts:
- Make 'Font may be too large' dialog cleare (Gabor Kelemen) (#335963)

keybindings:
- Reuse the existing tree model instead of discarding and rebuilding it
  (Jens Granseuer) (#128158)
- Fix leaks (Jens Granseuer)

keyboard:
- Switch from popt to GOptionContext (Lucas Rocha) (#336286)
- Fix typo (Kjartan Maraas)

mouse:
- Switch from popt to GOptionContext (Lucas Rocha) (#336286)

network:
- Add option to use the same proxy for all protocols (Diego Escalante) (#317097)
- Add missing mnemonic (Rodrigo Moya)

sound:
- Mark sound system names translatable (Gabor Kelemen) (#393472)
- Do proper dbus/libhal error handling (Jan Arne Petersen) (#363005)
- Switch from popt to GOptionContext (Lucas Rocha) (#336286)
- Make ESD optional (Marc-Andre Lureau) (#392276)
- Add accelerators to the device tab (Gabor Kelemen) (#350572)
- Spelling fixes (Kjartan Maraas)
- Use GtkAlignment for padding, not GtkHBox+GtkFrame (Thomas Wood) (#143215)
- Make volume up/down keys affect default channel of the applet (Jan Arne Petersen)
  (#173035)

theme-switcher:
- Fix crash on manually changing the icon theme name (Priit Laes) (#349471)
- Fix some HIG issues with strings (Thomas Wood)
- Fix leaks (Christian Persch, Thomas Wood) (#393117, #326337)
- Set minimun size request on the treeview rather than the entire window
  (Thomas Wood) (#393236)
- Fix build with c89 compilers (Thomas Wood) (#382730)
- Avoid markup in translatable messages (Gabor Kelemen) (#360449)
- Enable a message when the current theme does not support colour schemes
  (Thomas Wood)
- Add custom colour scheme saving UI (Thomas Wood)
- Add MIME type for theme packages and support in the GUI (Alberto Ruiz) (#393697)

windows:
- Avoid markup in translatable messages (Elijah Newren) (#360449)

shell:
- Fix build with c89 compilers (Thomas Wood) (#382730)
- Use categories for control center applets (Denis Washington) (#393617)

settings daemon:
- Add DBus methods for media players to grab/release the keys (Jan Arne Petersen)
  (#133815)
- Add support for GConf device and track selection (Jan Arne Petersen) (#173035)

fontilus:
- Add support for specifying string and font-size to use in the thumbnailer (Rob Staudinger)
  (#333557)

themus:
- Fix crash when running from command prompt (Thomas Wood) (#167063)

translations:
- ar (Djihed Afifi)
- bg (Alexander Shopov)
- cs (Jakub Friedl)
- en_GB (David Lodge)
- mk (Jovan Naumovski)
- nb (Kjartan Maraas)
- sl (Matic Zgur)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
------------------------------------------------------------------------------
gnome-control-center 2.17.4

background:
- Plug a leak (Kjartan Maraas) (#376949)

common:
- Pass NULL to gtk_label_new() to do a bit less work (Kjartan Maraas) (#376949)

default-application:
- Fix a bunch of leaks from gconf_client_get_string() (Kjartan Maraas)
  (#376949)
- add support for Iceweasel and Icedove (Loïc Minier) (#379085)
- Fix Thunderbird command line parameter (Luca Cavalli) (#326808)
- add support for Claws Mail (aka Sylpheed-Claws) (Colin Leroy) (#386771)

display:
- Don't leak the resolution. Pass NULL to gtk_label_new to do less work
  (Kjartan Maraas) (#376949)

localization:
- Plug some leaks. (Kjartan Maraas) (#376949)

network:
- Fix a warning about unused result from g_slist_append(). (Kjartan Maraas)

theme-switcher:
- Plug a few leaks. (Kjartan Maraas) (#376949)
- HIG fixes to the color scheme tab, from suggestions in Bug 382517
  (Thomas Wood)
- Rename "Theme Details" button to "Customize (Thomas Wood)

gnome-settings-daemon
- add a new media keys window that takes advantage of 
  compositing when available (William Jon McCann) (#383066)

Translators:
Djihed Afifi (ar)
Francisco Javier F. Serrador (es)
Ivar Smolin (et)
Ilkka Tuohela (fi)
Ankit Patel (gu)
Raivis Dejus (lv)
Jovan Naumovski (mk)
Kjartan Maraas (nb)
Tino Meinen (nl)
Matic ´gur (sl)
Daniel Nylander (sv)
Theppitak Karoonboonyanan (th)

------------------------------------------------------------------------------
gnome-control-center 2.17.3

common:
- Clean up file transfer dialog (Thomas Wood) (319926)

keyboard:
- Updated to new libgnomekbd API (Sergey Udaltsov)

shell:
- New control-center shell (Scott Reeves, Rodrigo Moya)

theme:
- Fixed crash in D&D of themes (Thomas Wood) (352490)
- Open transfer dialog with transient parent set (Thomas Wood)
- Added a colours tab to change gtk-color scheme setting (Thomas Wood)
- Fixed leak (Thomas Thurman) (378680)
- Cleanup some of the install code (Thomas Wood) (325300)
- Allow installing a theme from a directory (Thomas Wood) (326103)

typing break:
- Fixed redefinition of GNOMELOCALEDIR (Kjartan Maraas)
- Removed use of const char * for allocated strings (Kjartan Maraas)

translations:
- es (Francisco Javier F. Serrador)
- et (Priit Laes)
- fr (Christophe Bliard)
- ja (Satoru SATOH)
- nb (Kjartan Maraas)
- sv (Daniel Nylander)

------------------------------------------------------------------------------
gnome-control-center 2.17.1

control-center:
- Don't install unused GNOME_Control_Center.server.in file (Rodrigo Moya)

default applications:
- Added support for legacy GConf key (Sven Herzberg, Luca Cavalli) (359986)

mouse:
- Reordered widgets for A11Y (Sven Herzberg) (163690)

settings daemon:
- Delay displaying of error dialogs until there is a window manager running
  (Dan Winship)

themus:
- Add a install-theme command line option (Thomas Wood) (354581)

translations:
- bg (Alexander Shopov)
- bn_IN (Runa Bhattacharjee)
- cs (Jakub Friedl)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- it (Luca Ferretti)
- nn (Åsmund Skjæveland)

------------------------------------------------------------------------------
gnome-control-center 2.16.2

keyboard:
- Fixed crashes when failed DBUS connection to the server (Sergey Udaltsov)
- Fixed keyboard indicator segfault (Sergey UDaltsov) (351395)

theme-switcher:
- Fixed crash when drag&dropping themes (Thomas Wood) (352490)

translations:
- ar (Djihed Afifi)
- et (Priit Laes)
- it (Luca Ferretti)
- ja (Satoru SATOH)
- pl (Marek Stepien)

------------------------------------------------------------------------------
gnome-control-center 2.16.1

about-me:
- Fixed compilation issues on Sun Studio (Matt Keenan) (349079)

display:
- Never pass negative values for the rates (Brian Cameron) (356075)

keyboard:
- Make sure 'model' is never NULL (Brian Cameron, Rodrigo Moya) (356074)

themus:
- Fixed "Open" icon on button preview (Thomas Wood) (355268)
- Allow the text in the details to ellipsize and set a minimun width for
  the dialog (Thomas Wood) (355269)

translations:
- ar (Wouter Bolsterlee)
- bg (Alexander Shopov)
- bn_IN (Runa Bhattacharjee)
- en_GB (David Lodge)
- et (Priit Laes)
- gl (Ignacio Casal Quinteiro)
- nn (Åsmund Skjæveland)

------------------------------------------------------------------------------
gnome-control-center 2.16.0

background:
- avoid excess strduping (Kjartan Maraas) (#352252)

keyboard:
- avoid extra key events processing (Matthias Clasen) (#352776)

settings daemon:
- avoid grabbing all keyboard when the key code cannot be retrieved
  (Andre Klapper) (#170318)

theme-switcher:
- add missing maximize button (Thomas Wood) (#331835)

Translations:
- bg (Alexander Shopov)
- bn_IN (Runa Bhattacharjee)
- el (Kostas Papadimas)
- et (Priit Laes)
- fr (Christophe Merlet)
- hi (Rajesh Ranjan)
- hu (Gabor Kelemen)
- ka (Vladimer Sichinava)
- lt (Gintautas Miliauskas)
- lv (Raivis Dejus)
- mk (Jovan Naumovski)
- ml (Ani Peter)
- mr (Rahul Bhalerao)
- or (Subhransu Behera)
- pt (Duarte Loreto)
- pt_BR (Lucas Rocha)
- ru (Leonid Kanter)
- sv (Daniel Nylander)
- ta (I. Felix)
- th (Theppitak Karoonboonyanan)
- zh_HK (Chao-Hsiung Liao, Abel Cheung)
- zh_TW (Chao-Hsiung Liao, Abel Cheung)

------------------------------------------------------------------------------
gnome-control-center 2.15.92

background:
- fix "Background dialogue resizes when shown" (Rodney Dawes) (#332830)

common:
- fix issues with the themes previews (Benjamin Otte, Thomas Wood) 
  (#351378, #171634)

display:
- free 'resolution' string after using it, not before 
  (Kjartan Maraas, Rodrigo Moya)

mouse:
- also display the default theme (though without a preview 
  for technical reasons) (Sven Herzberg) (#322514)

sound:
- fix memory leak (Christian Persch)(#350566)

theme-switcher:
- patches from "generate visible previews first" (Benjamin Otte) (#351521)

Translators:
Rostislav \"zbrox\" Raykov (bg)
Josep Puigdemont (ca)
Jakub Friedl (cs)
Hendrik Richter (de)
Mindu Dorji (dz)
David Lodge (en_GB)
Ivar Smolin (et)
Ilkka Tuohela (fi)
Alastair McKinstry (ga)
Ignacio Casal Quinteiro (gl)
Ankit Patel (gu)
Rajesh Ranjan (hi)
Mate ORY (hu)
Satoru SATOH (ja)
Changwoo Ryu (ko)
Jovan Naumovski (mk)
Ani Peter (ml)
Badral (mn)
Rahul Bhalerao (mr)
Kjartan Maraas (nb)
Wouter Bolsterlee (nl)
Subhransu Behera (or)
A S Alam (pa)
Evandro Fernandes Giovanini (pt_BR)
Dan Damian (ro)
Leonid Kanter (ru)
Steve Murphy (rw)
Matic ´gur (sl)
Daniel Nylander (sv)
Theppitak Karoonboonyanan (th)
Maxim V. Dziumanenko (uk)
Clytie Siddall (vi)
Funda Wang (zh_CN)

------------------------------------------------------------------------------
gnome-control-center 2.15.91

misc:
- require libebook-1.2 1.7.90 for the new API (Sebastien Bacher)

about-me:
- fixed build with the new libebook API (Sebastien Bacher) (#348821)

at-properties:
- fixed X-GNOME-Bugzilla fields in .desktop file (Rodrigo Moya) (#348832)
- use orca screenreader when available (Willie Walker) (#348630)

display:
- fix build with gcc-2.95 (Jens Granseuer) (#347611)
	- fixed X-GNOME-Bugzilla fields in .desktop file (Rodrigo Moya) (#348838)

keybindings:
- don't assume defines are contiguous (Gary Coady) (#333576)

keyboard:
- fixed X-GNOME-Bugzilla fields in .desktop file (Rodrigo Moya) (#348847)

libgswitchit:
- using Unicode subscript for repeating descriptions (Sergey Udaltsov)

network:
- set "label for" and "labelled by" properties for the capplet (Willie Walker)
  (#342121)

sound:
- removed unneeded header file (Klaus Pedersen) (#349254)
- only include libhal if HAL is enabled (Ali Akcaagac) (#348755)

theme-switcher:
- added support for locking down theme (Rob Bradford) (#346041)
- don't attempt to load window manager theme name from an unknown window 
  manager (Thomas Wood) (#333276)

typing-break:
- use GtkAboutDialog, not GtkDialog (Vincent Untz) (#348640)
- use GtkStatusIcon instead of libegg (Vincent Untz) (#348639)

ui-properties:
- fixed X-GNOME-Bugzilla fields in .desktop file (Rodrigo Moya) (#348844)

updated translations:
- bg (Alexander Shopov)
- cs (Jakub Friedl)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela)
- fr (Christophe Merlet)
- gu (Ankit Patel)
- lt (Zygimantas Berucka)
- mk (Jovan Naumovski)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- th (Theppitak Karoonboonyanan)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

------------------------------------------------------------------------------
gnome-control-center 2.15.90

misc:
- add an encoding key to some .directory.in (Vincent Fretin) (#338593)
- don't use the Application category for the .desktops, use
  HardwareSettings for some (Vincent Fretin) (#344321)
- made gconf-property-editor.c use GtkColorButton instead of GnomeColorPicker
  (Kevin Bauder) (#171680)

mouse:
- fix the non-xcursor case for solaris (Sven Herzberg, Glynn Foster) (#319125)
- use ngettext() correctly (Sven Herzberg)

theme-switcher:
- fixed messages wording (Thomas Wood) (#167045)
- removed duplicate check for the tar utility (Thomas Wood)

updated translations:
- ca (Josep Puigdemont i Casamajó)
- cs (Jakub Friedl)
- de (endrik Richter)
- dz (Guntupalli Karunakar)
- el (Kostas Papadimas)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela) 
- fr (Samuel Mutel)
- gu (Ankit Patel)
- id (Ahmad Riza H Nst)
- ja (Satoru SATOH)
- ko (Changwoo Ryu)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)

------------------------------------------------------------------------------
gnome-control-center 2.15.4

background:
- Removed redundant GNOMELOCALEDIR (Sergey Udaltsov) (345178)

display:
- Replaced deprecated GtkOptionMenu with GtkComboBox (Sven Herzberg) (338468)
- Added rotation support (Sven Herzberg) (324125)

keyboard:
- Massive libgswitchit API change (Sergey Udaltsov)
- Made model chooser button more verbose (Sergey Udaltsov) (335833)

sound:
- Fixed build (Sergey Udaltsov)

theme-switcher:
- Fixed strange wording (Thomas Wood) (167045)

settings daemon:
- Activation is now done via DBUS (Sergey Udaltsov)
- Added DBUS interface for keyboard indication (Sergey Udaltsov)

documentation:
- Initial Russian translation (Nickolay V. Shmyrev)

updated translations:
- bn_IN (Runa Bhattacharjee)
- cs (Jakub Friedl)
- de (Hendrik Richter)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela)
- fr (Benoît Dejean)
- gu (Ankit Patel)
- he (Yair Hershkovitz)
- hi (Rajesh Ranjan)
- lv (Raivis Dejus)
- mk (Jovan Naumovski)
- nb (Kjartan Maraas)
- ru (Nickolay V. Shmyrev)
- ta (I. Felix)
- th (Theppitak Karoonboonyanan)
- sv (Daniel Nylander)

------------------------------------------------------------------------------
gnome-control-center 2.15.3

about me:
- Fixed typo (Rodrigo Moya) (324971)
- Fixed compilation issues (Rodrigo Moya) (344468)

default applications:
- Added support for Sylpheed (Luca Cavalli) (332659)
- Removed unnecessary gnome-terminal argument (Luca Cavalli) (336700)

keybindings:
- Removed brightness keybindings, now in gnome-power-manager (Bastien Nocera)
  (339857)

keyboard:
- Save/restore layout preview window geometry (Sergey Udaltsov)

mouse:
- Fixed selection when no cursor font is set in GConf (Darren Kenny) (340003)

sound:
- Added sound device selection (Jürg Billeter) (329112)
- Fixed button strings (Rodrigo Moya) (324971)

theme-switcher:
- Removed drag & drop information text (Thomas Wood) (99535)
- Added Install buttons to each tab in the details window (Thomas Wood)
- Remember last browsed or installed from location (Thomas Wood) (138795)
- Don't allow invalid characters in theme names (Thomas Wood) (139692)
- Don't ask user whether to overwrite or not internal files (Thomas Wood) (317375)
- Allow saving background image for custom themes (Thomas Wood) (330302)
- Fixed UI issues in the save dialog (Thomas Wood) (100622)

settings daemon:
- Fixed libxklavier engine initialization logic (Sergey Udaltsov) (333091)
- Removed references to brightness controls (Bastien Nocera) (339857)
- Fixed leaks (Paolo Borelli) (342568, 342570)

general:
- Updated to new libxklavier API (Sergey Udaltsov)

updated translations:
- bg (Alexander Shopov)
- cs (Miloslav Trmac, Lukas Novotny, Jakub Friedl)
- dz (Pema Geyleg)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- mg (Simos Xenitellis)
- nb (Kjartan Maraas)
- sq (Laurent Dhima)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)
- zh_CN (Funda Wang)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

------------------------------------------------------------------------------
gnome-control-center 2.14.2

about-me:
- Fixed label alignment (Sebastien Bacher) (343056)

default applications:
- Updated help section name (Daniel Holbach) (340032)

settings daemon:
- Fixed potential overrun (Ray Strode) (338254)
- Fixed 64bit crash (Joe Marcus Clarke) (338849)

updated translations:
- bg (Alexander Shopov)
- cs (Lukas Novotny)
- dz (Pema Geyleg)
- et (Priit Laes)
- eu (Iñaki Larrañaga)
- fr (Benoît Dejean)
- id (Ahmad Riza H Nst)
- sq (Laurent Dhima)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

------------------------------------------------------------------------------
gnome-control-center 2.14.1

background:
- Fixed crash on startup (Rodney Dawes) (331486)

common:
- Use gtk_dialog_run for running modal error dialogs (Rodrigo Moya)
- Fixed leaks in CORBA activation code (Arjan Timmerman) (334153)

default applications:
- Fixed thunderbird command line parameters (Luca Cavalli) (326808)

fontilus:
- Move .directory files to $datadir/desktop-directories (Glynn Foster)
  (334405)

settings daemon:
- Fixed setting of $DISPLAY environment variable (Rodrigo Moya, Arjan
  Timmerman) (334153)
- Set Ctrl-Atl-l as default keybinding for screen locking (Jaap A. Haitsma)
  (171833)
- Fixed evdev/left handed button mapping (Marien Zwart) (323724)

themus:
- Move .directory files to $datadir/desktop-directories (Glynn Foster)
  (334405)
- Don't allow tab characters in custom theme descriptions (Wouter Bolsterlee)
  (336151)
- Theme chooser main window too wide for 800x600 (Thomas Wood) (314658)

updated translations:
- be (Ales Nyakhaychyk)
- br (Jérémy Ar Floc'h)
- cs (Miloslav Trmac)
- dz (Tommi Vainikainen)
- es (Francisco Javier F. Serrador)
- et (Priit Laes)
- hu (Gabor Kelemen)
- ka (Vladimer SIchinava)
- lt (Zygimantas Berucka)
- nl (Vincent van Adrighem, Wouter Bolsterlee)
- ro (Dan Damian)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)

------------------------------------------------------------------------------
gnome-control-center 2.14.0

default applications:
- Use correct text domain name (Luca Cavalli) (332833)
- Fixed response to icon theme changes (Luca Cavalli) (330154)
- Compilation fixes (Luca Cavalli) (332973)
- Don't use deprecated gtk_entry_set_editable (Luca Cavalli) (329193)

settings daemon:
- Removed spawning of esd (Rodrigo Moya)
- Register the settings daemon per DISPLAY (Michael Witrant) (94049)

sound:
- Mark missing strings for translation (Rodrigo Moya) (333125)

help:
- Pruned capplets documentation, and link to the user's guide (Joachim Noreiko)
  (332184)

general:
- Fixed compilation with GStreamer 0.8 (Mathis Hasselmann) (333119)

updated translations:
- bg (Alexander Shopov)
- bn (Runa Bhattacharjee)
- ca (Josep Puigdemont i Casamajó)
- cs (Miloslav Trmac)
- cy (Rhys Jones)
- da (Ole Laursen)
- de (Hendrik Richter, Hendrik Brandt)
- el (Simos Xenitellis)
- es (Francisco Javier F. Serrador)
- et (Priit Laes)
- fa (Roozbeh Pournader)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Satoru SATOH)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- nn (Kjartan Maraas)
- no (Kjartan Maraas)
- pl (Artur Flinta)
- pt (Duarte Loreto)
- pt_BR (Lucas Rocha)
- ru (Leonid Kanter)
- sq (Laurent Dhima)
- sr (Danilo Segan)
- sr@Latn (Danilo Segan)
- sv (Daniel Nylander)
- th (Theppitak Karoonboonyanan)
- uk (Maxim Dziumanenko)
- vi (Clytie Siddall)
- zh_CN (Funda Wang)

------------------------------------------------------------------------------
gnome-control-center 2.13.93

default applications:
- Fixed hang with multiple windows opened (Luca Cavalli) (328094)
- Fixed Sylpheed claws executable name (Fryderyk Dziarmagowski) (332659)
- Fixed typos (Glynn Foster)

fontilus:
- Fixed crash when changing metacity font (Rodrigo Moya) (327021)

mouse:
- Use "milliseconds" instead of "microseconds" (Anilkumar Bacheli) (330588)

sound:
- Fixed memory leaks (Rodrigo Moya) (332530)

settings daemon:
- C89 compilation fixes (Jens Granseuer) (331168)

updated translations:
- bg (Alexander Shopov)
- ca (Josep Puigdemont i Casamajó)
- cs (Miloslav Trmac and Jakub Friedl)
- cy (Rhys Jones)
- de (Hendrik Richter)
- el (Kostas Papadimas)
- es (Francisco Javier F. Serrador)
- et (Priit Laes)
- eu (Iñaki Larrañaga)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- ja (Satoru SATOH and Takeshi AIHANA)
- ka (Alexander Didebulidze)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- no (Kjartan Maraas)
- pt (Duarte Loreto)
- pt_BR (Raphael Higino)
- sr (Slobodan D. Sredojevic)
- sr@Latn (Slobodan D. Sredojevic)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)

------------------------------------------------------------------------------
gnome-control-center 2.13.92

background:
- Re-added instant apply (Rodney Dawes)

default applications:
- Fixed compilation warnings (Luca Cavalli)

settings daemon:
- Only start esd when not running (Rodrigo Moya)

other:
- Removed HAL dependency added by mistake (Rodrigo Moya)
- Depend on glib >= 2.8.0 (Rodrigo Moya)
- Depend on gtk+ >= 2.8.12 for Cairo speed workaround (Rodney Dawes)

updated translations:
- ca (Josep Puigdemont i Casamajó)
- da (Ole Laursen)
- de (Hendrik Richter)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- no (Kjartan Maraas)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)

------------------------------------------------------------------------------
gnome-control-center 2.13.91

build:
- enable generation of Makefile for spanish docs to fix the build.

------------------------------------------------------------------------------
gnome-control-center 2.13.90

about-me:
- Preserve tab navigation on the dialog (Diego González) (317468)
- Fixed crash (Diego González) (317315)

background:
- Added apply button (Rodney Dawes) (327335)
- Fixed glib CRITICAL warnings (Rodney Dawes) (327327)

default applications:
- Fixed Thunderbird command line parameters (Luca Cavalli) (326808)
- Update custom command entries also when predefined app is selected
  (Luca Cavalli) (327749)
- Don't set entries' sensitivity, just disable input on them (Rodrigo
  Moya)
- Use better description and arguments for Epiphany (chpe) (327220)

fontilus:
- Added button for document font (Christian Persch) (160454)
- Changed "monospace" to "fixed width" (Christian Persch)
- Fixed font thumbnailing endianness (Ed Catmur) (329043)

keybindings:
- Refuse to bind letter keys without a modifier (Bastien Nocera) (86956)
- Readded the keysim/keycode binding code (Rodrigo Moya)

keyboard:
- Fixed user-visible strings (Rodrigo Moya) (328748)

mouse:
- Fixed a11y problem with gnopernicus screen reader (Anilkumar Bacheli)
  (154769)

network:
- Fixed mnemonic (Crispin Flowerday) (328884)

sound:
- Use correct stock icon for PLAY button (Dennis Cranston)
- Reduced size of the dialog (Rodrigo Moya)
- Fixed compilation warnings (Damien Carbery, Jens Granseuer) (328255)

settings daemon:
- Use verbs for slow/sticky keys dialogs, rather than OK/Cancel (chpe)
  (325686)

help:
- Updated scrollkeeper description (Alessandro Ferrucci) (327784)

other:
- Don't use "capplet" in user-visible strings (Rodrigo Moya) (168790)
- Fixed glib CRITICAL warnings (Thomas Wood)
- Added GTK category to .desktop files (Luca Cavalli) (328028)
- Use "mouse pointer" instead of "cursor" in user-visible strings
  (Scott Bronson) (318056)

updated translations:
- bg (Alexander Shopov)
- ca (Josep Puigdemont i Casamajó)
- da (Lasse Bang Mikkelsen)
- el (Kostas Papadimas)
- en_CA (Adam Weinberger)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- it (Luca Ferretti)
- ja (Takeshi AIHANA)
- lt (Zygimantas Berucka)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- no (Kjartan Maraas)
- pt_BR (Evandro Fernandes Giovanini)
- ru (Nickolay V. Shmyrev)
- sr (Slobodan D. Sredojevic)
- sr@Latn (Slobodan D. Sredojevic)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)
- zh_CN (Funda Wang)

------------------------------------------------------------------------------
gnome-control-center 2.13.5.1

default applications:
- Fixed loading of translations from XML file (Luca Cavalli)

settings daemon:
- Use g_mkdir_with_parents instead of creating all the hierarchy by hand
  (Rodrigo Moya)

other:
- Fixed m4 directory missing (chpe)

updated translations:
- da (Lasse Bang Mikkelsen)
- en_CA (Adam Weinberger)
- gu (Ankit Patel)
- sr (Slobodan D. Sredojevic)

------------------------------------------------------------------------------
gnome-control-center 2.13.5

background:
- Changed main dialog to use explicit apply with OK and cancel buttons
  (Rodney Dawes)
- Added zoom to scale type options (Alan Swanson)

default applications:
- New UI (Luca Cavalli)
- Build and general fixes to the new UI (Sebastian Bacher, Rodrigo Moya)

keybindings:
- Dropped the keysim/keycode binding code (Bastien Nocera) (133815)

keyboard:
- Made window a bit larger (Sergey Udaltsov) (326137)
- Fixed window title capitalization (Sergey Udaltsov) (326275)

mouse:
- Made mouse clock work with both left/right buttons (akmal) (321255)

sound:
- New UI (Scott Reeves)
- HIG fixes to the new UI (Dennis Cranston)
- Translation fixes (Rodrigo Moya) (326635)

themus:
- Fixed usage of head command (Thomas Wood) (316800)

typing break:
- Use gdk_spawn_* functions instead of egg equivalents (Rodrigo Moya) (326141)

settings daemon:
- Cleaned up messages about pmu on powerbook (Jeroen Zwartepoorte) (132655)
- Set Net/FallbackIconTheme XSetting for new versions of gnome-icon-theme
  and gtk+ >= 2.8.10 (Rodney Dawes) (325546)
- Use gstreamer0.10 optionally (Saleem Abdulrasool and Tim-Philip Muller) (326257)

updated translations:
- bg (Alexander Shopov)
- ca (Josep Puigdemont i Casamajó)
- en_CA (Adam Weinberger)
- es (Francisco Javier F. Serrador)
- fi (Ilkka Tuohela)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- hu (Gabor Kelemen)
- ja (Takeshi AIHANA)
- nb (Kjartan Maraas)
- nl (Vincent van Adrighem)
- no (Kjartan Maraas)
- sr (Slobodan D. Sredojevic)
- sr@Latn (Slobodan D. Sredojevic)
- th (Theppitak Karoonboonyanan)
- vi (Clytie Siddall)
- zh_HK (Chao-Hsiung Liao)
- zh_TW (Chao-Hsiung Liao)

------------------------------------------------------------------------------
gnome-control-center 2.13.4

default-applications:
- Added Opera to list of default browsers (pholie) (324629)

keyboard:
- Fixed leak on GtkSizeGroup's (Jaap A. Haitsma) (321549)

themus:
- Update the background for metathemes that provide a preferred
  background (Guillaume Desmottes) (147665)
- Fixed typeahead searching in themes list (David Seseño)

windows behavior:
- Fixed mnemonics (Rajan Singh)

settings daemon:
- Restore prelight/active/mouse-over feedback for Tk (jenglish) (130299)
- Made Emacs xsettings mimic better GNOME's look & feel (Lukasz Stelmach)
  (320727)

other:
- Compilation fixes (Jens Granseuer) (321779)
- Removed unused --enable-gconf-source option (Mark McLoughlin)

updated translations:
- ca (Josep Puigdemont i Casamajó)
- fi (Ilkka Tuohela)
- vi (Clytie Siddall)

------------------------------------------------------------------------------
gnome-control-center 2.13.3

about-me:
- Added a preview to the filechooser used for selecting an image (Mathias Clasen)
- Fixed for running in systems with no forkpty (Brian Cameron)

gnome-settings-daemon:
- Added definition of "Gtk/ShowInputMethodMenu"/"Gtk/ShowUnicodeMenu" xsettings
  (Mathias Clasen) (319634)
- C89 compilation fixes (Jens Granseuer) (321778)
- Don't grab keyboard when getting invalid keycodes from GConf (Philippe
  Troin) (323690)

keyboard:
- Small changes in plugin API (Sergey V. Udaltsov)

themus:
- Added removal of themes from the theme selection applet (David Seseño)

typing-break:
- Don't display a dialog when the monitor is already running (Richard Hult) (307425)
- Use stock icons from GTK rather than libgnomeui (Richard Hult) (171664)

other:
- Compilation fixes (Kjartan Maraas)

translations:
- bg (Alexander Shopov)
- cs (Miloslav Trmac)
- en_CA (Adam Weinberger)
- es (Francisco Javier F. Serrador)
- et (Priit Laes)
- gl (Ignacio Casal Quinteiro)
- gu (Ankit Patel)
- ja (Takeshi AIHANA)
- lt (Zygimantas Beruèka)
- nb (Kjartan Maraas)
- no (Kjartan Maraas)
- pt_BR (Guilherme de S. Pastore)
- sk (Marcel Telka)
- sq (Laurent Dhima)
- th (Theppitak Karoonboonyanan)
- zh_CN (Funda Wang)

------------------------------------------------------------------------------
gnome-control-center 2.13.2

background:
- Sanity check on GConf string values (Alexis Robert) (320647)

themus:
- 15-20% speedup in theme thumbnailer startup (Sebastien Bacher)

shell:
- Respond correctly to theme changes (Carlos Garnacho)

other:
- Compilation fixes (Kjartan Maraas, Rodrigo Moya)

translations:
- bg (Alexander Shopov)
- cs (Miroslav Trmac)
- en_CA (Adam Weinberger)
- es (Francisco Javier F. Serrador)
- eu (Iñaki Larrañaga)
- fa (Roozbeh Pournader)
- fi (Ilkka Tuohela)
- ja (Takeshi AIHANA)
- lt (Zygimantas Berucka )
- nl (Vincent van Adrighem)
- ro (Dan Damian)
- sk (Marcel Telka)
- th (Theppitak Karoonboonyanan)

------------------------------------------------------------------------------
gnome-control-center 2.13.1

default-applications:
- Add Sylpheed-Claws to the list of possible mailers (Colin Leroy)

mouse:
- gcc 2.95 compilation fixes (Jens Granseuer) (318746)

themus:
- Allow installation of themes with file:// URIs (Ed Catmur) (319358)

shell:
- Only show one screensaver capplet when both xscreensaver and gnome-screensaver
  are installed (Rodrigo Moya) (315505)
- Fix scrollbar arrows (Carlos Garnacho)
- Calculate text widths instead of forcing them (Carlos Garnacho) (319492)
- Force canvas background to base[GTK_STATE_NORMAL] and remove the need to
  repaint the background, in white (Carlos Garnacho)

typing-break:
- Fix weird spacing between systray icons (Rodrigo Moya) (318231)

other:
- Add schema for remembering NumLock state between sessions (Jürg Billeter)
  (74215)
- Add check for xinput extension (Ray Strode) (314409)
- Update the desktop font in addition to the application font when
  'apply font' in large print themes is selected (Muktha) (123551)
- Reduced amount of xrdb executions (Erwann Chenede) (314774)
- Don't block settings daemon while executing children processes (Rodrigo Moya)
- Lazy load the screensaver and the typing break monitor (Rodrigo Moya)
- Share a single GConfClient in the settings daemon (Rodrigo Moya)
- Execute xrdb with -nocpp switch when possible (Rodrigo Moya)
- Swap buttons on auxiliary mice for left-handed mode (Ray Strode) (314409)

translations:
- bg (Alexander Shopov)
- en_CA (Adam Weinberger)
- et (Priit Laes)
- fi (Ilkka Tuohela)
- pt_BR (Guilherme de S. Pastore)
- sv (Christian Rose)

------------------------------------------------------------------------------
gnome-control-center 2.12.1

background:
- Make sure that the filename is valid utf8 and the file exists with utf8 
  encoding, or fall back to filename encoding as specified by the user 
  with glib's environment variables (Rodney Dawes) (168604)
- Set the style property "action-area-border (Rodney Dawes) (313680)

default-applications:
- List evolution-2.4 binary (Jan de Groot) (#315871)

gnome-settings-daemon:
- Don't leak the cursor theme name (Kjartan Maraas) (#314692)

mouse:
- fix a crasher when the cursor theme has no icon (Sebastien Bacher) (#317749)
- guard against invalid values from the GtkHScale widget (Rodrigo Moya)

themus:
- fix a typo with the StartupNotify option (Vincent Fretin) (#316159)

other:
- if the xcursor extension can't be found just build without xcursor support
  (Brian Cameron) (#316875)
  

translations:
Rostislav \"zbrox\" Raykov (bg)
Progga (bn)
Miloslav Trmac (cs)
Francisco Javier F. Serrador (es)
Ivar Smolin (et)
Iñaki Larrañaga Murgoitio (eu)
Christophe Merlet (RedFox) (fr)
Ignacio Casal Quinteiro (gl)
Erdal Ronahi (ku)
Christian Rose (sv)
Clytie Siddall (vi)
Funda Wang (zh_CN)

------------------------------------------------------------------------------
gnome-control-center 2.12.0

translations:
Jordi Mallach (ca)
Miloslav Trmac (cs)
Rhys Jones (cy)
Hendrik Richter (de)
Francisco Javier F. Serrador (es)
Vincent Untz (fr)
Gabor Kelemen (hu)
Young-Ho Cha (ko)
Reinout van Schouwen (nl)
Gnome PL Team (pl)
Evandro Fernandes Giovanini (pt_BR)
Duarte Loreto (pt)
Leonid Kanter (ru)
Marcel Telka (sk)
Elian Myftiu (sq)
Слободан Д. Средојевић (sr)
Baris Cicek (tr)
Clytie Siddall (vi)

------------------------------------------------------------------------------
gnome-control-center 2.11.92

about-me:
- typo fix (Francisco Javier F. Serrado) (#312845)
- use "wrapped" instead of "one" to handler the case where the passwd command 
  finds the password wrapped. Use a long delay period. 
  (Jaap Hatsima) (#312092)
- use integer to avoid comparison being always true due to limited range
  (Olaf Heiring).

background:

- Enable/disable the style-menu, shading-menu and color-picker buttons 
  w.r.t gconf-keys (Veerapuram Varadhan).
- Replace the changing of some GtkDialog defaults through style properties with
  calls to gtk_widget_ensure_style and gtk_container_set_border_width
  (Rodney Dawes) (#313680)
- If the value for the "picture_options" key is set to "none", don't set the 
  optin menu for the scaling options to tiled (Rodney Dawes) (#313883).

common:
- Get the Example icon that is specified by the icon theme, if it exists, 
  and then fall back through a better list of icons to use (Rodney Dawes).

keyboard:
- don't use a page value, fix the different behaviour between widgets
  (Sebastien Bacher) (#301470).

other:
- configure fixes (Sergey V. Udaltsov, Ray Strode, Christian Persch)
- fix a leak (Rodrigo Moya)

translations:
Jens Seidel (de)
Kostas Papadimas (el)
Francisco Javier F. Serrador (es)
Ivar Smolin (et)
Gabor Kelemen (hu)
Mohammad DAMT (id)
Takeshi AIHANA (ja)
Žygimantas Beručka (lt)
Terance Edward Sola (nb)
Terance Edward Sola (no)
Sebastian Ivan (ro)
Слободан Д. Средојевић (sr)
Baris Cicek (tr)
Maxim V. Dziumanenko (uk)
Funda Wang (zh_CN)
Woodman Tuen (zh_TW)

------------------------------------------------------------------------------
gnome-control-center 2.11.91

about-me:

- fix the crash when closing the password dialog with the windo manager button
  (Diego Gonzalez) (#309736, #312580)
- change signature and handle error conditions from passwd (Diego Gonzalez)
  (#312092)
- handle protocol errors from EDS. (Diego Gonzalez) (#312450)

build:

- fix the build without gstreamer and with alsa (Paul Drain) (#307368)

fontilus:

- follow symlinks when getting info (Paolo Borelli) (#309744)

mouse:

- don't crash if there is no cursor theme installed (Sebastien Bacher) 
  (#311599)
- update dynamically the double click label (Sebastien Bacher) (#166908)
- update of the glade file, no need to restart the session to apply
  the changes with GTK 2.8 (Sebastien Bacher) (#312070)


translations:

Rostislav \"zbrox\" Raykov (bg)
Miloslav Trmac (cs)
Adam Weinberger (en_CA)
Francisco Javier F. Serrador (es)
Ivar Smolin (et)
Ilkka Tuohela (fi)
Ankit Patel (gu)
Yuval Tanny (he)
Gabor Kelemen (hu)
Takeshi AIHANA (ja)
Terance Edward Sola (nb)
Reinout van Schouwen (nl)
Terance Edward Sola (no)
Marcel Telka (sk)
Слободан Д. Средојевић (sr)
Prajasakti Localisation Team (te)
Theppitak Karoonboonyanan (th)
Clytie Siddall (vi)
Funda Wang (zh_CN)

------------------------------------------------------------------------------
gnome-control-center 2.11.90

general:

- change the way XKB GConf preferences are handled so that:
  1) GConf keys are never written unless the user changes the preferences
  2) If the keys are unset, the default XKB settings are used
  (Mark McLoughlin) (#310513)
- remove wm-properties (Mark McLoughlin)
- switch to gnome-doc-utils (Sebastien Bacher)
- set windows' icon for the keyboard dialogs (Jaap A. Haitsma) (#305096)
- set a default icon for the capplets (Jaap A. Haitsma) (#305086)
- try to run gnome-screensaver before xscreensaver (Rodrigo Moya) (#302347)

about-me:

- change the order of the buttons to match the HIG (Denis Cranston) (#309632)

background:

- if xmlParseFile returns NULL, then just return, rather than trying to parse 
  the document (Rodney Dawes) (#310041)
- update menu option when scrolling with the mouse (Sebastien Bacher) (#157396)
- use GtkColorButton instead of GnomeColorPicker (Sebastien Bacher) (#171676)

ui-properties:

- show a label with the "Text beside icons" mode (Sebastien Bacher) (#308845)

translations:

Rostislav \"zbrox\" Raykov (bg)
Miloslav Trmac (cs)
Hendrik Brandt (de)
Kostas Papadimas (el)
Adam Weinberger (en_CA)
Francisco Javier F. Serrador (es)
Priit Laes (et)
Ignacio Casal Quinteiro (gl)
Ankit Patel (gu)
Takeshi AIHANA (ja)
Terance Edward Sola (nb)
Reinout van Schouwen (nl)
Terance Edward Sola (no)
Marcel Telka (sk)
Theppitak Karoonboonyanan (th)
Clytie Siddall (vi)
Funda Wang (zh_CN)

------------------------------------------------------------------------------
gnome-control-center 2.11.6

general:

- expose the cursor theme settings as xsettings (Matthias Clasen) (#308104)
- fix a typo with a .schemas name (Jan Schmidt) (#307388)
- fix the markup usage of the XKB dialog (Sebastien Bacher) (#308279)
- make the copy dialog consistent with nautilus (William Jon McCann) (#309217)
- require libxft 2.1.7 (Christian Lohmaier) (#309558)

about-me:

- fix some typo (Clytie Siddall) (#302614)
- set dialog icon (Jaap A. Haitsma) (#309342)
- HIG fixes (Dennis Cranston) (#309952)
- improve the behaviour of the capplet when using large images (Diego Gonzalez)
- commit the changes so that we don't loose any data (Diego Gonzalez) (#309737)
- fix image loading when draging an image on the image button (Diego Gonzalez)
  (#309628)
- change the maxium width and height permitted on an image (Diego Gonzalez)
  (#309643)

background:

- fixed some leaks (Rodney Dawes, Kjartan Maraas)
- replace GnomeIconTheme by GtkIconTheme (Rodney Dawes, Jan de Groot) (#171677)

mouse:

- new cursor theme manager for the mouse capplet 
  (Sven Herzberg, Matthias Clasen) (#110670)

translators:

Miloslav Trmac (cs)
Adam Weinberger (en_CA)
Francisco Javier F. Serrador (es)
Ivar Smolin (et)
Ignacio Casal Quinteiro (gl)
Terance Edward Sola (nb)
Reinout van Schouwen (nl)
Terance Edward Sola (no)
Marcel Telka (sk)
Theppitak Karoonboonyanan (th)

------------------------------------------------------------------------------
gnome-control-center 2.11.5

- new "about-me" capplet by Diego Gonzalez <diego@pemas.net>

translators:

Hendrik Richter (de)
Adam Weinberger (en_CA)
Ivar Smolin (et)
Meelad Zakaria (fa)
Terance Edward Sola (nb)
